Introduction


About this program

Welcome to the World of native Software

A company's know-how is its main capital. In a time of ever increasing pressure of competitors and internal expenses, supplying the right information to the right location at any given time has become one of the key success factors for companies of any size. Intrapact has been developed to ensure an effective and functional flow of information in and even beyond the whole enterprise, based on Internet technology.

Intrapact is the fastest and easiest way to perfectly organize the companies information. Instead of the complex and costly alternative of developing your own Intranet, regarding all the labour-intensive efforts involved with its applications and functions, using expensive development tools and computer specialists and dealing invariably with changing technologies, Intrapact offers you an Intranet out-of-the-box which is flexible enough to be adapted to the needs of your enterprise.

Intrapact is a database-oriented server system with complete Internet functionality on the Client page. The entire exchange of information takes place at the corresponding employee's work place with help of an Internet browser. The employee does not need to install any additional software on his computer.

Intrapact ships with a variety of standard business applications. These applications can individually be adapted to your company's requirements. The tools and application templates contained in Intrapact enable you to build and newly develop your own applications fast and effectively.

Intrapact supports the secure operation of an Extranet as well. That way your business partners, customers and employees working at home can easily access e.g. certain sections of the Intranet, or supply the Intranet with information via Internet. This facilitates an incomparably effective cooperation.

This user manual handles in general the settings and administration of Intrapact, described in the chapter Intrapact Manager, and provides you with an overview of the program's potential capabilities. The complete exchange of information is conducted at the workstation of the corresponding staff using a common browser and is not covered here distinctively.

All chapters correspond to the program modules of Intrapact Manager. An efficient Intranet has to adapt to the ever-changing needs of an enterprise. With Intrapact, the different tasks to maintain your corporate Intranet can easily be assigned to different staff members.

Intrapact Manager consists of four different program modules, for which access permissions can be granted separately:

  • Enterprise Manager

    Enterprise Manager handles basic settings, such as creating companies, selecting the database server and the security settings. Although you can grant access rights for this module to as many employees as you wish, it is recommendable to restrict the access to a selected group of qualified users.

  • Layout Designer

    Your Intranet pages' layout can be dynamically generated with Intrapact Layout Designer. Using different colors and fonts, constellations and pictures you can let your own imagination define an Intranet within the framework of a sensible navigation. With the Layout Designer you can easily integrate your companies corperate identity.

  • User Manager

    User Manager manages the user database and access permissions to different parts of your Intranet for all users. With User Manager, you can also grant individual users access rights for Intrapact Manager's program modules.

  • Application Designer

    Application Designer is the core of Intrapact. It gives you the possibility to create complex database-driven online content in just a few minutes. Through a completely new and intuitively usable interface and sophisticated Wizards you can develop and publish complete applications in your Intranet without any specific programming skills.

For the additionally offered Intrapact tools BizWalker, IMEX-applications and Link-Integrator there is another handbook in which this program module is described.

Look up the Intrapact user forum http://www.Intrapact.com regularly. There you will find examples, ideas and even complete applications to download.


Installation

System Requirements server

Installation of Intrapact Server

Installation of Intrapact Manager

Uninstall


Installation of Intrapact Server

System Requirements server

Hardware: Pentium II (starting at 200 MHz); at least 128 MBytes RAM; 100 MBytes of free hard disk space; CD-ROM.

Software: Installing Intrapact requires Microsoft Windows NT Server Version 4.0. with Service Pack 4 or Microsoft Windows 2000 Server.

Database: One of the following Databases: Microsoft Jet (Access) 4.0 (included on Intrapact CD); Microsoft Database Engine (included on Intrapact CD); Microsoft SQL Server Version 6.5 and higher; Informix Dynamic Server 7.3; Oracle Version 8.10 and higher.

WORKstation system requirements for administrator purposes:

Hardware: Pentium or higher; 32 MBytes RAM; 5 MBytes of free hard disk space; CD-ROM

Software: Microsoft Windows 95/98/2000 or Microsoft Windows NT 4.0 with Service Pack 4.0 or higher; Microsoft Internet Explorer 4.01 or higher.

WORKSTATION REQUIREMENTS FOR NORMAL CLIENT USE:

Hardware: Independent of platform

Software: Microsoft Internet Explorer 4.01 or higher; Netscape Communicator 4.07 or higher


Requirements - Intrapact Server

In order to install Intrapact Server on a PC, you must observe the following requirements:

Hardware

Software


Requirements - Intrapact Server (Hardware)

The Hardware requirements for Microsoft Windows NT Server Version 4.0 / Microsoft Windows 2000 Server are found in the documentation accompanying this program. To install Intrapact you need 100 MBytes of free hard disk space.

!!! If users outside of Intrapact Server's local network are to be able to access Intrapact, the IP-address must be in the Internet-access-area. You can acquire one from an Internet Service Provider. !!!


SOFTWARE

Requirements - Intrapact Server (Software)

P>To install Intrapact Server you require either Microsoft Windows NT Server Version 4.0 Service Pack 4 or higher, or Microsoft Windows 2000 Server. The system must be installed and be able to run in the network with the TCP/IP-protocol. The Server requires a permanent IP-address. The necessary additional components Microsoft Windows NT Service Pack 6a, Microsoft Internet Explorer 5.0 and Microsoft Windows NT 4.0 Option Pack (contains Microsoft Information Server Version 4.0 and Microsoft Transaction Server) for Microsoft Windows NT Server are included on the Intrapact CD

Attention: If users outside of Intrapact Server’s local network are to be able to access Intrapact, the IP-address must be in the Internet-access-area. You can acquire one from an Internet Service Provider.


Microsoft Windows NT Server Installation

The Microsoft Windows NT Server Installation you will see from your Microsoft documentation.


Installation of Intrapact Server

Place the Intrapact CD in your server's CD drive. If the program does not start automatically, select Start/Run and type d:setup (where d: is the drive letter of your server's CD drive)..

For a correct installation, please proceed according to the following installation sequence:

  • Microsoft Windows NT Service Pack Version 6a
  • Microsoft Internet Explorer Version 5.0
  • Microsoft Windows NT 4.0 Option Pack
  • Intrapact Server

With Windows 2000 server the components Internet Information Server 5.0 and Internet Explorer 5.0 are required. If they are not yet installed, you must do so via Windows-setup (Start/Settings/Control panel/Software) before attempting to install the Intrapact server. Do not install the Windows NT 4.0 Option Pack.

The Intrapact Server installation also covers Intrapact Manager, you do not need to install the client separately.


Microsoft Windows NT Service Pack

Microsoft Windows NT Service Pack Version 6a contains updates for Windows NT as well as some new components. Service Pack 6a prompts you to restart the computer after the installation.


Microsoft Internet Explorer

Microsoft Internet Explorer enables you to browse the World Wide Web and is required for Microsoft Windows NT 4.0 Option Pack. The minimum version to install is Version 5.0. When installing, make sure to select the option «Microsoft Virtual Machine». It is necessary to restart the computer after the installation if the set-up prompts you to.


MICROSOFT WINDOWS NT 4

Microsoft Windows NT 4.0 Option Pack

Microsoft Windows NT 4.0 Option Pack contains important components that Intrapact requires in order to be fully operational. During the installation the program points out that it has not yet been tested with the Microsoft Windows NT Service Pack Version 4. (The Option Pack came out before Service Pack 4). You can ignore the warning. There have been no indications of any problems at all during test installations with Service Pack 6a.

When selecting the options of the Option Pack, make sure to select at least:

  • the Internet Information Server (IIS) 4.0 and
  • the Microsoft Management-Console

The installation will be carried out automatically.

Option Pack prompts you to restart the computer.


MSDE - Microsoft Data Engine (optional)

MSDE is a royalty-free version of SQL Server 7.0 without the administration interface Enterprise Manager. The tool is included to enable back-ups, restores and Login-changes on SQL Enterprise databases. This database engine especially has advantages with high user numbers. For slower computers with less storage capacity we recommend operating Intrapact with the Microsoft Jet-Engine. You can easily change the database at any time after the setup.


Intrapact Server

When installing Intrapact Server please follow the instructions given during the setup. After the restart at the end of the program installation a sample company is established. Please regard the tips concerning the sample company under Intrapact Manager/ Company Manager/ New Company. Immediately after finishing the setup you will be referred to the URL of the created sample company which you can access directly. The login name on the system after the installation is “Administrator” and does not have a password.

Now proceed to install Intrapact Manager either on the server or a different computer


Installation of Intrapact Manager

Requirements

Hardware

Software


Requirements

The Intrapact Client installation is only necessary on Computers that perform Administrator tasks with Intrapact Manager. Hence the Client installation is not necessary on regular Intrapact users in the browser. Installing Intrapact Manager requires the following:

Hardware

Software


Hardware

For more information on hardware requirements for Microsoft Windows 95/98/2000 and Microsoft Windows NT Version 4.0 or higher refer to the documentation included in these programs. The installation of Intrapact Manager requires in addition approximately 5 MBytes of free disk space.


Software

Installing Intrapact Manager requires Microsoft Windows 95/98/2000 or Microsoft Windows NT Version 4.0 or higher incl. Microsoft Windows NT Service Pack Version 4. The program must be installed and be executable on the network with TCP/IP-Protocol.

Microsoft Internet Explorer, which is necessary as well, is contained on the Intrapact CD in Version 5. You can also use Version 4.01 or higher alternately.

Intrapact Server must be installed on the network and you must know its name or its IP-address.

If the Client is installed in another domain than the Intrapact-Server, there must be a relation between the corresponding domains. If the Client is outside the server's local network, contact your system administrator or the United Planet Support Team concerning the firewall configuration.

Place the Intrapact CD in your PC's CD drive. If the program does not start automatically, select Start/Run and type d:setup (where d: is the drive letter of your pc's CD drive).

Please install the programs in the specified sequence.

When installing Intrapact Manager you will be prompted to specify the name of Intrapact Server. The default - (local) - can be valid only if Intrapact Manager is being installed on the same computer as Intrapact Server. Otherwise you will have to enter the server's name or IP-address. If you are not familiar with the server's name, ask your network administrator. Should you enter the wrong name by mistake, you can change it in the Menu File\Change Server.


Uninstalling Intrapact

To uninstall Intrapact server, please start the program uninstall.exe on the Intrapact CD in the directory “Uninstall”. If you want to uninstall the Intrapact client, go to Start/Settings/ControlPanel/Software and select the Intrapact entry, then click the -Add/Remove- button and follow the instructions.


Intrapact Manager

General


General

After completing the installation of Intrapact successfully, you have already established an Intranet which is ready to use. What you still need, however, are the users and their individual access permissions.

Intrapact Manager is the central controlling unit of your complete Intranet and consists of five modules:

  • Enterprise Manager
  • Layout Designer
  • User Manager
  • Application Designer
  • Tools (See manual under -Tools-)


Enterprise Manager

General

The Icon bar in Enterprise Manager

Log on to Intrapact

The Menu bar in Enterprise Manager


General

With the installation of Intrapact Server the first Sample Company has also been installed with all its applications and can be launched using the specified URL (e.g. http://ComputerName/coffeexpress/default.asp).

With Intrapact you can install and manage Intranets for several companies. Using this function you can also create further sample companies for an operational tryout of applications, or process and edit the additional sample company that was already created with the installation process.

For your first login to Intrapact or to Intrapact Manager, use “Administrator” as user ID and do not type any password.


The Icon bar in Enterprise Manager

Enterprise Manager works with Smart-Icons. Smart-Icons are icons that instantly execute certain program functions bypassing the main menu. If you point to the icon using the mouse, the function of the icon will be displayed on the screen..

  • Create New Company
  • Open Company
  • Export Company
  • Import Company
  • Launch Help


Log on to Intrapact

Here you can log on to the Intrapact Manager. To do so you will need at least one access right (application designer, manager, user manager, layout designer or tools) to one of Intrapact´ manager's programs.

Important!

The first time you log on, please use the following login information:

User: administrator

Password: [no password]


The Menu Bar in Enterprise Manager

As all the other common programs under Windows, Enterprise Manager has also a menu bar, from which you can execute all the available program functions.

  • Open Company
  • New Company
  • Details on New Company
  • Authentication - Enterprise Wizard
  • Authentication - Data Binding
  • New Company - Database Options
  • Import Company
  • Export Company
  • Close Company
  • Delete Company
  • Company Options
  • Security Settings
  • System Monitor
  • Changing Server
  • Exit
  • View Menu


File Menu

  • Open Company
  • New Company
  • Details on New Company
  • Authentication - Enterprise Wizard
  • Authentication - Data Binding
  • New Company - Database Options
  • Import Company
  • Export Company
  • Close Company
  • Delete Company
  • Company Options
  • Security Settings
  • System Monitor
  • Changing Server
  • Exit
  • View Menu


New Company

To create a new company you need the company administrator's password.

After you have entered the administrator's password (in case taken; ->FILE/ SECURITY SETTINGS), Enterprise Manager will assist you through creating a new company.

Details on New Company


Details on New Company

On the first page of Enterprise Manager you first have to enter the name of the new company (e.g. My Company) and its web-address. The web-address consists of

  • the internet server on which the company is to be created
  • the website by which the company can be accessed
  • the virtual directory under whose name the company will be reached in the browser

Comment:

Company name: The company name may include spaces and other symbols besides for apostrophes and can be up to 254 symbols long.

When a company is newly created, Intrapact sets up a new database, a new directory for the application pages and a virtual directory in the Internet Information Server (IIS). During the process, Intrapact matches the name according to the:

  • Database: With MS Jet, the database will be called MyCompany.mdb and will be under Intrapact' working-directory's sub-directory \jet. With MS SQL/MSDE, the name will be upmycompany and be in the corresponding SQL server's data-directory.
  • Directory for application pages is a sub-directory of [Intrapact- working directory]\org; the name is the company name without spaces and shortened to 18 symbols.
  • Virtual directory: In the company name, spaces are replaced be underscrolls (My_Company). Capital letters do not matter in URL.

!!! Attention: Intrapact only conducts the company name from database, company directory and virtual directory automatically when a new company is established. When the company name is changed after already haven been saved, taken over (-> YYYYYY) and ported (-> YYYYY) in the company database, the names in the company and virtual databases stay the same and do not necessarily correspond to the Company name. Of course this setting can be changed manually in Enterprise Manager (->Company Properties). !!!

Internet Server: You can enter the computer name in your local network or the server's IP-address. If users are to access Intrapact from outside the local network, a LAN-internal IP-address may not be used.

With Version 2001, several Intrapact servers can be administered from one Intrapact Manager (-> File/ Change Server).

Website: The option -Standard- takes over the Internet Information Server's standard-website's settings on the Intrapact server (->Company Properties). The URL then begins with server name or the server's IP-address, e.g. http://Servername or http://192.175.99.212 (-> Internet server). New in Version 2001 is the possibility of establishing the company under a different website on the same Internet server.

Virtual Directory: On entering the company name for the first time, Intrapact uses it for the virtual directory, besides for spaces being replaced by underscrolls (My_Company). The virtual directory determines the URL's second part, e.g. http://Servername/My_Company or http://192.15.99.212/My_Company. You can also define another admissible name for the virtual directory which can be completely independent of the company name (only XXX symbols, not xxx).

You may not give several virtual directories the same name under the same page in the Internet Information Server. If a name is already given, Intrapact will replace it by an identifiable one (e.g. My_Company1).

The URL that is tailored to your entries is then shown at the bottom of Enterprise Wizard's pages. To log in to your Intranet, you merely enter the URL into your browser's address line; capital letters do not matter. The addition …/default.asp does not need to be entered as long as no other page than the starting page has been chosen (-> alternative starting page). You can also use the server's IP-address instead of the server name.


New Company - Enterprise Wizard's

On Enterprise Wizard's third page, you determine the authentication method. There are generally two possibilities

  • : There is no separate login for the Intrapact Intranet pages. The user account that was used for the NT or -new in Version2001- ADS domain gives the access rights. In this case, all Intrapact users need to be registered in the corresponding domain or there must at least be a position of trust to the Intrapact server's domain. Entering a sub-directory (only ADS domains) is only necessary for the users of a specific organizational branch of the Active Directory Domain's. The syntax for the entry is the same as with the -> User replication with an -> LDAP-directory without the prefix LDAP://. Example: ou=Marketing,dc=coffeexpress,dc=de.
  • -Use Intrapact authentication-: Independent of his membership concerning the local domain, each user logs in on the Intrapact-companies' starting page with the name and password with which he was set up in ->User Manager. There is the possibility to import the users of the NT or ADS-domain from a LDAP- directory. It is still necessary to log on to Intrapact separately

Important: When using the user domain's accounts for authentication, you may not surpass the Enterprise Wizard's following page (User replication), but must import the domain user-accounts into the company database immediately.

The type of authentication can be changed at a later point, from Intrapact to the operating system, but the domain user import to the Intrapact database must come first


New Company - Data Binding

On Enterprise Manager's fourth page (User replication), you can (Intrapact authentication), resp. must (authentication via NT or ADS-domain) take over the domain's and/or user accounts from an LDAP-directory to Intrapact user-administration. The Datenkopplung makes it unnecessary to import or establish new users from the domain or the LDAP-directory to Intrapact twice.

There are four options when -Take over Users automatically- is activated:

  • All users (only with Intrapact authentication): A new user account is set up for every user whose name is unknown when logging in to Intrapact on the browser. The new user always belongs to the group -users-. All other settings for the new user take place in -> User Manager; the User replication page's additional options are not available.
  • From NT-domain (with both types of authentication): To import users, you must be logged in to the corresponding domain, or there must at least be a position of trust to the chosen domain. Administrator rights are not necessarily needed to import users. In addition, you must decide whether all newly imported users are to be categorized as or their NT domain's group-status is to be kept. Of course the group-status can later be changed in ->User Manager.
  • From ADS-domain (with both types of authentication; new in Intrapact 2001): The service UnitedPlanet LifeGuard must be a logged-in member of the ADS-domain's. If this is not the case, we recommend before transferring the user-data to select the Intrapact-authentication without Datenkopplung and to change the user account in whose context UnitedPlanet LifeGuard is running to an account that optimally also possesses administrator rights in the ADS-domain (with Windows NT server: Systemsteuerung/ Services; with Windows 2000 server: Administration/ component services/ services (local)). This account should also be selected as an Intrapact Server-installation identity under -> Security Settings. You only have to enter a sub-directory for the organizational branch when you only want to take over users of a specific organizational branch of the active directory domain's. The syntax for entering a sub-directory is the same as the import from an -> LDAP-directory without the prefix LDAP://. Example: ou=Marketing,dc=coffexpress,dc=de. All options under are selectable.
  • From LDAP-directory (with both types of authentication; new in Intrapact 2001): You need access rights to the LDAP-directory (a standard anonymous access should be possible) and the existence of a configuration- file that matches the corresponding producer's LDAP server in the directory [Intrapact -working directory]\bin. If you do not add a configuration-file of your own to the directory, the included one for Windows 2000 Active Directory, msads.uli, will be used. Enter the LDAP-URL in the edit line in -automatic replication-. All options under -Membership and rights- are selectable.

The option -Add user if existent in domain/directory- (inactive if is selected under ) means that a user who Intrapact User Administration cannot identify is only imported if he is registered in the domain and LDAP-directory under the same name. This option is only relevant if the Intrapact authentication was selected: otherwise either every unrecognised user will be imported or none at all. When using the operating system- user accounts this happens automatically; the option is only relevant if the User replication is going to a different domain than the one used for authentication.

Under -Membership and rights-, you decide which group imported users are to belong to. The Intrapact and the domain memberships do not need to correspond to each other. You have the choice between:

  • Put users in group “Users”: All users imported from the domain or the LDAP-directory belong to the Intrapact User Administration's -Users- group. Of course you can change the membership in -> UserManager.
  • get memberships from source: The imported users belong to the same group in Intrapact User Administration as they do in the source domain, presuming such a group exists in Intrapact User Administration. By activating the additional option -Create and delete groups automatically- you can make sure the groups will match. If the group does not exist in Intrapact, the user will have no user group membership in Intrapact.

Attention: The same user group membership does not mean that the users will have the same rights as in their source domain. At first the users have no defined rights (besides for the group ) which means that they can only access the main menus (-> Layout Designer) and application pages (-> Application Designer) that are open for -all users-; otherwise they do not even have the same rights as -Anonymous-.

This means: It is not wise to select this option when newly establishing a company. Be careful with the option -Add/Delete Groups automatically- as well: If you delete an Administrator group in the domain, for example, you can lock out the Intrapact-administrators. !!!

  • get organizational tree from source into: With ADS-domains and LDAP-directories, you can add an organizational branch or tree with the exact same branches to the company's organizational tree in -> UserManager, by selecting -Organization-. The existing organizational tree will be updated where corresponding branches do not yet exist on the same level; branches that do not exist in the source are not changed. (You have the possibility to give rights according to user group membership or the membership to a specific organizational branch.) With own subtree, an own partial tree is established in -> User Manager under -Organization- parallel to the company's organizational chart with the same branches as in the source.

Then you must determine how the Intrapact login has to be conducted. Select “Using NT-User Account for Login”, so that all users can be identified through the NT-authentication. If you decide to select “Intrapact Authentication will be used”, all users are going to be identified through the Intrapact Security. That way, not all the users have to login to the NT-System.

In "Security Settings for imported Users" you have various options. Having previously selected "All Users", you can activate or deactivate their accounts. By selecting "LDAP" or "ADS", you have the additional setting possibility "Generate Password and send to User's eMail Address".


New Company - Database Options

Next you have to select the database server with which your Intrapact System should run. Enterprise Manager shows a list of all available options on your system. Microsoft MSDE (contained in the shipment) will be displayed as Microsoft SQL Server/MSDE.

The following requirements must be fulfilled for the selection of the corresponding database:

  • Microsoft Access/Jet

    Make sure that MDAC 2.5 (which is contained on the Intrapact-CD) is already installed on the server. The MS Jet Database Engine (Version 4.0) is installed simultaneously with the Intrapact Server.

  • Informix

    Informix Client must be already installed on the Intrapact Server. If it is not yet installed, Informix Server will not appear on the selection list

  • Microsoft SQL Server Install the Microsoft Server Client on your Intrapact Server. It would be sufficient if you have already installed the MSDE (same as MS SQL Server 7.0 without the administration surface) on your Intrapact Server. Using MS SQL Server, the lowest permissible version is 6.5, SQL Server 2000 can be used without problems
  • Oracle

    Lowest Version is 8

After selecting the database server, you are prompted to establish the company database, database security and database. The following should be observed doing so.

On finishing the set up, Enterprise Manager once again displays the start-URL. Database, application samples and an Internet Information Server website are established. Done! Intrapact is ready to use.

DataBASE tips

For a small amount of clients MS Jet-database is faster than MS SQL, for a larger number MS SQL is recommended.

Direct access to the database: Access company databases can be opened with Access 2000. For MS SQL/ MSDE databases you need the SQL Enterprise Manager, which is not included in the normal MSDE shipment; in emergencies SQL databases can be opened using Access (with the database assistant), but not changed, saved, backed up or restored. The included -> MSDE-administrator makes changes of the database login, backups and restores. If you do not have an administrator surface for your company database available to you, you can export the database with Enterprise Manager in XML files (-> Open Company) and import with the -> Database Wizard.

Attention: Be careful with direct operations. Version 2001 has been improved compared to its processors that no direct operation is e.g. needed to duplicate a company or to import company data to another server (-> Tools/ Export Company). Please do not make any changes to the database that United Planet has not authorized.

Access/Jet

Informix

SQL Server

Oracle

Change Database


Access/Jet

With the selection of Access/Jet you attain three possibilities in setting up your database server:

Without Database Password

If you select the “Database Password” check box and do not enter any password, your Access/Jet database will be set up without a password. We do not recommend this method due to security reasons.

With Database Password

Select the “Database Password” check box and proceed with entering a password. We recommend this method due to security reasons.

Attention: Changes to the database password that are made directly in the database that was opened with Access 2000 are not recognized by the Intrapact Server. You will lock yourself out of the database.

Use System Database

When you select the system database on the server, you will be referred to the file system.mdw from the WINNT/SYSTEM32. Proceed to select the Username and the Password that you want to use in order to login to the database.

Note: The User name and Password have to be available in the system.mdw file.

Having done that, you have already taken care of all the settings of the database server Access/Jet and you can conclude the setup in the next step using the -Start- button. Enterprise Manager prompts you to confirm the specified start URL and Intrapact is ready for use.

On the following dialogue page database, the program suggests the company name with the extension mdb. Access company databases are standardly situated in the sub-directory /jet in the Intrapact- working directory.


Informix

Informix

If you select Informix as the database server you have to specify an existing Username/Password-Combination. The specified user must have administrative access permissions. Using the button -Next- enables you to access further database definitions.

Here you can enter a database name or accept the one proposed by Enterprise Manager. Under “DBSpace” you select the DBSpace (Database file), in which this database should be stored.

Having done that, you have already taken care of all the settings of the database server Informix and you can conclude the setup in the next step using the button. Enterprise Manager prompts you to confirm the specified start URL, and Intrapact is ready for use.


SQL Server

If you select Microsoft SQL Server as database server, please proceed with selecting the login information. That makes the following security options available:

  • Use Windows NT Login Information

    This is the user account specified when installing Intrapact Server (-> Security Settings).

  • Use SQL Server Authentication

    With this option you use the security of SQL Server. To do that you must select an SQL Server user with administration rights. When you do the standard installation of Intrapact with MSDE, type “sa” for the username and do not enter any password. You can change this username/password combination at a later time.

If you click the button you can specify a name for the database. You can also accept the default given by Enterprise Manager (company name or company name with prefix up, spaces and special symbols replaced by underscores (_), maximum of 18 symbols) and this will conclude all the necessary inputs for setting up an SQL database server. When you conclude the setup using the button, Enterprise Manager prompts you to confirm the specified Start-URL.

Installing SQL Server

  • Establishing the new Company
  • Establishing Access


Installing SQL Server

Here you can enter a name for the new data base. You can also adopt the already given name by the manager and then have executed all necessary entries to install an SQL data base server. Upon completing the installation by clicking on the button, the manager will once again display the Start-URL, and then Intrapact is ready for action


Establishing the new Company

You have entered all necessary information in order to establish a new company. Press and the company will be installed.


Establishing Access

You have established the new company. It is located at the displayed address in Intrapact. Change the User Manager and establish Acess to Intrapact for the users.


Oracle

Database Login

New User / Schema

Database/User rights


Database Login

Oracle - Database Login

With Oracle, the difference to the other Database Servers is not a new Database, but a new user in a existing Database (Service) created on the Oracle Server. At the Dialog „Database Security” please enter the name of the service also the username and the password for authentification (e.g. username “system”, password “manager”)


New User / Schema

At the following dialog page “Database user” place the settings of the new user.

  • Under „user/schema“ the enterprise name, added with prefix „UP“ (White spaces will be replaced by underscores (_), the maximum length is 30 characters), recommended as username. You can change the default settings.
  • The password must have at least one character and accepts no space or special characters.
  • Under „tablespaces“ two directories of the service are chosen under „Standard“ and „Temporary“ . We recommend the standard settings “Users” and Temp” be withheld.


Database / User rights

The following dialog page is „Database/User rights“. In the left hand side the available roles are listed and can be chosen by selecting and a mouse click on the button with the arrow. The meaning of the roles may vary depending on the services settings. Minimum rights are listed:

  • connect to the database (Standard, Role CONNECT)

    create Tables, Foreign Keys, Primary Keys, Views and Trigger, edit and delete (Standard: Role RESOURCE)

No all settings are done


Change Database

Attention: Be careful with direct operations. Version 2001 has been improved compared to its processors that no direct operation is e.g. needed to duplicate a company or to import company data to another server (-> Tools/ Export Company). Please do not make any changes to the database that United Planet has not authorized.


Open Company

You can open an existing company using this menu item. You can also open companies by starting an Intrapact program module (Application Designer, User Manager, Layout Designer or Enterprise Manager) and opening the company in that module. Then you must log in (with Intrapact authentication). In order to open a company you must have access permission for at least one of Intrapact Manager's modules. The opened company's name is displayed in […] brackets in Intrapact Manager's title bar.

In Enterprise Manager you can change all settings of an established company (-> File/ Company Properties).


Close Company

With this menu item you can close an active company. All program modules of Intrapact Manager will be closed as well and you return to the initial screen. You can also close a company by opening a different company.


Delete Company

All companies managed in Intrapact Manager can be deleted if you retain at least one company. In order to delete a company you need to have all the administration access permissions for that company. Deleting a company can not be made undone.


Import Enterprise

Intrapact offers the possibility of adding new enterprises to your system by importing previously exported (see Export Enterprise...) enterprises. The menu item <Import Enterprise...> under <File> is only available at the Intrapact Server.

First select the catalog with the files from the previously exported enterprise (-> File/Export Enterprise...). There you will find the <Export.cex> file. Select it and click on the <Open> button.

After selecting the file, you continue in the same manner as when you establish a new enterprise. All settings that you can conduct here are explained in the manual, in chapter Enterprise Manager or in the Online Help under -> <New Enterprise>.


Export Enterprise

Under the menu item <Export Enterprise...> you can export an entire enterprise with all of its user data, applications and application data. This menu item is only available to you directly at the Intrapact Server.

The exported enterprise can be imported back to any Intrapact system Version 2001 and up (-> File/Import Enterprise...).

With the enterprise export you can store the whole enterprise's data, e.g. in order to transfer the database to a new Intrapact server, to supply the whole enterprise to a branch office, or to duplicate an enterprise database to a new differently-named enterprise on the same server.

To do so, select the menu item <Export Enterprise...> in Intrapact Manager's <File> menu.

If you are not logged in to an existing enterprise, you must first log in to the desired enterprise with user name and password.

Then select a path on the server, in which all enterprise data is to be stored. There, Intrapact will automatically create a catalog with the enterprise name (spaces and special charcters are replaced by underscrolls) in which the following files will be created:

  • the file Export.cex with the enterprise's general information,
  • the sub directory DB with all enterprise database tables as XML files,
  • the sub directory org, into which the entire content of the [Intrapact-work directory]\org\[Enterprise name] directory is copied.
more


Company Options

With this menu item you can change the company's settings. Enterprise Wizard's dialog pages correspond to the -Company Properties- window's register cards with the exception of database settings. You can reach these by clicking on the -Settings- button on the -General- register card.

Three functions that do not exist when newly creating a company are now available in the company properties:

  • Export database ( register card, button):
  • Port database ( register card, button, in new window with button ):
  • Change Database ( register card, button, in new window with button ):

With this menu item you can change the company's name, URL label, server and security settings. In addition, you can export items of the server to a file or to a different server, and you can also change the name of the anonymous user.

If you want to change the company name, overwrite the existing name in the text box “Company Name”. You can change the URL by overwriting the URL in the text box. The supplement “/default.asp” cannot be changed.

Select “Use NT-UserAccount for Login” so that all users can be identified through the NT-authentication. If you decide to select “Use Intrapact Authentication”, all users are going to be identified through the Intrapact Security. That way, not all the users have to login to the NT-System, instead they can be managed by Intrapact User Manager.

You can export the Company Database to a file or to another database

General

Website

Export

Porting current database

New Data Base - Choice of Source

New Data Base - Complete


Company Options - General

With this menu item you can change the company's settings. Enterprise Wizard's dialog pages correspond to the -Company Properties- window's register cards with the exception of database settings. You can reach these by clicking on the -Settings- button on the -General- register card.

Three functions that do not exist when newly creating a company are now available in the company properties:

  • Export database ( register card, button):
  • Port database ( register card, button, in new window with button ):
  • Change Database ( register card, button, in new window with button ):

With this menu item you can change the company's name, URL label, server and security settings. In addition, you can export items of the server to a file or to a different server, and you can also change the name of the anonymous user.

If you want to change the company name, overwrite the existing name in the text box “Company Name”. You can change the URL by overwriting the URL in the text box. The supplement “/default.asp” cannot be changed.

Select “Use NT-UserAccount for Login” so that all users can be identified through the NT-authentication. If you decide to select “Use Intrapact Authentication”, all users are going to be identified through the Intrapact Security. That way, not all the users have to login to the NT-System, instead they can be managed by Intrapact User Manager.

You can export the Company Database to a file or to another database.

Export to a file

To export a company database to a file, click the button and select the export directory. Enterprise Manager will automatically create a subdirectory with the label of the company name. The export process can take a few minutes.


Company Options

Website: The option -Standard- takes over the Internet Information Server's standard-website's settings on the Intrapact server (->Company Properties). The URL then begins with server name or the server's IP-address, e.g. http://Servername or http://192.175.99.212 (-> Internet server). New in Version 2001 is the possibility of establishing the company under a different website on the same Internet server.

Virtual Directory: On entering the company name for the first time, Intrapact uses it for the virtual directory, besides for spaces being replaced by underscores (My_Company). The virtual directory determines the URL's second part, e.g. http://Servername/My_Company or http://192.15.99.212/My_Company. You can also define another admissible name for the virtual directory which can be completely independent of the company name (only XXX symbols, not xxx).

Attention: You may not give several virtual directories the same name under the same page in the Internet Information Server. If a name is already given, Intrapact will replace it by an identifiable one (e.g. My_Company1).

The URL that is tailored to your entries is then shown at the bottom of Enterprise Wizard's pages. To log in to your Intranet, you merely enter the URL into your browser's address line; capital letters do not matter. The addition …/default.asp does not need to be entered as long as no other page than the starting page has been chosen (-> alternative starting page). You can also use the server's IP-address instead of the server name.


Export to a file

To export a company database to a file, click the -Export- button and select the export directory. Enterprise Manager will automatically create a subdirectory with the label of the company name. The export process can take a few minutes.


Porting current database

You can change the database that has been used on the fly when you port a company database to a new database.

To port the company database to a new database, click the -Settings- button and proceed to the database settings.

If you click the -Port Existing DB- button, your company database is already selected as import database for the new database. Select this database out of the list as your destination database. The settings of the new database correspond exactly to those you would assign to a new database when creating a new company. You will find details on that in this chapter under -New Company-. Conclude this process using the -Start- button and your company database will be ported to the new database.

Next, Enterprise Manager will propose to you the destination database as the new company database. If you accept, it will be used in the running system as the new company database.


New Data Base - Choice of Source -

Here you choose the data source for your new data base. Data from the already existing company data bases or of previously created Intrapact export-data is available


New Data Base - Complete -

You have now entered all necessary information to create a new data bank. Click on the -Start- button and the new data base will be set up.


Security Settings

The administrator specified a company administrator password during the Intrapact Server installation.

Using the Security settings menu item you can change the company administrator password. This menu item enabled if you have not opened any companies.


System Monitor

This menu item displays all users presently logged in to Intrapact after having entered the company administrator password (in case password not available -> File/ Security Settings). In addition, you will see how many user licenses are still available.

Start up System Monitor directly from the server, where Intrapact has been installed. That way you can terminate the sessions of individual users. Such terminations are not possible from client computers.

Attention: With a small amount of licenses the message -all client licenses taken- can appear even when the current logged in client number is smaller. You can prevent this by logging out in the Internet Browser's main menu by clicking on the corresponding button, instead of simply closing the browser, which causes the session to continue for another 20 minutes until the standard time out.


Changing Servers

New in Intrapact 2001 is the possibility of administering several Intrapact Servers with one Intrapact client installation. After selecting the menu item (just like during the Internet Server selection when newly establishing an enterprise) you enter the Server's name or IP address and confirm with <OK>.

The server can only be successfully changed if the new server is in operation, it is connected to the client computer and the current user possesses the necessary administrative rights. If the new server is in a different domain than the client, the two domains must be in a position of trust to each other.

!!! When changing servers there is no automatic test to find out if server and client Intrapact versions correspond. This condition is obligatory though, since it can otherwise come to large database inconsistencies. Prevention: The Intrapact client can only be taken into operation if all Intrapact servers and clients are updated to the newest version. !!!


Exit

This menu item enables you to exit Intrapact Manager and as a result also the Enterprise Manager. Alternatively, you can exit the program by pressing the key combination Alt + F4.


View menu

This menu item helps you show or hide icon bars of Intrapact Manager.


Help Menu

Intrapact Manager provides Online-Help during your sessions.


Intrapact Manager - Help Topics

The Help button is available in the majority of dialog boxes. Click this push button or press F1 in order to receive assistance for the combo box being displayed. Using the menu item Intrapact Manager - Help Topics you can launch the appropriate Help on every single topic.


Info

This is where you can find information about the current program version and the licenses that you have acquired. In addition to that, your serial number will be displayed which you should keep at hand in case you want to contact our Hotline.


Layout Designer

General

The Icon bar in Layout Designer

The Menu Bar in Layout Designer

  • File Menu
  • Edit Menu
  • View Menu


General

When developing Intrapact our greatest importance was to create a convenient and functional user interface. The easier a program is to use, the higher is the user acceptance. With the arrangement of single program sections we have stuck very strictly to generally accepted software standards.

The default layout of Intrapact can of course be changed according to your own requirements and taste. With Layout Designer, which is a part of Intrapact Manager, you can select one of the predefined layouts or develop your own layout.

To work with Intrapact Layout Designer you need access permissions in -> User Manager.

In Layout Designer you can determine the Intrapact user interface and main menu. You can change colors, fonts and also the size of each section to your own liking. You can also paste graphics in Intrapact, such as your company logo or alternative starting pages for the individual main menus. Besides for the optical adjustments, you can change the main menu bar and further system properties, such as individual access permissions to various main menu points, with LAYOUT DESIGNER according to your personal preferences.

All layout settings are valid for all workstations and all users who enter the Intrapact-enterprise over the browser.

This chapter contains the following:

  • In the section -Layout Designer's menu bar-, you will find descriptions of all commands and functions that are available to you in Layout Designer.
  • In the section an Intrapact page's individual elements and the various design possibilities will be described.


The Icon bar in Layout Designer

Layout Designer works with the Smart-Icons. Smart-Icons are icons that instantly execute certain program functions. If you point to the icon using the mouse, the function of the icon will be displayed on the screen.

Create New Enterprise: The enterprise is closed, the enterprise wizard appears to assist the creation of a new enterprise. (Description under -> Enterprise Manager / New Enterprise)

Open Enterprise: The enterprise is closed, the enterprise drop down box appears, after logging in the menu point's dialog -> Enterprise Manager / Enterprise Properties appears.

Export Enterprise: The enterprise and Layout Designer remain open, the wizard appears to export the current enterprise. (Description under -> Enterprise Manager / Export Enterprise)

Import Enterprise: The enterprise is closed, the wizard appears to import an enterprise. (Description under -> Enterprise Manager / Import Enterprise)

Launch Help: The enterprise and Layout Designer remain open. It does not matter from which program module help is requested. Description under -> Enterprise Manager / Help.

Create New Layout

Open Layout

Save Layout

Save as Active Layout

Edit Layout Properties (not always active)

Select Graphics (not always active)


The Menu Bar in Layout Designer

Like all current windows programs, layout designer has a menu bar with which you can use all available program functions.

  • File Menu
  • Edit Menu
  • View Menu


File Menu

In all Intrapact program modules besides for the menu points that belong to the individual menu points, all of enterprise manager's menu points except -> security settings are available to you

New Company
Import Company
Export Company
Open Company
Delete Company
Close Company
Company Properties
Layout
Save Layout
Save Layout as
Save as active Layout
Delete Layout
Exit


New Company

In Intrapact Manager you can set up as many companies as you desire and administer them. That gives you the possibility to setup Intrapact for various corporations with different databases and directory structures. The option to create and administer several companies also enables you to create companies for test and practise purposes. To create a new company you need the company-administrator’s password.


Open Company

Using this menu item you can open an existing company. You can also open companies by starting the desired module (Application Designer, User Manager, Layout Designer or Enterprise Manager) and selecting the company you are looking for directly from that module. In order to open a company you must have access permission for at least one of the modules of Intrapact Manager.


Delete Company

All the companies being administrated in Intrapact Manager can be deleted if you retain at least one company. In order to delete a company you need to have all the administration access permissions for that company. Deleting a company can no longer be undone.


Close Company

Using this menu item you can close an active company. All the modules of Intrapact Manager will be closed as well and you return to the initial screen. You can also close one company by opening a different company.


Company Properties

To edit a company you need the company-administrator's password.

further informations: here.


Layout

New Layout (SYmbol)

Layout Designer offers you a considerable number of preset layouts for Intrapact. With this menu item you can create as many additional new layouts as you like.

Open layout (symbol)

Every layout available in Layout Designer can be opened for further editing using this menu item. Select the layout you desire using the mouse and click the -Open- button.


Save Layout

Every new, changed or edited layout must be saved afterwards in order to keep the changes! changed layout settings are first seen after newly logging in to the browser.


Save Layout as

Save Layout as Active Layout

You can set the opened layout as active one for all applications using this menu item. All the users of Intrapact will use the new active layout for all applications.


Save as active Layout

You can set the opened layout as active one for all applications using this menu item. All the users of Intrapact will use the new active layout for all applications.


Delete Layout

Using this menu item you can delete layouts that you no longer need.

To do so, select the layout to be deleted out of the list and click the Delete button. The layout you have just deleted can not be restored.


Exit

This menu item enables you to exit Intrapact Manager and Enterprise Manager. Alternately, you can exit the program by pressing the key combination Alt + F4.


Edit Menu

Using the Edit menu item you can change all layout elements including the main menu label, graphics and logos. Furthermore, system properties can be selected.

You can generally select all of EDIT MENU's menu points by right-clicking on a page element in Layout Designer's main window over the context menu.

Main Menu

  • New Menu Item
  • Edit Menu Item
  • Assigning Access Permissions
  • Deleting Menu Items
  • Shifting Menu Items
  • Changing Color and Font

Welcome Page

Date Format

Personal Calendar

Layout

  • Color Settings
  • Font Settings
  • Background Settings and Background Pictures

Graphic

Display Info Bar

Display Logo

Display Welcome Text


Main Menu

This menu point opens the dialog to the main menu bar's settings.

Here you can determine an alternative Welcome Page to each menu point by clicking on -Customize Welcome Page of Menu Point- which is to be shown in the browser when the corresponding main menu item is selected.

You can either enter a URL http://www.Intrapact.com or by clicking on the list, select a file. The list is the same as the directory [Intrapact Installation Directory]:\Org\[Enterprise name]\UpApplications\UpArea\.

If you select a file with the -Search- button that is stored outside of the directory, it will automatically be copied to the corresponding enterprise's directory -UpArea-. Make sure that pictures and links are also in the directory.

An additional option for selecting Welcome Pages is offered under the main menu point -Home-. Under this menu point whose name you change but cannot delete, you can select different Welcome Pages for the anonymous user and for registered users. This pre-setting is always the page UpPortal.asp. Its properties and alternatives offered by Intrapact can be found in the manual under -> Portal Pages.

With help of the buttons -New-, -Rename- and -Delete- you can adjust the main menu bar to your own preferences. Only restriction: The menu items HOME, TEST and ARCHIVE are tied to the program. They cannot be deleted but their names can be changed.

  • New Menu Item
  • Edit Menu Item
  • Assigning Access Permissions
  • Deleting Menu Items
  • Shifting Menu Items
  • Customize Welcome Page of Menu Item


Create New Menu Item

To add a new menu item to your main menu, click the button and enter the name of the new menu item directly in the selection list. Then proceed by clicking the button. Doing that, you have added a new menu item to the main menu of Intrapact.


Rename Menu Item

The name of every menu item created already can be changed. Pick the menu item you want to change from the selection list and click the -Rename- button. Overwrite the name of the menu item directly in the selection list and conclude the edition by clicking the -OK- button.


Assigning Access Permissions

1. Assigning user rights for menu points in the main menu

2. Assigning user rights for applications and application pages

1. Assigning Access Permissions for Menu Points in the Main Menu

Using the Access Rights Administration you can control the users' access permission to every menu item of the main menu. The Access Rights Administration differs according to your orgchart user groups, positions and users. If you assign access permissions to a user group (e.g. Marketing), all the users within that user group will have permission to access the corresponding menu item in the main menu. If you assign the access permissions to a certain position within a user group (e.g. Person in Charge), all the users complying with this position will have permission to access the corresponding menu item in the main menu. If you assign the access permissions to individual users, they will accordingly be the only ones who will have the permission to access. Should user groups, positions or users have no access permission for a menu item, Intrapact will not display that menu item. After the initial installation, all the user groups and therefore all the individual users have access permission to all the menu items of the main menu as default setting. As a result, all menu items are immediately at the disposal of every user, and they only have to be changed for individual access permissions.

To withdraw access permissions from individual users, positions or user groups for certain menu items of the main menu, select them on the "Users and User Groups with Access Right" window, and press the Down arrow key. The users, positions and user groups you have selected will be shifted over to the "Users and User Groups without Access Right" window, and you can conclude the procedure by clicking the <OK> button.

To grant access permissions to individual users, positions or user groups for certain menu items of the main menu, select them on the "Users and User Groups without Access Right" window, and press the Up arrow key. The users, positions and user groups you have selected will be shifted over to the "Users and User Groups with Access Right" window, and you can conclude the procedure by clicking the <OK> button.

2. Assigning Access Permission for Applications and Application Pages

To change rights, select the desired application-object and click on the <change> button. This will lead you to the dialog window "Access Permission on Object". In the upper part of the window all users and user groups with permission are listed, in the lower part those without permission.

In order to fit out users or user groups with access permission to a desired object, mark them on the lower part of the list (without permission) and click on the upwards pointing arrow. The chosen users or user groups are transferred to the upper part of the list (with permission) and you can complete the change by clicking on the <OK> button.

In order to withdraw access to a given object of an application, mark the user or user group in the upper list (with permission) and click on the downwards pointing arrow. The chosen users or user groups are transferred to the lower part of the list (without permission) and you can complete the change by clicking on the <OK> button.

Warning: If you withdraw all users' and user groups' access permission to work on the application in the application designer, the consequence will be that the application cannot be worked on by anyone and thus no rights will be able to be given. The application will probably be useless.


Deleting Menu Items

Every available menu item of the main menu can be deleted, as long as it has not been assigned to an application or application pages in Intrapact. The menu items HOME, TEST and ARCHIVE are invariably assigned to the Home Page, that is why they cannot be deleted, however, they can take on a custom name.

To delete a menu item of the main menu, pick the item from the selection list and click the -DELETE- button. Conclude the delete procedure by clicking the button.


Shifting Menu Items

Every menu item but the Archiv of the main menu can be shifted. The listing sequence of these menu items on the selection box from top to bottom determines the sequence of their appearance on the main menu from left to right.

To shift a menu item down one position in the list, select the item and press the Down arrow key. The menu item will then appear shifted to the right in the main menu. To shift a menu item up one position in the list, select the item and press the Up arrow key. The menu item will then appear shifted to the right in the main menu. Conclude the procedure after the final positioning by clicking the <OK> button.


Welcome Page Menu Item

Customize Welcome Page of Menu Item

Press the -Customize Welcome Page of Menu Item-button to choose an alternative Welcome Page to be displayed on selecting a menu item in the browser window.


Welcome Page

Here you can determine different starting pages for the anonymous user and for registered user, concerning the main menu point -Home- which is the first to be displayed after Intrapact is selected in the browser. The page UpPortal.asp is always preset. You can read about its properties in the manual under -> Portal Pages.

The same setting can also be made under the menu point -> Edit / Main menu after having selected the main menu point -Home-.


Welcome Page Menu Item

Welcome Page of Menu Item

Here you can determine an alternative Welcome Page to each menu item by clicking on -Customize Welcome Page of Menu Item- which is to be shown in the browser when the corresponding main menu item is selected.

You can either enter a URL http://www.Intrapact.com or by clicking on the list, select a file. The list is the same as the directory [Intrapact Installation Directory]:\Org\[Enterprise name]\UpApplications\UpArea\.

If you select a file with the -Search- button that is stored outside of the directory, it will automatically be copied to the corresponding enterprise's directory -UpArea-. Make sure that pictures and links are also in the directory.


Date/Time-Format

Here you can determine, independent of the server' and client's country setting, the format in which the date/time is to be displayed in your Intrapact company. The three choices correspond to the American, English and German conventions. The German Date/Time-Format is preset.


Personal Calendar

Here you can determine which main menu point the personal calendar is to appear in the Intrapact enterprise.

The personal calendar is available to all users except for -Anonymous-.

In contrast to the other applications, the personal calendar can only be moved here.


Menu -Layout-

This menu point (resp. symbol) is only active when a main window is marked in Layout Designer. Only exception: the logo in the view starting page.

No matter which page element ( description in -> Working with Layout Designer) is selected in the Layout menu point, the dialog window will contain the same selections (Color settings, Font settings, background settings) which will be described here. You can find out which of these selections are available with which object in the table in -> Working with Layout Designer.

  • Color Settings
  • Font Settings
  • Background Settings and Background Pictures


Color Settings

By clicking on the color buttons, you first receive the 20 most common colors to choose from. Should you not find the desired color, simply click on -Others-. The following selection contains two register cards. The color on the -Browser-secure- card are definitely displayable on all current browsers. Should you not find the desired color there either, you can define your own color on the card -User-defined- by moving the three color scales (red, green, blue) with the mouse or entering a value between 0 and 255. This way you have 16.777.216 colors to choose from. The mixture is additive; black is 0-0-0, white 255-255-255, grey shades are reached by using the same values for all three colors anywhere on the scale. Here it is possible that your browser will not be able to display the exact tone and will use a similar one instead.


Font Settings

You can define font, font size, font type and font color.

In the dropdown box -Installed fonts-, all installed fonts are shown by clicking on the arrow. To add a font to the selected fonts, select it in the list and click on the left-arrow. You can also simply double-click it. Several font types can be listed in the view field -Selected fonts-; the first one on the list is generally used. To change their order, uses the up and down-arrows. To remove a font from the list, double-click it or mark it and click on the right-arrow.

Please remember that probably not all fonts installed on your computer are also installed on those of the other Intrapact users. Always make sure to select at least one generally used alternative font on the second position, so that it is provided for a display that corresponds to your choice in case the user's computer lacks the primarily selected font.

You can specify the Font Size in pixels. The Font Face defines how wide every font character is going to be displayed. You must keep in mind, that presently most browsers, and that applies to Netscape Navigator as well as Microsoft Internet Explorer, can interpret the values 400 (normal) and 700 (bold). For the display of font colors, three different conditions can be considered:

  • Color normal

    Font color for all the fonts in menus, submenus, application menus, view pages and application titles, that have not been selected or no other additional functions are assigned to them.

  • Color on Selection

    Font color for all fonts in menus, submenus, application menus and view pages that have been selected.

  • Color on Mouse Over

    Font color for all fonts in menus, submenus, application menus and view pages when contacted by the mouse pointer.


Background Settings and Background Pictures

Intrapact 2001 now offers you the possibility to choose a background color for each Intrapact page's frame, a background picture or both. The used graphics must be in *.jpg (joint picture expert group) or *.gif (graphic interchange format) format.

This way you have even more possibilities to tailor Intrapact layouts to your own desire.

To add a background graphic, mark the box -Use Background Picture- in the corresponding dialogs under the register card -General-.

You can then select the picture with the -Change- button, in the line -Picture File- from the list. This list -File Selection- shows you if the available graphics on the Server in the directory [Intrapact Installation Directory]\Org\[Enterprise Name]\Images\Company\.

You can add further graphics from your network with the -Search- button or by entering the path in the field -Picture File-. The added graphics are automatically entered into the …\Images\Company directory and are hence available to the Intrapact enterprise. You can delete the graphic from the list of selectable background pictures with the -Delete- button.

Please choose the following graphic sizes of the individual frames for covering the whole area:

Info bar: height: 24 pixels, width: maximum area

Main navigation: height: 25 pixels, width: maximum area

Graphic above area navigation: height: 55 pixels, width: 150 pixels

View main menu: height: 15 pixels, width: 150 pixels

Area menu: height: rest area, width: 150 pixels

Application title: height: 31 pixels, width: rest area

Application menu: height: 24 pixels, width: rest area

Application pages, start pages: height: rest area, width: rest area

All graphics can be provided with the following properties:

  • Watermark:

    • This setting makes the graphic always stop at the same position instead of scrolling along with the corresponding window.

  • Image repeat:

    • No repeat:

    The image is placed in the frame's upper right corner. If the window's display area is larger than the graphic, the rest of the window will be filled with the background color.

    Repeat:

    Like a tile, the graphic is displayed from the upper right corner across the whole window.

    Background image and background color

    If the selected background image does not fill out the entire area of the frame, the rest will be filled out by the background color. Whether the inserted graphic is overlapped or displayed with its own background color independent of the background color selected for the frame in Layout Designer, depends on the image's properties.

    No background image

    When no background image is used, the area is filled out by the selectable background color.

    SPECIAL SETTINGS FOR TEXT BOXES AND BUTTONS

    On selecting the menu point from the main frame, you receive a register card -Text Box/ Button-.

    Here you can select background colors, text colors, frame colors, frame thickness and frame style for browsers that support style sheets (Microsoft Internet Explorer Version 4 and up, Netscape Navigator Version 4.7 and up).

    This way you have an ever larger design margin in Intrapact.

    To select these design characteristics, mark the box -User defined text element and button settings-.

    To restore the original settings (grey buttons, text elements with white background, etc.), remove the checkmark in the box -User defined text element and button settings-.


Menu "Graphics"

This menu point (resp. the symbol) is only active when the view page's welcome page in the main frame or the logo (only the welcome page's logo) is marked in Layout Designer's main window.

The same window -File Selection- appears as when selecting the background image under the menu point Layout (description under -> Edit/ Layout). The welcome page's logo does not offer the additional function -Watermark-.


Display Info Bar

Here you decide if you want the so-called info bar with the current user's name, the enterprise name and the current date to be displayed in the browser.


Display Logo

This setting refers to the so-called portal page which is the standard page that appears when selecting a main menu point. If you do not activate this menu point, the enterprise logo will not be displayed on this page anymore.


Display Welcome Text

This setting refers to the so-called portal page which is the standard page that appears when selecting a main menu point. If you do not activate this menu point, the welcome text which you can create in Layout Designer will not be displayed on this page anymore.


Global Search

Activate / Deactivate Search.


View Menu

This menu item helps you show or hide icon bars of Intrapact Manager and User Manager. In addition, you can update your screen display. This can be very helpful, if several users perform edits at the same time in User Manager.


Menu Help

Intrapact Manager provides you with an Online-Help.


Help Topics

The -Help- button is available in the majority of dialog boxes. Click this push button or press -F1- in order to receive assistance for the combo box being displayed. Using the menu item Intrapact Manager - Help Topics you can launch the appropriate Help on every single topic. You can find a more exact description under -> Enterprise Manager /File /Help.


Info

This is where you can find information about the current program version and the licenses you have acquired. In addition to that, your program's serial number is displayed which you should keep at hand in case you want to contact our Helpdesk.


Working with Layout Designer

Whenever you start Layout Designer, one of the available layouts is loaded. After that, all functions of Layout Designer are available to you. The view of Layout Designer always distinguishes between the Welcome Pages (individual main menu points) and the application pages. The navigation elements (info bar, main menu bar, sub menu bar) and both view pages of common main frame elements (besides for the enterprise logo, welcome text, portal heading, application titles and application menu) can be edited in both view pages. Changing these elements on one of the view pages will automatically be performed on the other. In order to make changes on the layout as convenient as possible for you, the page setup corresponds exactly to the ready-made applications in Intrapact. Please note that you usually have to edit the Welcome Page and application pages in order to obtain a unified layout.

For all the sections of an application, such as the Info-bar, Main Menu, Main Menu Display, Submenu, Application Title, Application Menu and the Application Page, you can use different colors and fonts. The selection of colors and fonts is an identical procedure for every section:

  • by double clicking on the desired section or

  • by highlighting the desired area and selecting the menu point -> Edit/Layout or -> Edit/Graphic (or the corresponding symbols on the symbol bar) or

  • by right-clicking the mouse for selection (besides for the ->Logo)

    • A dialog window will appear whose properties are described under -> Edit/Layout.

    When right-clicking on an element in the context menu either the option Layout or Graphic (see summary at the end of this passage) is active besides for the menu points Main Menu, Welcome Page, Date Format and Personal Calendar (description under the corresponding passages in Menu -> Edit).

    The three Menu points -Display Info bar-, -Display Logo- and -Display Welcome Text- can only be selected if the context menu is selected within the Welcome page's mainframe.

    Intrapact Page elements


Intrapact Page elements

General

Info Bar

Main Menu

Main Menu Display

Logos

Titles

Second Level Menu

Welcome Page

Portal Page and Title

Tables and Links

Application Page

Application Title

Application Menu

Textbox / Button

Individual Starting pages

Special Settings


General

Color settings

Clicking the color-button provides you with the 20 most used color shades. Should you not find your desired color-shade, click the button. That will take you to the tab “Browser-Safe”. All the 216 colors offered to you here for selection can be displayed on any of the common browsers without any problems. Should you still not be able to find your desired color, you can define your own color under the tab “User Defined”. In some rare cases it can happen, that a browser cannot display that particular color correctly and uses a similar color.

Font settings

Font Settings enables you to define the font, font size, font face and font color.

Select the standard font-face for the chosen pages. Mind that the STARTPAGE and the APPLICATION PAGE use the same font-face. Different settings for these two pages is NOT possible.

The list box “Installed Fonts” contains and exposes all custom fonts installed on your computer. In order to add a font to the Selected Fonts, you must pick it from the list and press the Left arrow key. Using the mouse to double-click will add the installed font that you have selected to the Selected Fonts. In the “Selected Fonts” view box you can have several fonts listed; the font at the top of the list is the one that is going to be used. If that font has not been installed for the user, the next font on the list will be used. If you want to change the sequence of the listed fonts, pick the font entry and press the Up or Down arrow key. You can delete a selected font by double clicking using the mouse.

Please remember that probably not all fonts installed on your computer are also installed on those of the other Intrapact users. Always make sure to select at least one generally used alternative font on the second position, so that it is provided for a display that corresponds to your choice in case the user's computer lacks the primarily selected font.

You can specify the Font Size in pixels. The Font Face defines how wide every font character is going to be displayed. You must keep in mind, that presently most browsers, and that applies to Netscape Navigator as well as Microsoft Internet Explorer, can interpret the values 400 (normal) and 700 (bold). For the display of font colors, three different conditions can be considered:

  • Color normal

    Font color for all the fonts in menus, submenus, application menus, view pages and application titles, that have not been selected or no other additional functions are assigned to them.

  • Color on Selection

    Font color for all fonts in menus, submenus, application menus and view pages that have been selected.

  • Color on Mouse Over

    Font color for all fonts in menus, submenus, application menus and view pages when contacted by the mouse pointer.

Application menu

The Application menu is always located directly under the Application title and displays all of an application's menu items, i.e. all of an application's directly selectable edit or view pages.

As in all Welcome and application page areas, you can select the background image and color, font, font size and font color.

Select over the menu items ->Edit/Layout and ->Edit/Graphic in Layout Designer

Submenu

The Submenu is always located directly under the Main Menu Display and contains all the available application areas and applications under this menu item of the main menu.

Similar to all the sections of the Welcome Page or application pages, in Submenu you can also change the background color as well as the font, font size and font color.

By double clicking on the section of the Submenu using the mouse or by right-clicking the mouse for selection you will proceed to the window for Layout-Editing. All the options assigned to font colors will be at your disposal, as all the selection functions are assigned to the Submenu.

WELCOME TEXT

The Welcome Page also contains Intrapact' Welcome Text. You can change the text directly by double-clicking on it. The same settings are used to display it as are for the Welcome Page's Title 3. There are no further layout options, Layout Designer's context menu cannot be selected over this element.

The Welcome Text can be faded out over ->Edit/Show Welcome Text


Info Bar

The Info Bar displays the name of the company and the active user as well as the current date. In the Info Bar you can change the background color in addition to the font, font size and font color.

By double clicking on the section of the Info Bar using the mouse or by right-clicking the mouse for selection you will proceed to the window for Layout-Editing. For the font color, the options of “Color on Selection” and “Color on Mouse Over” are not available, as there are not any selection functions assigned to the Info Bar.

The Info Bar can be completely faded out over the menu ->Edit/Info Bar.


Main Menu

In the main menu you define the general navigation through your Intranet. By means of a plausible main menu adapted to your operational requirements, you can improve the access to the individual applications in order to increase the acceptance of your Intranet in daily use. With the initial installation Intrapact creates the menu items Home, Test and Archive. These menu items cannot be deleted but renamed. You can just as well add new menu items.

To change the main menu, select the Edit/MainMenu menu item or right-click the mouse for selection.

By double-clicking the Main Menu Bar or upon selection with the right mouse button, you reach the window for Layout editing. Here you have all font colors and option to your disposal since the Main Menu possesses all selection functions.

You can change the Main Menu's background color, font, font size and font color, as with all Welcome and Application pages.

further information.


Mainmenu-Display

The MainMenu-Display is always located directly under Graphic 1 and displays the presently selected section of the main menu. On the MainMenu-Display you can change the background color as well as the font, font size and font color.

By double clicking on the section of MainMenu-Display using the mouse or by right clicking the mouse for selection you will proceed to the window for Layout-Editing. However, the options "Color on Selection" and "Color on Mouse Over" for font colors are not provided for, as no selection functions are assigned to the MainMenu-Display.


Logo

Sub Menu - Logo

The sub-menu logo is always located at the upper left corner of Intrapact. A graphic can be added as the background image over the menu item -> Edit/Layout/Background. However, as this location only offers limited space for graphics we recommend pasting graphics with a size of 155 x 50 pixels and a resolution of 72 dpi.

By double clicking on the section where the sub logo is positioned using the mouse or by right-clicking the mouse for selection you will proceed to the Layout editing page where you have the options for the background design.

ENTERPRISE logo

The Enterprise Logo on the Welcome Page is the ideal place for displaying your corporate design. The size of this graphic is not limited. However, you should keep in mind that oversized graphics on the Welcome Page take up considerable space and therefore you might not be able to display all the news and information on the Web-Site without scrolling.

By double clicking on the section of the Enterprise Logo using the mouse or by right-clicking the mouse for selection you will proceed to the window for graphic selection where you can select one of the graphics already installed from the list, or install a new graphic from any directory using the -Search- button (->Edit/Graphic).

The Enterprise Logo can be faded out over ->Edit/Show Enterprise Logo


Headings

PORTAL heading

Here you determine in which font, font size and background color the Portal Page's headings are to be displayed.

These settings are also valid for newsletter applications, the site map and the organizational chart.

SUB-MENU heading

The sub menu heading is always located directly under the sub menu logo and displays the current Main Menu logo. You can change the sub menu heading's background image, its color, as well as font, font size, and font color.

By double clicking on the section where the sub logo is positioned using the mouse or by right-clicking the mouse for selection you will proceed to the Layout editing page. Here the possibilities of and are not available since the sub menu heading does not have selection functions.

Font settings

Font Settings enables you to define the font, font size, font face and font color.

The list box "Installed Fonts" contains and exposes all custom fonts installed on your computer. In order to add a font to the Selected Fonts, you must pick it from the list and press the Left arrow key. Using the mouse to double-click will add the installed font that you have selected to the Selected Fonts. In the "Selected Fonts" view box you can have several fonts listed; the font at the top of the list is the one that is going to be used. If that font has not been installed for the user, the next font on the list will be used. If you want to change the sequence of the listed fonts, pick the font entry and press the Up or Down arrow key. You can delete a selected font by double clicking using the mouse.

Please remember that probably not all fonts installed on your computer are also installed on those of the other Intrapact users. Always make sure to select at least one generally used alternative font on the second position, so that it is provided for a display that corresponds to your choice in case the user's computer lacks the primarily selected font.

You can specify the Font Size in pixels. The Font Face defines how wide every font character is going to be displayed. You must keep in mind, that presently most browsers, and that applies to Netscape Navigator as well as Microsoft Internet Explorer, can interpret the values 400 (normal) and 700 (bold). For the display of font colors, three different conditions can be considered:

  • Color normal

    Font color for all the fonts in menus, submenus, application menus, view pages and application headings, that have not been selected or no other additional functions are assigned to them.

  • Color on Selection

    Font color for all fonts in menus, submenus, application menus and view pages that have been selected.

  • Color on Mouse Over

    Font color for all fonts in menus, submenus, application menus and view pages when contacted by the mouse pointer.


Second-Level Menu

The Second-Level Menu is always located directly under the MainMenu-Display and contains all the available application areas and applications under this menu item of the main menu.

Similar to all the sections of the Welcome Page or application pages, in Second-Level Menu you can also change the background color as well as the font, font size and font color.

By double clicking on the section of the Second-Level Menu using the mouse or by right clicking the mouse for selection you will proceed to the window for Layout-Editing. All the options assigned to font colors will be at your disposal, as all the selection functions are assigned to the Second-Level Menu.


Home Page

Welcome Page

The Welcome Page is the information page which appears directly after selecting the Intrapact Enterprise in the browser. Besides for the logo and the welcome text it contains current information like the current day's appointments, received messages, invitations to meetings as well as other individually adjustable notifications (->WebFunctions/PortalPage).

On taking over the Intrapact standard settings, this page is the Welcome Page for all main menu items -without the portal page's current information- as long as no application has been selected.

The possibilities of setting up alternative Welcome Pages for the main menu items as well as for the anonymous users' portal page are described under ->Edit/MainMenu

To modify the Welcome Page's layout and its elements (logo, welcome text and portal title) you must select the view -Standard Welcome Page- on the bottom edge of Layout Designer's main window.

By double clicking on the section where the welcome page is positioned using the mouse or by right-clicking the mouse for selection you will proceed to the Layout editing page where all options are available since the home page has all selection functions.

In file selection window, where you can select one of the graphics already installed from the list, or install a new graphic from any directory using the -Search- button. All graphics selected using the Search button will be taken on in the list of installed graphics. Conclude the selection of a graphic by clicking the -OK- button. You can delete graphics that you do not need any longer by selecting the corresponding graphic and clicking the -Delete- button.


Portal Page

Layout Designer - Portal Page

Select which font-face, -size and which backgroundcolor is displayed on your portal-page

Besides the portal-page these settings effect the application newsletter, the sitemap and the Organigram

Learn more about portal pages !


Layout Designer - Tables

This register offers the possibility to to modify the color-settings of your tables.

The colors are set with the drop-drown boxes, fonts are selected with listboxes. Please remember that probably not all fonts installed on your computer are also installed on those of the other Intrapact users. Always make sure to select at least one generally used alternative font on the second position, so that it is provided for a display that corresponds to your choice in case the user's computer lacks the primarily selected font.


Layoutdesigner - Links

This register edits the color settings of your links.

The setting color is in this case the default color, the setting color on mouse over is the color when the link is "touched" by the mouse-coursor. In addition you are able to select the font-face and -size for highlighted links. Please remember that probably not all fonts installed on your computer are also installed on those of the other Intrapact users. Always make sure to select at least one generally used alternative font on the second position, so that it is provided for a display that corresponds to your choice in case the user's computer lacks the primarily selected font.


Application Page

Application pages are the forms and view pages of the application being used, and are always launched via Application Menu.

Similar to all sections of the Welcome Page or application pages you can change the background color, font type, font size and font color in Application Page.

By double clicking the section of the Application Page using the mouse or by right-clicking the mouse for selection you will proceed to the window for Layout-Editing. All font color options are selectable, as all the selection functions are assigned to the Application Page. In addition, all the font options can be used for titles (Title 1, Title 2 and Title 3), tables and links (titles of tables, all the links and highlighted links).


Application title

The name of the active application can always be found on the Application Title. You can change the background color, font type, font size and font color of the Application Title.

By double clicking on the section of Application Title using the mouse or by right-clicking the mouse for selection you will proceed to the window for Layout-Editing. However, the options “Color on Selection” and “Color on Mouse Over” for font colors are selectable, as no selection functions are assigned to the Application Title


Application menu

The Application Menu can always be found directly under the Application Title and lists all menu items of an application.

Similar to all the sections of the Home Page or application pages, you can change the background color, font type, font size and font color in Application Menu. By double clicking on the section of the Application Menu using the mouse or by right-clicking the mouse for selection you proceed to the window for Layout-Editing. All the options assigned to font colors are selectable, as all the selection functions are assigned to the Application Menu


Layout Designer - Entries

When selecting the menu item Layout from the mainframe, it contains both registers "Entries" and "Buttons"

Here you can set background colors, text colors, frame colors and frame styles for browsers that support style sheets (Microsoft Internet Explorer Version 4 and up, Netscape Navigator Version 6 and up).

This way you have an even larger margin for creations in Intrapact.

To adjust these charcteristics, mark the <User defined text element and button settings> box and select the desired settings.

To restore the original settings (grey buttons, text elements with white background, etc.) deselect the named checkboxes.


Layout Designer - Buttons

When selecting the menu item Layout from the mainframe, it contains both registers "Entries" and "Buttons"

Here you can set background colors, text colors, frame colors and frame styles for browsers that support style sheets (Microsoft Internet Explorer Version 4 and up, Netscape Navigator Version 6 and up).

This way you have an even larger margin for creations in Intrapact.

To adjust these charcteristics, mark the <User defined text element and button settings> box and select the desired settings.

To restore the original settings (grey buttons, text elements with white background, etc.) deselect the named check boxes. In the register "buttons" you have the possibility of various styles for the different buttons (delete, cancel, save etc.). This makes easier for the user to recognize them.


Layout Designer - Advanced Settings

Special Settings

In addition, you are given the register card "Special Settings". With the help of this function you can determine whether or not the main menu is to be endowed with button effects. If you select "Select Button Effects", the following boxes will also become active: "Color on Mouse Contact", "Frame Color on Mouse Contact", "Color on Mouse Click" and "Frame Color on Mouse Click". Select your desired colors. You can also give background images for the buttons: "Background Image normal", "Background Image on Selection", "Background Image on Mouse Contact". Additionally, you have the possibility of inserting image files for the links and for the main menu's separation symbols onto this register card.


User Manager

General

Icon Bar

Menu Bar

User Manager in the Organization Section

User Manager in Section User


General

User Manager is the Intrapact Manager module to manage all users, employees, and the complete organizational structure of the company. In order to exercise optimum control of the appropriate flow of information in your company, it is recommendable to map your company's organizational chart carefully to your Intrapact.

All user groups, positions and users have to be set up in User Manager to give them access to your Intranet. With User Manager you also manage all access permissions for the Intrapact Manager program modules.

User Manager consists of two sections: Organization and Users. All administrative activities related to the organizational structure of the business are processed in the Organization section, and all user related settings in the Users section. You can access all program functions using the menu bar. For the most frequently used functions there is an additional icon bar.


The Icon Bar in User Manager

User Manager works with the so-called Smart-Icons. Smart-Icons are icons that instantly execute certain program functions. If you point to the icon using the mouse, the function of the icon will be displayed.

  • Add New Division
  • Add New Position
  • Create New User
  • Add New Division
  • Add Position
  • Add user
  • Delete Selected Division


The Menu Bar in User Manager

File Menu

  • New Company
  • Open Company
  • Close Company
  • Delete Company
  • Company Properties
  • Security Settings
  • Exit

Edit Menu

  • Add Organization Branch
  • Add Division
  • Add Position
  • Add User
  • Delete Selected Entry

View Menu

Tools Menu

  • User Group
  • Create New User Group

What the Access Permissions mean

  • Editing User Groups
  • Deleting User Groups
  • Position Types
    • Adding new Positions
    • Deleting Positions
    • Editing Positions
  • User and Group Import


File Menu

  • New Company
  • Open Company
  • Close Company
  • Delete Company
  • Company Properties
  • Security Settings
  • Exit


New Company

In Intrapact Manager you can set up as many companies as you desire and administer them. That gives you the possibility to setup Intrapact for various corporations with different databases and directory structures. The option to create and administer several companies also enables you to create companies for test and practise purposes.

To create a new company you need the company-administrator’s password assigned during the server installation.


Close Company

You can close an active company using this menu item. All the program parts of Intrapact Manager will be closed as well and you return to the initial screen. You can also close one company by opening a different company.


Delete Company

All the companies being administered in Intrapact Manager can be deleted if you retain at least one company. In order to delete a company you need to have all the administration access permissions for that company. Deleting a company can no longer be undone.


Company Properties

To edit a company, you need the company-administrator's password.


Security Settings

During the Server-Installation of Intrapact Administrator you determined a Company-Administrator-Password which is needed in order to add an Additional Company.

Under the menu item "Security Settings" the company-administrator-password can be changed. This menu item is only active if you have not opened a company yet.


Exit

With this menu item enables you to exit Intrapact Manager and as a result also the Enterprise Manager. Alternately, you can exit the program by pressing the key combination <ALT>+<F4>.


Edit Menu

The menu items Add Organization Branch, Add Division and Add Position are active only when you are in the Organization section. In contrast you can add new users only when you are in the Users section.

  • Add Organization Branch
  • Add Division
  • Add Position
  • Add User
  • Delete Selected Entry


Add Organization Branch

Using this menu item you can add organization branches, that are not mapped in the organizational structure of your actual enterprise. This menu item gives you the possibility to map parallel divisions of the enterprise in your organizational structure and to control their access permissions.


Add Division

In order to exercise optimum control of the appropriate flow of information in your company, it is recommendable to map the organizational chart (orgchart) on your Intranet. With the menu item Add Division you can add as many operational divisions or departments as you desire in unlimited hierarchical classification. If your orgchart is already available on other positions – e.g. on the Exchange Server –, you can import it and in doing so, you can spare yourself the trouble of recreating it. For more information on this subject you can refer to "Menu Tools, User- and Group Import".


Add Position

There are fixed positions or functions, that as a rule, belong to all divisions and departments of a business. Using the menu item Add Position you can add certain positions or functions to any section. Of course these positions can also be imported from a different application.


Add User

You can add new users only if you are in the User section. When you select Add User you will proceed to the user's "Account" form, where you must enter the Username, that is the name with which the user loggs in on the Intranet. As a rule, this name is identical with the name used for the network login. On this page you can also assign the user's first password, which can and should later be replaced by a password of the user's own choice. This password will not later be displayed for you. As the system administrator, however, you have the possibility to replace this password by a new one. It might become necessary to do so if the user does not remember his personal password any more. You also determine on this page, to which user group the user belongs.

On the left side you can see all the user groups, that the user belongs to. On the right, a selection list of all the available user groups is displayed. By a double-click or by using the arrow keys in the middle to select, you can add or delete user groups for the user. Of course, a user can be a member of several user groups (e.g. Management and Marketing). By selecting user groups for the individual users you already make a preselection of assigned access permissions for the corresponding users. Basically, all the access permissions assigned here to users can be individually changed. The only exception remains the Administrators user group, that as a rule, is granted all the access permissions.

On the next form, the form for personal information, you can enter information such as Name, Title, Personnel Number, Employed Start Date, Date of Birth and Address. On this form you can also integrate a picture of the user. To do that, click the section for the picture and specify the graphic's name and location. The permissible formats for the graphic are JPEG (*.jpg) and Bitmap-files (*.bmp). These specifications are not mandatory, however, they can be used for your company's database.

On the "Contacts" page, you can capture the user's phone number, fax number and email address. These specifications are not mandatory either, however, they can be used in other applications.

On the "Permissions" page, at the beginning all the access permissions are accepted the way they have been predefined in the user group. You can expand these access permissions or restrict them on this form for each user individually once again. Permissions assigned on this form always refer to modules of Intrapact Manager and do not influence access permissions of the corresponding user for any of the other applications.


Delete Selected Entry

Using this menu item you can delete selected organization branches, divisions and positions. If you delete a complete organization branch, all the divisions and positions subordinate to that branch with all the allocated staff in its structure will be deleted as well. If you delete a division, you will also be deleting all the subdivisions and positions subordinate to that division with all its staff. If you delete positions, all its related staff allocations will be removed. You cannot delete staff members using this menu item, that has to be done in the User section.


View Menu

With this menu item you can blend in and out the Navigation Bar and the Tool Bar. The Navigation Bar shows you all modules of Intrapact Manager, that are installed on the workstation and are available with appropriate access permissions. You can directly change to each of the modules of Intrapact Manager using the Navigation Bar.

In addition, you can update your screen display. This can be very helpful when several users perform edits at the same time in User Manager.


Tools Menu

Using the menu item Tools you can find the entire user groups administration and position-types administration. The user groups administration is active only in the Organization section, and the position-types administration is active only in the User section. Moreover, you can find here the complete user-import and group-import.

  • User Group
  • Create New User Group


User Groups

Under User Groups, you can create new user groups, or edit or delete existing ones.


Create New User Group

To create a new user group, click on the <New> button.

Then, proceed by entering the name of the new user group (e.g. Intrapact-Administrator) and establish the access permissions, that should be assigned to this group for Intrapact Manager. All the access permissions assigned to this user group can be changed individually for each user. To the users of a user group assign only standard access permissions, if they are to use functions of program parts of Intrapact Manager. Furthermore, it is necessary, that these user groups install the corresponding program parts of Intrapact Manager in advance.

What the access permissions mean


What the Access Permissions mean

Application Designer

With Application Designer every permitted user can create new applications and make them available to users with different access rights, and also change or delete existing applications.

In addition to the access right to User Manager, all users who wish to create applications in Intrapact need access to Application Designer in Intrapact Manager.

Layout Designer

The user group can change the layout of Intrapact. It can adapt e.g. colors, fonts, logos and pictures to the company's corporate identity, and establish the names and arrangements of the main menu.

In addition to the access right to User Manager, all users who are allowed to change the Layout of Intrapact need access to Layout Designer in Intrapact Manager.

Make sure that only one or very few users have the right to change the layout of Intrapact. This way you prevent discrepancies from the CI-data in Intrapact and expand the acceptance at the work place and among users.

Enterprise Manager

Every permitted user can add companies to Intrapact or change and delete existing ones by using the Enterprise Manager. Companies can only be deleted as long as at least one remains.

Besides for access to the User manager, all users who manage companies in Intrapact need access to the Enterprise Manager in the Intrapact manager.

User Manager

Every permitted user can administer the organization-tree and the company's users with help of the User Manager. The rights to the organization administration are linked to the rights to the administration of divisions and user groups. A user who only has organization administration rights but no rights to the administration of divisions and user groups can only add new users but he cannot assign them to user groups or divisions. By activating the check box "Access Rights for Division and User Administration as a Standard…" the user receives access permission to all organization-branches and areas of the organization-tree. These rights can be restricted to special organization-branches and divisions by de-activating the corresponding boxes in the window "Administration Rights for Divisions and User groups". If the box "Administration Rights for Divisions and User groups" is not activated, the user does not receive any rights for organization branches or divisions in the organization-tree either. The rights can be expanded any way you like by activating the corresponding boxes in the window "Administration Rights for Divisions and User groups".

Besides for the right in the User manager, all users who administer the organization-tree (orgchart) and the users in Intrapact need access to the corresponding module in the Intrapact manager.

Access Rights for Division and User Administration as a Standard

If you activate this check box, the user group will be able to, as a standard, access all the permissions and functions of the User Manager. Without activating this check box, the user group will only be able to launch the User Manager. The user group in this case can neither carry out edits in the Organization section nor in the User section. This permission can be restricted or expanded for individual users at any division and every organizational hierarchy.

  • Editing User Groups
  • Deleting User Groups
  • Position Types
    • Adding new Positions
    • Deleting Positions
    • Editing Positions
  • User and Group Import


Editing User Groups

Using this menu item you can change access permissions of existing user groups. All the changes conducted here will automatically apply to all the users within the corresponding user group.


Deleting User Groups

To delete a user group you no longer need, select that group from the user group window using the mouse and click the button. Answer the question that follows if you really want to delete this user group by clicking the button and the selected user group will be deleted irreversibly. User groups, that still have users allocated to them cannot be deleted.


Position Types

Under Position Types you can administer positions, respectively, functions of your enterprise. Positions can randomly be added to any hierarchy level of your orgchart and occupied by as many staff as needed.

  • Adding new Positions
  • Deleting Positions
  • Editing Positions


Adding new Positions

To add a new position or a new function, select the <New> button and type the name of the new position directly in the position box. You can conclude the process by clicking the <OK> button.


Deleting positions

To delete a position or function you no longer need, select it using the mouse and click the button. Positions can be deleted only if staff or users are not any longer allocated to them.


Editing Positions

To change the name of an existing function or position, select the function or position and click it using the mouse (a slow double-click). You can then proceed by carrying out the edit directly in the position box.


User and Group Import

Generating all the users and divisions all over again can be a very labor-intensive and basically an extremely annoying job, especially when these are already available in other parts of the network. To spare yourself the extra effort, you can import divisions, positions and users from other locations. User Manager supports you with its Import-Assistant in importing data from Windows NT, Exchange and other files.

To import users and user groups, select the menu item Tools/Users and Group Import and the Import-Assistant guides you through all the necessary steps of the import.

Import from Windows NT

Import from Exchange

Import from Datei

Import from Microsoft Active Directory


Importing from Windows NT

To import users and user groups from Windows NT, select Windows NT from the list box "Import Source" in the Import-Assistant and click the <Next> button.

In the next step you must establish if the import data should be imported from a Domain or a Server. If you select "Domain" and leave out the text box, your Login-Domain will be used. If you select "Server" for the import and leave the text box belonging to it blank, your local system will be used. You can proceed to the import options by clicking the <Next> button.

In the Import-Assistant, under "Options" you can determine the import type, the import data and the group membership of new users.

Under Import Type you can choose between "Import only new Users and Groups", "Import all Users and Groups" and "User Defined Import". If you select the import type User Defined, you will have to establish later, which users displayed in the Import-Assistant you want to import.

Under Import Data you can choose if you would like to import user data or user groups. Here, you can also choose to import user data and user groups together. If you do not check any of the boxes, you will not be able to import any data. Divisions and memberships cannot be selected when importing from Windows NT, as such information is not available in that system.

Under "Import of Group Membership of new Users" you can select, how this information should be administered in User Manager, if there is available information about group membership incorporated in the user data.

If you select "If Source and Destination Group Identical", all the imported user data will be checked for and allocate to existing groups. If under Import Type you have selected "All Users and Groups", the changes in group memberships of users will be automatically adapted. If you choose "If Users in the New Imported Group", only users in the new imported user group will be allocated. By selecting "Do Not Import Memberships" you will be ignoring the information of group memberships, which is a part you can fetch in User Manager at a later time.

When you click the <Next> button, the Import-Assistant will show you a list of all the users you can import in a list, if under Import Type you have selected "User Defined Import". Select here all the users you would like to import and proceed by clicking the <Next> button.

Having done that, you have made all the necessary specifications for a successful import of users and divisions with memberships, and you can conclude the import using the <Start> button followed by the <Finish> button.


Import from Exchange

To import users and user groups from Exchange, select "Exchange" from the list box "Import Source" in the Import-Assistant and click the <Next> button.

Import-Assistant will then show you every available Exchange Server and you must merely make your selection and click it in the list box.

In the Import-Assistant, under "Options" you can determine the import type, the import data and the group membership of new users.

Under Import Type you can choose between "Import only new Users and Groups", "Import all Users and Groups" and "User Defined Import". If you select the import type User Defined, you will have to establish later, which users displayed in the Import-Assistant you want to import.

Under Import Data you can choose if you would like to import user data or user groups. Here, you can also choose to import user data and divisions and user groups together. If you do not check any of the boxes, you will not be able to import any data. "Import User Groups" and "Import of Group Membership of new Users" cannot be selected when importing from Exchange, as you can already import a corporate orgchart will all the memberships from Exchange.

If you use several equal divisions in your organizational structure (orgchart), you can select here the specific section for the import.

When you click the button, the Import-Assistant will show you a list of all the users you can import in a list, if under Import Type you have selected "User Defined Import". Select here all the users you would like to import and proceed by clicking the <Next>button.

Having done that, you have made all the necessary specifications for a successful import of users and divisions with membership, and you can conclude the import using the <Start> button followed by the <Finish> button.


Import from MS Active Direcory

 Import from Microsoft Active Directory

To import users and user groups from Windows Active Directory, select "Microsoft Active Directory" from the selection list "Import Source" in Import Assistant and click on the button.

On the following page you then choose the ADS-Server from which you wish to import the files from the selection list.

Under "Import New Users' Group Membership" you can select how the information is to be administered in the User manager, provided such information exists in the user data. If you select "If Source- and Destination Group Identical" all user data is checked for its former user group and allocated thereby.

If you select "Import all Users and Groups" changes in users' group membership are automatically adjusted. With the selection "If User in Newly Imported Group" only users in newly imported user groups are allocated. By selecting "No Membership Import" you ignore group membership information and can carry out the allocation in the User manager at a later time.


Importing files

To import users and user groups from a textfile, select File from the list box "Import Source" in the Import-Assistant and click the <Next> button.

Then proceed by specifying the directory, in which the textfile with the user data is located and establish how the single text fields are separated. You must as well specify here, if the file that is to be imported contains a header with titles. The single fields of the textfiles, that contain user data and user groups data, can be separated by tabs or semi-colons.

To make sure, that Import-Assistant can arrange the single import fields in User Manager, you must allocate the source fields to the destination fields.

On the left side, Import-Assistant shows you all the available destination fields and on the right side, under Source Field, you can see all the available fields of your selected text file. To allocate the single fields, select the desired destination field and choose the corresponding source field. By double clicking with the mouse or clicking the Left arrow you can allocate source fields to destination fields. Allocations made by mistake can be reversed by selecting the corresponding destination field and double clicking using the mouse or clicking the Right arrow. To carry out an import from a textfile successfully, you must at least allocate the username.

In the Import-Assistant, under "Options" you can determine the import type, the import data and the group membership of new users.

Under Import Type you can choose between "Import only new Users and Groups", "Import all Users and Groups" and "User Defined Import". If you select the import type User Defined, you will have to establish later, which users displayed in the Import-Assistant you want to import.

When importing from a textfile, you can only import user data. The "Import User Groups" check box is not available when you import from a textfile.

Under "Import of Group Membership of new Users" you can select, how this information should be administered in User Manager, if there is available information about group membership incorporated in the user data.

Since it is not possible to import user groups when you import from a text file, the option “When user belongs to newly imported group” cannot be selected as an import option under Group Memberships. If you select “When source group is identical to target group”, all the imported user data will be checked for and allocated to existing groups. If under Import Mode you have selected “Import all users and user groups”, the changes in group memberships of users will be automatically adapted. By selecting “No import of memberships” you will be ignoring the information of group memberships, which is a part you can fetch in User Manager at a later time.

When you click the <Next> button, the Import-Assistant will show you a list of all the users you can import in a list, if under Import Type you have selected "User Defined Import". Select here all the users you would like to import and proceed by clicking the <Next> button.

Having done that, you have made all the necessary specifications for a successful import of users, and you can conclude the import using the <Start> button followed by the <Finish> button.


Import Options
Windows NT

In the Import Assistant under "Options" you determine the import type, the import data and group membership of new users.

Under import type you can choose between "Import only New Users and Groups", "Import all Users and Groups", and "User-defined Import". When choosing the user-defined import you must later determine which of the users you wish to import from the list in the Import Assistant.

Under the import data you choose whether you want to import user data or user groups. You can also import both together. It is not possible to import any data without making a selection. Divisions and memberships are not selectable when importing from Windows NT since the information does not exist in this system.

Under "Import New Users' Group Membership" you can select how the information is to be administered in the User manager, provided such information exists in the user data. If you select "If Source- and Destination Group Identical" all user data is checked for its former user group and allocated thereby.

If you select "Import all Users and Groups" changes in users' group membership are automatically adjusted. With the selection "If User in Newly Imported Group" only users in newly imported user groups are allocated. By selecting "No Membership Import" you ignore group membership information and can carry out the allocation in the User manager at a later time.

Exchange

In the Import Assistant under "Options" you determine the import type, the import data and group membership of new users.

Under import type you can choose between "Import only New Users and Groups", "Import all Users and Groups", and "User-defined Import". When choosing the user-defined import you must later determine which of the users you wish to import from the list in the Import Assistant. Under the import data you choose whether you want to import user data or user groups. You can also import both together. It is not possible to import any data without making a selection. The selections "Import User Groups" and "Import new Users' Group Membership" are not selectable when importing from Exchange since you can import an orgchart with all memberships directly from Exchange.

Here you can select the part you wish to export if you have established several divisions with an equal hierarchy in your orgchart.

File

In the Import Assistant under "Options" you determine the import type, the import data and group membership of new users.

Under import type you can choose between "Import only New Users and Groups", "Import all Users and Groups", and "User-defined Import". When choosing the user-defined import you must later determine which of the users you wish to import from the list in the Import Assistant.

With the import of a text file you can only import user data. The check box <Import User Groups> is not available when importing a text file.

If the user data contains information on group membership you can decide how the information is to be administered in the User manager under "Import New Users' Group Membership". Since you cannot import user groups when importing a text file, the selection "If User in Newly imported Group" is not available.

If you select "If Source- and Destination Group identical" all user data is checked for its former user group and allocated thereby. If you select "Import all Users and Groups" changes in users' group membership are automatically adjusted. By selecting "No Membership Import" you ignore group membership information and can carry out the allocation in the User manager at a later time.

Import from Microsoft Active Directory

To import users and user groups from Windows Active Directory, select "Microsoft Active Directory" from the selection list "Import Source" in Import Assistant and click on the button.

On the following page you then choose the ADS-Server from which you wish to import the files from the selection list. After the page "Import Options" in Import Assistant the succession is similar to that of the import from Windows NT. The closing entries also follow a similar succession as importing from Windows NT.

New functions

  • The "Options" window of import-assistant of all import sources now offers the functionality of "Import user into position", which allows to directly assign a newly imported user to a position.
  • A further new feature is the selection area "Security". Here you are able to deactivate accounts and to generate and send passwords.


Import of Files -Import Catalog-

Enter the catalog in which the file with the user data is and determine how the individual text fields are separated. You must also enter whether or not the to be imported file contains a title in form of a headline. Text files' individual fields that contain user and user group data may be separated by tabs or semicolons.


Import Fields

You must assign each source field to a destination field so that the Import Assistant can allocate the import fields.

On the left side the Import Assistant shows you all available destination fields, on the right side you see all existing fields in your selected text file under source field. To allocate an individual field, select the desired destination field and the corresponding source field. By double-clicking the mouse or simply clicking on the arrow pointing to the left you can allocate the source fields to the destination fields. Accidental allocations can be made undone by the selection in the destination field and a double-click with the mouse or simply clicking the arrow pointing to the right. To import a text file successfully at least the user name must be allocated correctly.


Selection of Users

If you select "User-defined Import" the Import Assistant will show you a list of all importable users. Mark all users you wish to import and click on the button <Next>.

By doing this and clicking on the button <Start> you have taken all necessary steps for a successful user and user group import and can complete the procedure by clicking on the <Finish> button.


User Import -Finish-

You have taken all necessary steps for a successful import of users and user groups and can, by first clicking on the button <Start> followed by <Finish>, complete the procedure.

Reports on success or failure are shown in the corresponding window.


User Manager - Browser

Browser View

Over the menu item BROWSER VIEW under EXTRAS you get to two forms on which you can select which user data is to be publicly visible in the Intranet and which only to administrators or other authorized users (e.g. budget or other particularities). Over the register card "Phone List", you can select the boxes that are later to be seen in the intranet phone list that generates itself automatically out of user entries.


User Manager - Security Settings

Security context

Over the menu item SECURITY SETTINGS under EXTRAS you determine the minimum length of users' passwords that will later be used when they log in.


User Manager - Additional fields

Additional boxes

You get to the entry page for "Additional user data boxes" over the menu item ADDITIONAL BOXES under EXTRAS which you can also reach over the register card "Additional Boxes" in-between the register "Contact" and "Rights". There you can enter, view or edit the boxes that you were missing within the general entries on the individual users/workers: e.g. superior, substitute, budget, field and much more.


Help Menu

Intrapact Manager provides you with an Online-Help during your sessions.


Intrapact Manager - Help Topics

The <Help> button is available in the majority of dialog boxes. Click this push button or press <F1> in order to receive assistance for the combo box being displayed. Using the menu item Intrapact Manager - Help Topics you can launch the appropriate Help on every single topic.


User Manager in the Organization Section

In User Manager you administer the organizational chart of your enterprise with all its organizational structures, divisions and positions, respectively, functions. The main view of User Manager consists of the organizational structure tree with random hierarchies, the division display, the description of organization branches and sections as well as the window for allocated employees.


The organizational Structure Tree

In the organizational structure tree of User Manager, you are not only able to see the orgchart of your enterprise, but you can also directly paste, edit and delete all organization branches, divisions and positions. After you create a new company, the organizational structure tree of this company contains only one organization branch with the name of this company. In this branch you can add all the new branches, divisions and positions with random hierarchies.

Organization Branches

  • Adding Organization Branches
  • Editing Organization Branches
  • Deleting Organization Branches

Division

  • Adding Division
  • Editing Division
  • Deleting Division

Position

  • Adding Position
  • Editing Position
  • Deleting Position

Employees

  • Adding Employees
  • Deleting Employee Allocation


Organization Branches

Organization branches, in contrast to divisions, are not subordinate hierarchically to company divisions; they stand at equal levels. Working with different organization branches would only make sense if you wanted to allocate once again independent and not subordinate branches (e.g. factory 1 and factory 2) to the actual organization branch of the company.

  • Adding Organization Branches
  • Editing Organization Branches
  • Deleting Organization Branches


Adding Organization Branches

To add an new organization branch, select invariably the first entry in the organizational structure tree (in case of new companies this entry is also the one available in the organizational structure tree) and right-click the mouse. Proceed by selecting the "New Organization branch" and then you can directly enter the name of the new branch in the organizational structure tree. In the "Division" field, you now have the new name, which you can also change at a later time. In the "Label" text box you can choose to leave a descriptive comment for the new organization branch. This text will have no effect on program functions whatsoever, and will be available to all the authorized users of User Manager to view. The "Employee" box is blank for the new organization branch and cannot be filled in with available employees or users at this stage either. Allocating employees to an organization branch always requires positions.

You can also create new organization branches using the menu item Edit/Add Organization branch or via the minimize button of the tool bar. These alternatives however, will only be active if you have already selected the first entry in the organizational structure tree.


Editing Organization Branches

You can change names and descriptions of organization branches already available. Select the organization branch you want to edit using the mouse and enter the desired changes in the "Division" field or in the description field.


Deleting Organization Branches

All the organization branches can be deleted. Select the organization branch you want to delete and right-click the mouse. Proceed by selecting "Delete Selected Entry". If you confirm the prompt that follows, the selected organization branch will be deleted irreversibly.

Note: If you delete an organization branch that still contains divisions and/or positions, all those divisions and positions will be consequently deleted. None of the belonging employees will be allocated any longer to any of the organization branches or divisions.


Divisions

To exercise optimum control over the desired information flow within your company, it is recommendable to map the organizational chart (orgchart) on your Intranet. You can map as many organizational divisions or departments as you wish with unlimited hierarchy in your organizational structure tree.

  • Adding Division
  • Editing Division
  • Deleting Division


Adding Divisions

To add a new division, select the organization branch or division under which the new division is to be pasted and right-click the mouse. In case of a company, only the organization branch of his company is available. Proceed by selecting the "Add Division" and then you can directly enter the name of the new division in the organizational structure tree. In the "Division" field, you now have the new name, which you can also change at a later time. In the input box "Label" you can choose to leave a descriptive comment for the new division. This text will have no effect on program functions whatsoever, and will be available to all the authorized users of User Manager to view. The "Employee" box is blank for the new division and cannot be filled in with available employees or users at this stage either. Allocating employees to an organization branch always requires positions.

You can also create new divisions using the menu item EDIT/ADD DIVISION or via the minimize button of the tool bar. These alternatives however, will only be active if you have already selected an organization branch or division in the organizational structure tree.


Editing Divisions

You can change names and descriptions of divisions already available. Select the division you want to edit using the mouse and enter the desired changes in the "Division" field or in the description field.


Deleting Divisions

All the divisions can be deleted. Select the division you want to delete and click the right mouse button. Proceed by selecting "Delete Selected Entry". If you confirm the prompt that follows, the selected division will be deleted irreversibly.

Note:If you delete a division that still contains positions, all those positions will be consequently deleted. None of the belonging employees will be allocated any longer to any of the organization branches or divisions.


Positions

There are fixed positions or functions, that as a rule, belong to all divisions and departments of a business. You can assign as many positions as desired to every organization branch or division. Individual positions can be occupied by several employees (e.g. the position Person in Charge planned with five employees).

  • Adding Position
  • Editing Position
  • Deleting Position


Adding Positions

To add a new position, select the organization branch or division under which the new position is to be pasted and right-click the mouse. In case of a company, only the organization branch of his company is available. Proceed by selecting "Add Position". Select the position you want from the position list and click the <OK> button. In case the position that is to be pasted is not available on the position list, you can create that position directly here. Select the <New> button and enter the name of the new position directly in the position list. You can conclude the process using the <OK> button.

You can also create new positions using the menu item Edit/Add Position or using the minimize button of the tool bar. These alternatives however, will only be active if you have already selected an organization branch or division in the organizational structure tree.


Editing Positions

The name of positions already available can be changed subsequently. Such an alteration will not disturb the existing employee allocations. To change the name of a position, go to the Tools/Position Types menu and select the position that is to be edited from the position box. With a mouse click on the position already selected, you can carry out the edit directly in the position list.


Deleting Positions

All the positions can be deleted. Select the position you want to delete and right-click the mouse. Proceed by selecting "Delete Selected Entry". If you confirm the prompt that follows, the selected division will be deleted irreversibly.

Note: If you delete a position that still contains employees, those employees will not be allocated any longer to any of the organization branches or divisions.


Employees

To facilitate your employees with the access to Intrapact, you must first create them in User Manager. Employees and users can only logon to Intrapact if they are already available in User Manager. In the Organization section of User Manager, you can find all the allocated employees of a selected organization branch, division or a position on the employee box. If you select a certain organization branch in the organizational structure tree, all the employees of all the divisions and positions belonging to the organization branch will be displayed on the employee box. If you select a division, all the employees of the subdivisions and positions belonging to that division will be displayed.

  • Adding Employees
  • Deleting Employee Allocation


Adding Employees

To add a new employee, select the position in the organization branch or division under which the new employee is to be pasted and right-click the mouse. Proceed by selecting “Add Employee”. Select the employee you want from the employee list now and click the button. Employees can only be added if you have already created and added positions, and employees and users are already available in User Manager. Since individual employees can fill different positions at the same time, they can also be assigned to different positions of the organizational structure tree.

Alternately you can also allocate employees using the Edit/Add Users menu item, or using the corresponding icon on the icon bar. This menu item or the icon are only active if have selected a position in the organizational structure tree.


Deleting Employee Allocation

All employee allocations for certain positions can be deleted at any time.

Select the corresponding position in the organizational structure tree, and choose the employee you want to delete from the employee box. Right-click the mouse or activate the "Delete Selected Section" icon and confirm when prompted. Employees that have been removed from positions are not deleted in the User Section and can be allocated to other positions at any time.


User Manager in Section User

In the User section of User Manager you administer all the employees and users of Intrapact including the access permissions for Intrapact Manager. Furthermore, you administer here your user groups. The main view of User Manager in section User consists of the user list on the left side, and the tabs "Account", "Personal Information", "Contacts" and "Permissions" on the right. You can create new users or employees manually or by user import and group import.

Creating New User

  • Adding Employees
  • The Significance of every Permission
  • Editing User
  • Deleting User


Creating New Users

To create new users manually, select the Edit/Add User menu item or click the corresponding icon on the icon bar of User Manager.

On the “Account tab” you enter the user name, with which the user logs on to Intrapact and possibly to Intrapact Manager. This name, as a rule, will be identical with the name in the network registration. You can also specify the first password for the user here. This password can and should later be replaced by a password of the user's own choice. The user's password will not be displayed for you later. As the system administrator, however, you have the right to replace this password by a new one. It might become necessary to do so if the user has forgotten his password.

On this form you also determine which user groups the user belongs to. On the left side you can see all the user groups, that the user already is a member of. On the right, a selection list of all available user groups is displayed. By double-clicking or by selecting with the arrow keys in the middle you can add or delete user group memberships for the user. Of course, a user can be a member of several user groups (e.g. Management and Marketing). By selecting user group memberships for the individual users you already make a preselection of access permissions for this users. Basically, all access permissions assigned to users here can be individually changed. The only exception is the Administrators user group, that, as a rule, is granted all access permissions.

Illustration of Personal Information administration in the User section

On the “Personal Information” tab you can specify information such as name, title, personnel number, employment start date, date of birth and address. Here, you can also store a picture of the user. To do so, click the section for the picture and specify the file path. Valid file formats for the graphic are JPEG (*.jpg), GIF (*.gif), and PNG (*.png) files. These specifications are not mandatory entries, however, they can automatically be used for your company's database.

Illustration of Contacts administration in the User section

On the “Contact” form, you can enter the user's phone number, fax number and eMail address. These specifications are not mandatory either, however, they can be used for an employee-table in Intrapact.

Illustration of Permissions administration in the User section

On the “Permissions” form, all the user's access permissions are established according to the definitions in the user groups the user belongs to. On this form you can expand or restrict these access permissions for each user individually. Permissions assigned here always refer to Intrapact Manager modules and do not influence the user's access rights for any Intranet applications.


The Significance of every Permission

  • Application Designer
  • Layout Designer
  • Enterprise Manager
  • User Manager


Application Designer

Any user facilitated with this permission can create his own applications with the help of Application Designer, and make them available for users with different access permissions in Intrapact. He can also edit and delete those applications.

All the users who are to create applications in Intrapact, must have access to Application Designer of Intrapact in addition to the corresponding access permissions in User Manager.


Layout Designer

Users provided with this permission can change the optical appearance and layout of Intrapact using Layout Designer. They can change colors, fonts and font size, insert the company logo and other pictures and determine the entries of the menu bar.

Users who are allowed to change the layout of Intrapact, must have access to Layout Designer of Intrapact, in addition to the corresponding access permissions in User Manager.

Make sure you assign the permission to change the layout of Intrapact only to one user or few users. That way you can avoid multitude layouts and deviations regarding specifications of corporate identity in Intrapact, and at the same time it enables you to increase the level of its acceptance at the workplace among users.


Enterprise Manager

Users facilitated with this permission can set up new companies in Intrapact with the help of Enterprise Manager, and they can edit as well as delete existing companies.

All the users administering companies in Intrapact must have access to Enterprise Manager of Intrapact in addition to the corresponding access permissions in User Manager.


User Manager

Every user provided with this permission can administrate the organizational structure tree and the users of his company with the help of User Manager. Access permissions for the organizational administration are combined with administration access rights for divisions and user groups. A user with access permission for organizational administration and none for administering divisions and user groups can only add new users. However, he would not be able to assign those users to any user group or division. By activating the "Permissions for administering Divisions and User Groups is Standard..." check box you grant the corresponding user, access permissions for all the organization branches and divisions of the organizational structure tree. You can restrict these permissions in the "Administration Access Rights for Divisions and User Groups" window by deactivating the corresponding check boxes for organization branches and divisions. If the "Administration Access Rights for Divisions and User Groups" check box is not activated, the user will not have any permissions for the organization branches and divisions of the organizational structure tree. By activating the corresponding check box in the "Administration Access Rights for Divisions and User Groups" you can extend these permissions as you wish.

All the users administering the organizational structure tree (orgchart) and users in Intrapact, must have access to the corresponding modules in Intrapact in addition to the corresponding access permissions in User Manager.


Editing Users

All the entries relating to a user, specified in User Manager, can be subsequently edited other than the username. A username which has once been assigned cannot be changed again.

To change user entries, select the corresponding user from the user list and carry out the necessary changes in the different sections (Account, Personal Information, Contact, Permissions). Conclude the edits using the <Save> button. If you click the <Reject> button, the changes you have made will not be stored.


Deleting Users

All the users created in User Manager can be deleted. A username which has once been assigned cannot be assigned again, even after being deleted.

If you want to delete a user from User Manager irreversibly, select the corresponding user from the user list right-click the mouse or the icon on the icon bar. Confirm the prompt that follows and the selected user will be deleted from all its assigned positions in the organizational structure tree.


Application Designer

General

The Icon Bar in Application Designer

The Menu Bar in Application Designer

Working with Application Designer


General

Intrapact Application Designer is the core of your Intrapact Intranet system.

Application Designer gives you the possibility to easily create forms and complex database driven applications for your Intranet in no time.

Through a completely new and intuitively usable interface and an intelligent Wizard you can very easily develop and publish complete forms and applications in your Intranet without any specific background in programming.

Intrapact is set up entirely on database support and offers your enterprise the platform to assimilate all the information arising from your business activities and to make them available for your employees.

When conceptualizing Intrapact, we were conscious of the fact, that general specifications are only partially capable of satisfying the existing or future diversity of requirements that a modern enterprise expects its information management to fulfil. Which part of the information from the customer database do you want to provide your employees with on the Intranet? How should product information find its way to individual workstations? How do you want to relate the internal business procedures to your employees? These are but a few problems we can solve with our built-in applications. But surely we do not satisfy all your wishes and requirements with our standard solutions. One data field missing here, one text box missing there and you might already think the application is not completely to your satisfaction and not effectively applicable.

To avoid such problems and live up to your utmost demands, we have developed a system - after intensive research and application studies, monitored by a committee consisting of all the sections of our enterprise (System Architectures, Application Programmers, Designers, Editors) - that on the one hand fulfils all the possible requirements of professional online publishing and can map any imaginable application, and on the other hand is as easy to handle as a Web-Browser.

Using Application Designer requires the user to have access permissions for Application Designer in User Manager and to have Application Designer installed on his computer.

The main view of Application Designer consists of the application tree structure, the toolbox and the concept view of the opened application. You can access all program functions using the menu bar. For the functions used most frequently, you can either use the toolbox or right-click the mouse.


The Icon Bar in Application Designer

Application Designer works with Smart-Icons. Smart-Icons are icons that instantly execute certain program functions. If you point to the icon using the mouse, the function of the icon will be displayed on the screen.

  • Create New Company
  • Open Company
  • Launch Help
  • Create New Application
  • Open Application
  • Save Application
  • Show Application Designer
  • Edit Properties
  • Edit Application Properties
  • Administer Application Permissions
  • Create New Data Group
  • Create New Page
  • View Current Company in Browser


The Menu Bar in Application Designer

  • File Menu
  • Edit Menu
  • Insert Menu


File Menu

  • New Company
  • Open Company
  • Delte Company
  • Close Company
  • Company Properties
  • New Application
  • Open Application
  • Save Application
  • Start Intrapact
  • Application Properties
  • Exit


New Application

Application Designer enables you to create as many applications as you desire in no time at and by the easiest means possible. All the new applications are based on templates that are already geared with certain basic functions. Every application can be enhanced – independent of the templates – by as many forms and view pages as necessary. You are provided with base templates such as Tables, Calendars, Resource Lists, Protocols, Forums, News, Blackboards and Knowledge Bases. The Application-Assistant guides you through creating a new application. You can also create new applications using the corresponding icon from the icon bar in Application Designer. You can find detailed descriptions on this subject in "Working With Application Designer, Creating New Applications".


Open Application

You can open an existing Intrapact application in Application Designer using this menu item to either work on or select an already saved application.


Save Application

Every newly created or modified application must be saved before it can be published in your Intranet. You can also save applications using the corresponding icon from the icon bar in Application Designer.

Caution: All changes to Intrapact applications are active after a new user login. Please log in again to your Intranet every time you want to access a newly stored application.


Start Intrapact

Using this menu item, you can start Intrapact at any time and try out applications that are still at test stage. Intrapact can also be started using the corresponding icon from the icon bar in Application Designer.


Application Properties

Using this menu item you can subsequently change the name and section of the publication, and edit the application menu as well as the access permissions of users for an existing application. This is important above all in case of those applications that were previously stored in section Test during their creation and test stages, and should now be released to be used in Intrapact. You can find detailed information on application properties in this chapter under "Edit Menu – Properties".


Exit

This menu item enables you to exit Intrapact Manager and as a result also the Enterprise Manager. Alternately, you can exit the program by pressing the key combination <Alt>+<F4>.


Open Company

With this menu item, you can open an existing company. You can also open companies by starting the desired module (Application Designer, User Manager, Layout Designer or Enterprise Manager) and selecting the company you are looking for directly from that module. In order to open a company you must have access permission for at least one of the modules of Intrapact Manager.


Close Company

Using this menu item, you can close an active company. All the modules of Intrapact Manager will be closed as well and you return to the initial screen. You can also close one company by opening a different company.


Company Properties

With the help of this menu item, you can display the current settings of the company, as well as the company name, database, server type and the server name. To edit any of these settings, you would need access permissions in Enterprise Manager. You can find detailed information on this subject in the chapter "Enterprise Manager".


Edit Menu

Using the menu item Edit you can edit existing applications as well as those being edited at the time. Here you can shift, edit or delete every element of a view page or form created previously.

  • Move Up
  • Move Down
  • Delete
  • Properties
    • Editing Properties of an Application
    • Editing the Properties of a Data Group
    • Changing a Page's Title
    • Editing the page properties


Move Up

Using this menu item, elements of a view page or a form can be shifted upwards. To do that, pick your desired element in the concept view of Application Designer and select the Edit/Move up menu item. You can also move up an element of a view page or a form by selecting that element in the concept view and dragging it to the desired position while keeping the left mouse key pressed (drag and drop). The third possibility for moving up an element of an application is to pick that element in the concept view and to select "Move up“ using the right mouse button.


Move Down

With this menu item, you can shift down the elements of a view page or a form. To do that, pick your desired element in the concept view of Application Designer and select the Edit/Move down menu item. You can also move down an element of a view page or a form by selecting that element in the concept view and dragging it to the desired position while keeping the left mouse key pressed (drag and drop). In addition you can move down elements of an application by picking those elements in the concept view and selecting "Move down“ using the right mouse button.


Delete

Using this menu item, you can delete elements of a view page or a form. To do that, pick your desired element in the concept view of Application Designer and select the Edit/Delete menu item. You can also delete an element of a view page or a form by selecting that element in the concept view and pressing the <Del> key. In addition, you can also delete elements using the right mouse button.

Caution: Through deleting one element all associated and included elements may also be deleted.


Properties

With this menu item you can edit all the properties of an existing application including its name. The scope of changes you can apply depends on the selected position on the application structural tree. If you select the name of the application by marking it (this is always the first entry on the application structural tree), you will be able to change the name of the application, determine the location where it should be published, establish the access permissions for this application and arrange its main menu. If you select a data group, you can change its name, and you can establish the view pages for browse results. If you select one single page (view page or form), you can only change the name of single pages.

To do that, select the desired section on the application structural tree of Application Designer and choose the EDIT/PROPERTIES menu item. You can also change the elements of an application by double clicking on the concept view. In addition, you can also edit all the sections by right-clicking the mouse for selection.


Editing Properties of an Application

To edit properties of an application, select the application and choose the Edit/Properties menu item or select „Properties“ using the right mouse button.

You can also edit properties of an application using the corresponding icon on the icon bar, or using the File/ApplicationProperties menu item.

To change application properties, you have the sections General, Access rights and Menu at disposal.

  • General
  • Editing Group
  • Access Rights
  • Menu


General

Under the "General" tab, you can change the name of the application and establish, under which main menu item in Intrapact this application is to be listed. In addition, you can choose here, if the application should be listed in an application group (e.g. Table, Forum etc.) or as an independent application.

To change the name of an application, you can overwrite the old name in the text box. Proceed to save, and your application will be listed with the new name in Application Designer and in Intrapact.

In the "MainMenu" list box, all the main menu items of Intrapact are listed and there, you can select the menu item, under which your application will be listed in Intrapact. Remember to shift the completed applications from the Test section to the designated section.

In the "Grouping" list box you can determine, in which application group your application should appear. If you select "No Grouping", your application will be listed independently underneath the application group and can be launched directly.

Tthe menu item APPLICATION PROPERTIES is also the place where the settings for the new feature "Portlets" are made. Because with the help of the register "Portlets", each new application can become a portlet on the Intrapact start page.


Access Rights

The most important part of the application properties can be found under the “Access Rights” tab. There you can determine who should be able to access the application in Intrapact, who is entitled to make changes and who is allowed to edit this application in Application Designer.

After an application has been created, all users other than the anonymous user will have access permissions for all pages of this application. The status of an anonymous user is usually given to those users of Intrapact, when they do not login using their passwords. If you activate the “Include Anonymous User” check box, all users will have all the access permissions for this application without logging on to Intrapact.

Access permissions should only be individually granted for applications when you want to restrict certain users from entering, viewing or editing application data. If you activate the “All users can view data” check box, you can assign individual access permissions for every page of an application. These permissions are always linked with forms, and therefore only forms will be listed for selection. For view pages, you cannot assign any further permissions in this application using this selection. If you activate the anonymous user here, you will be able to assign individual permissions to him for particular pages.

The list box displays all application objects, for which you can assign access permissions. The objects listed here consist invariably of the single pages and the application itself. If you select “Application” (first entry on the list), you will be able to decide which users or user groups have permission to edit this application in Application Designer. Whenever an application is recreated, the one who has created the application will always be provided with the permission to edit. In the “Users Access to Object” box, you can find a list of all users and user groups, who have individual permissions for the selected object.

Users or user groups, who should receive permission for deleting data, need access permissions for all the forms of the data group, in which this data entry can be found.

To edit access permissions, select the desired application object and proceed by clicking the -Edit- button. That will take you to the “User Permissions for Object” dialog box, where in the upper part you find a list of all users and user groups with access permissions, and in the lower part a list of all users and user groups without access permissions.

To provide users or user groups with access permissions for a selected object, select the user or user group from the lower list (without access permission) and click the Up arrow key. The selected users or user groups will be shifted to the upper list (with access permission), and you can conclude the assignment of permissions using the -OK- button.

To withdraw access permissions for a selected object from users or user groups, select the user or group from the upper list (with access permission) and click the Down arrow key. The selected users or user groups will be shifted to the lower list (without access permission), and you can conclude the assignment of permissions using the -OK- button.

Caution: If you withdraw permissions to edit an application in Application Designer from all users or user groups, this application can no longer be edited by anyone after that, which would mean access permissions could not be assigned subsequently. The application would probably become worthless.


Menu

On the “Menu” tab, you can edit the contents of an application menu and change its arrangement. On the left side, you can find a list of all pages from that application, and on the right side, a list of all pages contained in the application menu.

In the application menu you can map all forms of the first data group and all view pages from the top view-section of the application tree structure, as well as search and help pages.

To include a page in the application menu, select that page from the left box and proceed by clicking the right arrow key. To remove a page from the application menu, select that page from the right box and proceed by clicking the left arrow key.

All menu items in the application menu can be shifted as needed. The listing order of these menu items on the list box from top to bottom determines the sequence of their appearance on the application menu from left to right. The first page on the list is also the initial window of the application.

To shift a menu item to the right, select that item and click the “>” button. To shift a menu item to the left, select that item and click the “<” button. Conclude each procedure by clicking the <OK> button.


Editing Group

In the selection field <Grouping>, you determine which application group your application is to appear in. If you select <No grouping>, the application will be listed separately under the application groups and can be selected directly.

In addition to the default general application groups, you can add, change, or delete new ones.

Furthermore, with the <Administrate...> button you can create new groupings. With the new ones as well as with the given names, you still have two more available functions: Over the entry box "Alternative URL..." you enter an address of the form "http://www.Intrapact.com" or a so-called relative URL of the form ".../UpSitemap.asp" (if the files are in the company's main directory). This will lead to the page being loaded when you click on the group name in this page's submenu. This way on demand you can define your own pages that describe the group's contents. With help of the second function "unfoldable" you can set that when clicking on the corresponding application group in the web-company all subsummarized individual applications will appear listed beneath each other in the submenu.


PORTLETS

At this point is the register card "Portlets". Here the creators of an application can decide whether selected files are to be visible to specific users in form of a portlet on the Intrapact start page or not. Intrapact has six system-given portlets: News and Messages, Calendar, Minutes, Project news, Favorites, and Login. On desire all other applications in Intrapact can serve as portlets too - as long as they were made in such a manner by the application creator. Hence each department can adopt relevant information to its portal page (e.g. inventory for sales or current revenue for management).

In order to set up an application as a portlet, select the register card "Portlet" and click on the "Add" button. You can even create several portlets from a single application - depending on which of its information you wish to highlight.

In the first entry box "Name of Portlet", enter the name under which the portlet is to appear on the start page. Over the following selection list you determine the arrangement of the lines in the portlet. You also have the checkbox "Is this a mandatory portlet?" available. On marking the created portlet as a "mandatory portlet" the authorized users will obligatorily have it on their start page, i.e. they cannot remove it with their personal settings.

Additionally you can place filters which so far was only possible editing view tables. You can specify the selected data more exactly with the filter function (e.g. if management's portlet is only supposed to record the revenue of a specific department within the last three days). Following these settings you choose the data group whose boxes are to be displayed with help of the next selection list and amongst them determine the ones whose values are to later appear in the portlet. If the title is not to be shown, then just the value will appear; if the title is to be shown, the description that corresponds to the value will appear in the portlet. If a user later clicks on a value in the portlet, he will be prompted to a page of the application's. To which exactly is defined in the selection list at the bottom "Jump to a page of this application's".


Editing the Properties of a Data Group

To edit a data group, select it and click the Edit/Properties menu item or select “Properties” using the right mouse key. In the dialog box “Edit DataGroup” you can enter a new name for the selected data group. At this point you can also select the page to which the search results are to refer. This means that the page selected here will be used for the detailed display of search results. This page does not necessarily have to be the given view page, but can also be an alternative one (e.g. the entry page). If you use a view page which does not contain the data from the search results, you will reach a blank view page from the search page. In general, all data records can be viewed on the view page recommended by the program, and there is usually no need to change to a different page.


Changing a Page's Title

The titles of all view pages and all self-created edit pages can be changed any time.

To change a page's title, click on the text "Click here to change the Title". You can enter a new title in the dialog window "Edit Title". Finish the procedure by clicking the <OK> button.

Over "Edit Title" even the various views of entry pages can be named differently - depending on them containing a record or not. To do so, double-click "Click here to change the title" on the entry page. Here you will then have two entry boxes for "Title" and "Alternative title for a new entry".

Warning: In the case that you do not change the title, the heading on the page in the application will still read "Click here to Change the Title" even though it cannot be changed there.


Editing the page properties

The name of all view pages as well as the names for these pages in the menu can be changed. To change the name of a view page, choose the view page and select the Edit/Properties menu item or select "Properties" using the right mouse button. In the dialog box "Edit Page" you can enter a new name for the selected view page.
Every page in the first data group can furthermore be given an alternative name for the page in the menu

To change a view page's name, select the desired page and choose the menu point "Edit/ Properties" or choose "Properties" by clicking the right mouse button. In the dialog window "Edit Page" you can enter a new name for the view page. This name is then also adopted by the application tree. Complete the change by clicking the <OK> button.

Over "Edit Title" even the various views of entry pages can be named differently - depending on them containing a record or not. To do so, double-click "Click here to change the title" on the entry page. Here you will then have two entry boxes for "Title" and "Alternative title for a new entry".

When creating a new view page or edit page you can change the recommended name. Register the desired name in the edit box and finish the entry by clicking the <OK> button.


View Menu

Using this menu item you can show or hide icon bars of Intrapact Manager and Application Designer.


Insert Menu

Using the Insert menu item, you can create as many data groups or new view pages and forms as you like for complex applications. In addition, you can paste all available elements such as text boxes, text fields, selection lists etc. in the forms and view pages here.

The Application Wizard automatically creates the new application with the view pages in the menu and the data groups. The view pages in the menu always consist of at least one Main Page, the Search Page and the Help Page. The Main Pages of Calendar and Resource Administration consist of the Day, Week, Month and List view pages.

The Main Page shows all data fields and data records, which were created and captured in the forms of the first data group and cannot be edited. Using the search page you can search for all available entries in the application. This page cannot be edited either. In the help page you can leave a help text of your choice for all users.

In the first data group, the folders “View Pages” and “Forms” are created automatically. In the “View Pages” folder you can find a group view page that always maps all entries of a selected data record of the Main Page and can be reached via this page. The page is already complete and cannot be edited. In the “Forms” folder you can find the first form. This form is included automatically in the main menu and does not have any entries when a new table is created. When tables are being created, this form must be edited, and it can be edited when other templates are being created.

Every new application always has Main Page, Search Page and Help Page and a minimum of one data group. Each data group consists of at least one view page and one form.


Data Group

Data groups in general consist of one view page and one form. In every new or existing application, you can add as many data groups as you desire on any hierarchical level of the application. In the Intrapact data base each data group corresponds to a table.

In the application's tree structure you select the position for the new data group. To insert a data group which is to be independent of the existing data groups you must insert it at the same level as the original data group. To do so, choose the first entry in the application's tree structure (the name of the application) and select the Insert/DataGroup menu item or click the right mouse key. To insert a data group subordinate to an existing data group (e.g. the parent data group contains your suppliers and the child data group should include the items of the corresponding supplier), it must be inserted as a subgroup of an existing data group. To do so, choose the parent data group and select the Insert/DataGroup menu item or click the right mouse key. Next you must choose a name for the new data group and click the <OK> button.

The selection of a view page the search results page is linked to is deactivated when a data group is being created, as the new group only has one view page and a selection is not possible.

You can also create new data groups using the corresponding icon on the icon bar, after you have selected the desired position in the application tree structure.


Editing Data Groups

In any data group, you can subsequently change its name and the selection of the view page for links from search results.

To edit a data group, choose the data group and select the EDIT/PROPERTIES menu item or select “Properties” using the right mouse key. In the dialog box “Edit DataGroup” you can enter a new name for the selected data group. If the selected data group has additionally created view pages, you can choose one of these pages to display search results. If you use a view page which does not contain the data found in the search results, you will go from the search page to a blank view page. In general, all the data records can be viewed on the group view page recommended by the program, and there is usually no need here to change to a different page.


Deleting Data Groups

Any data group created additionally can be deleted. To delete a data group, choose the data group and select the Edit/Delete menu item or click the right mouse button. Proceed by confirming the prompt that follows and the data group will be deleted irreversibly. All the available view pages and forms of this data group will be deleted irreversibly as well. Data groups created automatically when the application was being created cannot be deleted.

Caution: When deleting a data group all associated data will also be deleted.


View Page

Every new application you create using Application Designer always has the View Pages section with Main Page, Search Page and Help Page, and a minimum of one data group. Every data group in turn consists of at least one view page and one form. The View Pages section with Main Page, Search Page and Help Page, and every existing data group can be enhanced by additional view pages. All the additional view pages that you insert in the View Pages section with Main Page, Search Page and Help Page can be directly inserted in the application menu. All the additional view pages that you insert in the first data group can be reached via View Pages in the section of Main Page and Search Page. All the view pages you insert in additional data groups can always be launched via pages of the parent data group. In contrast to group view pages created automatically, you must establish the contents of the view for view pages you create yourself. To design view pages, you are provided with data fields, data tables, descriptions, buttons and separators from the toolbox.

To insert a view page in your application, choose the view section you want from the application structural tree and select the Insert/ViewPage menu item or right-click the mouse. Enter the name of the page in the dialog box „Edit Page“ and click the <OK> button.

You can also insert view pages using the corresponding icon on the icon bar.


Editing View Page

The name of all view pages - including those created automatically - can be changed.

To change the name of a view page, choose the view page and select the Edit/Properties menu item or select “Properties” right-clicking the mouse. In the dialog box “Edit Page” you can enter a new name for the selected view page.

Furthermore you can switch off the automatic of the automatically inserted view page by clicking the button in order to edit this page manually. It is possible to switch the automatic back on at all times. Please notice that all manual changes are lost when switching back to automatic. You can also edit view pages using the corresponding icon on the icon bar.


Deleting View Pages

Any view page created additionally can be deleted. To delete a view page, choose the view page and select the Edit/Delete menu item or right-clicking the mouse. Proceed by confirming the prompt that follows and the view page will be deleted irreversibly.

View pages created automatically when the application was being created cannot be deleted.


Research Page

Through the research it is possible to quickly find data records even in extremely large data stores.

The Research Page is entered into an existing application through the Application Designer. To do this choose the data group to which you would like to add a research by adding a new research page into the file “View Pages”. Directly dependant data groups will be taken into consideration in the research view.

If you have e.g. an application “Clients” in which the regular data is to be found in one data group, and the history of these clients is stored in a dependant data group, a research can be carried out in both data groups.

In this way it is possible to say: Deliver all customers who have been admitted before 15/12/2000 and have been contacted by the official in charge Michael Meier.

By clicking the link “Field Properties“ you can directly fix into the browser which fields of the data group should be shown on the results page.

In this way you are in the position to put together accurately defined expenditure lists in order to e.g. generate a tax file for Microsoft Word (click the symbol “File Export”).

You can furthermore set to which view page the results should refer and over how many fields per data group the research should be carried out.

To carry out a research, select to begin with, the check box on the research page, then choose the corresponding field from the list, then the corresponding comparison operation and then enter the wished for comparative value.

You can state up to ten criteria per data group, which you can link with a logical “And” or a logical “Or”.

The link between the queries of the individual data group is always a logical “And”.


Forms

Each data group consists of a view page and a form and can be extended by any number of view pages and forms. Each form that you put into additional data groups can always be called up over the pages of the higher ranked level and the own one.

To enter an input page (form) into an application, select the chosen input area in the application tree and choose the Enter/Input Page menu item or click the right mouse key. In the dialogue box “Edit Page” enter the name of the page and click the “OK” button.

You can also enter input pages (forms) by choosing the corresponding icon in the icon bar. .


Editing Forms

You can change the name of all input pages (forms), even those created automatically.

To change the name of an input page (form), select it and choose the menu item Edit/Properties or choose “Properties” with the right mouse key. In the dialogue window “Edit page” you can enter the new name for the chosen input page (form).


Deleting Forms

Any additionally created form can be deleted. To delete a form, choose the form and select the Edit/Delete menu item or right-click the mouse. Proceed by confirming the prompt that follows and the form will be deleted irreversibly.

Forms created automatically when the application was being created cannot be deleted.


Text Box

Text boxes are the most common and versatile elements to enter text, numbers, date, time, eMail- and Web-addresses. The field length is limited to 255 characters. Text boxes can only be used in forms.

To create a new text box in your application, select the Insert/TextBox menu item and pick the “Text Box” button from the toolbox. Enter the title of the text box in the “General” tab. This title is the name of the text box and is the field name in both the form and the view page. In the text box “Size” you can establish the number of characters, that the text box can incorporate. In the “Unit” text box you can determine, which label the data fields will be provided with (e.g. DM, €, meter etc.). If you deactivate the check box “Show in Search Results”, this field will not be included when you search for certain data records in your application. By activating the check box “Input required” you can make sure, that this data field will always be filled in (mandatory field). By marking a check box as „write protected“ you can prevent the user from changing a default value (e.g. actual user name). Please note, this adjustment only makes sense when you have entered a default value. Data types that can be selected are text, number, date, time, eMail and URL.

The middle tab is dynamic and adapts to the selected type.

Text tab

Number tab

Date tab

Time tab

Date and Time tab

eMail tab

URL tab

Advanced settings


Text Tab

For type “Text”, you can use the “Text” tab to select the current username or the current login name as default values for this field. If you select username, the name of the current user will automatically be filled in the text box as default value for new records. If you select the login name, the login initials of the current user will be filled in. Selecting “User Defined” allows you to enter a text of your choice as default in the text box. All predefined text boxes can be overwritten in the application by the user.


Number Tab

For type “Number”, you can establish the display mode in the “Number” tab, where you can choose between integer, currency and floating point. If you select currency or floating point, you can also determine the number of decimal places (e.g. in currency = 2). You can also enter a fixed default value. All three alternatives offer you the checkbox "Decimal Grouping Sysmbol". When this box is checked, a so-called "Thousands Separation Symbol" will be displayed. This value will be the default in your text box and can be overwritten.

The “Maximum Value Plus“ option offers the possibility to integrate a counter for the data records in your application, e.g. to generate a consecutive number by entering 1 as a value. You can likewise herewith give a unique number for every data record (e.g. for a ticket system), if you mark the number value on the “General“ tab as safeguarded.


Date Tab

For type “Date”, you can set the current date as default in the “Date” tab. This initial setting of the date can be overwritten. The date is internally stored in four digits. Dates specified from 00...29 will be transformed into 2000...2029 and those from 30...99 into 1930...1999. To enter e.g. 1924, you must type the date in four digits.

If you additionally select the option "Show Calendar", a small calendar icon will later appear next to the corresponding entry box on the web. On clicking the icon, the calendar is blended in, which simplifies filling in the data box.


Time Tab

When you select the type “Time”, you can set the current time as default in the “Time” tab. This initial setting can be overwritten.


Date and Time Tab

By selecting the type “Date and Time”, you will generate a text box in the format of dd/MM/yyyy hh:mm tt (e.g. 12/15/2000 04:58 pm). In the tab you can set the current date and time for the text box. This initial setting of the date and time can be overwritten in the application. The date is internally stored in four digits. Dates specified from 00...29 will be transformed into 2000...2029 and those from 30...99 into 1930...1999. To enter e.g. 1924, you must type the date in four digits.

If you additionally select the option "Show Calendar", a small calendar icon will later appear next to the corresponding entry box on the web. On clicking the icon, the calendar is shown which simplifies filling in the data box.


eMail Tab

By selecting the entry type “eMail”, you can set the current user or any eMail address as default in the “eMail” tab. This initial setting can be overwritten in the application.


URL Tab

By selecting the entry type “URL”, you can set a Web-address of your choice as default in the “URL” tab. This initial setting can be overwritten in the application.


Special Settings

With Intrapact you have the further possibility of conducting additional settings to entry boxes. This way the data-picker that so far was only used inside selection lists' settings can also be incorporated here. With help of the data-picker you can fill the entry boxes with already existing entries from other places. This assignment can also be from a completely different application. For this, click on the <Expanded> button. Check the box "Activate expanded settings". Over three selection lists you first conduct the selection of the application and data group whose boxes are to be assigned. All of the selected data group's boxes will appear in a list on the bottom right: "Boxes in the data group". In a second step you assign the values of these boxes to the current entry page: "Current assignment". ( See also Listbox Entries or data-picker general )

In the browser this entry box will later appear with a small magnifying-glass icon. As soon as the first letters are entered here, the system compares the value with the ones from the selected assigned data box and automatically completes the box as well as the ones attached by expanded settings.


Help Tab

In the „Help“ tab, you will not find help for the current module, but you can create your own help or instruction text for your users. This text will appear on the form on the right side of the text box.


Text Field

With text fields, you can insert and manage texts of any size in your forms.

To create a text field, select the Insert/TextField menu item and pick the “Text Field” button from the toolbox. Enter the title of the text field in the “General” tab. This title is the name of the text field and is the field name in both the form and the view page. In the text boxes height and width, you enter the size of the text display. This size specification is related to the number of characters that is to be displayed in the browser. If you deactivate the “Show in Search Results” check box, this field will not be included when you search for data records in your application. By activating the check box “Input required” you ensure that this text field will always be filled in (Mandatory field).

In the “Help” tab, you can enter a help or instruction text for your users. This text will appear on the right side of the text field.


Selection List

You can always use selection lists in new applications if the user is supposed to use an entry from among the entries initially set. In the selection lists you can automatically incorporate system values (list of all usernames, list of all login names and list of all e-mail addresses) or values of all applications available in Intrapact as a suggested selection. Of course you can also arrange the selection list yourself by defining selections as proposal. Selection lists can only be used in forms.

To create a new selection list in your application, select the Insert/SelectionList menu item and pick the <Selection List> button from the toolbox.

The dialog for creating a selection list supports you with the tabs „General“, „Entries“ and „Help“.

In the tab „General“ you capture the title as the name of the selection list. This name appears in the application as the column title in both the capture page as well as the belonging view page. If you deactivate the „Show in Search Results“ check box , this field will not be included when you search for certain data records in your completed application.

In the „Entries“ tab you can you can choose selection proposals from among system values, values from applications or user defined values.


Dropdown box -Entries-

Dropdown box –Entries-

In the <Entries> tab, you can select suggestions from system values, application values or user defined values.

The checkbox "Entry necessary" is new. If it remains deactivated either the first value of the list will be used as the given value or a different one chosen by default. When the checkbox is activated no value will be given. This forces the user to open the list and choose a value. The risk that the selection list is ignored is avoided this way.

System values

By selecting system values, you can enter the lists of all usernames, all login names or all eMail-addresses of the available users in the selection list. That will include all the entries of the list you have chosen in the selection list, allowing the user to select one entry from that list in the input page.

Values from applications

With this option, you can choose a data field from an existing Intrapact application including the active application. In order to do that you have to have access permission for the selected data field. Select an application in the “Application” list box and all belonging data groups are displayed in the “Data Group” field. After selecting a data group, all its available fields will be listed. Now you can select a certain data field, all entries of which will be displayed as proposed values in the selection list of the application. With Intrapact 2001 the system table “User Data“ with all values from the user administration is available for selection too.

Attention: Further possibilities under „Data Picker“.

There is a new button for setting filters besides for the possibility of making expanded settings with help of the data-picker. The filter function is already known from editing view tables: You can enter further conditions for the display of selection lists in an entry page over filters. In the dialog "Edit filter" you can add filter elements with the button. How to create a filter.

User defined values

Using the “User defined Values” option, you can define all the entries of the selection list randomly. On the “Entries” box, enter all the values, from which the user can select one value in the new form. Every selection list must have at least one selection-term. The first entry will directly take the name “Please enter name”. To enter a new term, click the button and overwrite the name “Please enter name” with the term of your choice. You can delete existing entries by clicking on the term you want to delete followed by clicking the button. You can delete any of the terms you choose, however, a minimum of one entry must remain in the selection list.

To rename an existing entry, select that entry using the mouse and click the button. Doing that, you can overwrite the name directly. If a term should appear as an initial setting in your selection list, you will have to define that term as such. By double clicking the desired entry or by selecting it, followed by clicking the button, the entry will be preset in the selection list. Using the buttons and you can shift all the entries to a position of your choice in the list.

In the „Help“ tab, you will not find help for the current module, but you can create your own help or instruction text for your users. This text will appear on the on the form on the right side of the text box.

The checkbox "Show Add Entry" with the selection list underneath for the corresponding entry pages is also new. If this box is checked, the link "Add Contribution" will appear, next to the selection list in the web. By clicking on it a new window is opened containing the corresponding entry page. There a new contribution can be added. On closing the window the new contribution will appear in the selection list (since these pages correspond). This way the list can be extended while editing a record, should the necessary entry be missing there. You do not need to leave the original entry page to do so.


List fields

List fields are basically used in new applications, in such cases when the user must select one value from a number of values specified initially. The difference between list fields and selection lists is, that list fields always display several options to choose from in a new form for the user. In the list fields you can automatically incorporate system values (list of all usernames, list of all login names and list of all e-mail addresses) or values from all applications available in Intrapact as a proposed selection. Of course you can also arrange a list field yourself by defining selections as proposal. List fields can only be used in edit pages.

The dialog for creating a list field supports you with the tabs "General", "Entries" and "Help".

In the "General" tab, capture the title as the name of the list field. This name appears in the application as the column title in both the capture page as well as the belonging view page. If you deactivate the "Show in Search Results" check box, this field will not be included when you search for certain data records in your completed application.

In the "Entries" tab, you can choose selection proposals from system values, values from applications or user defined values.


Listbox -Entries-

In the <Entries> tab, you can select suggestions from system values, application values or user defined values.

System values

By selecting system values, you can enter the lists of all usernames, all login names or all eMail-addresses of the available users in the selection list. That will include all the entries of the list you have chosen in the selection list, allowing the user to select one entry from that list in the input page.

Values from applications

With this option, you can choose a data field from an existing Intrapact application including the active application. In order to do that you have to have access permission for the selected data field. Select an application in the "Application" list box and all belonging data groups are displayed in the "Data Group" field. After selecting a data group, all its available fields will be listed. Now you can select a certain data field, all entries of which will be displayed as proposed values in the selection list of the application. With Intrapact 2001 the system table "User Data" with all values from the user administration is available for selection too.

Attention: Further possibilities under „Data Picker".

User defined values

Using the "User defined Values" option, you can define all the entries of the selection list randomly. On the "Entries" box, enter all the values, from which the user can select one value in the new form. Every selection list must have at least one selection-term. The first entry will directly take the name "Please enter name". To enter a new term, click the button and overwrite the name "Please enter name" with the term of your choice. You can delete existing entries by clicking on the term you want to delete followed by clicking the button. You can delete any of the terms you choose, however, a minimum of one entry must remain in the selection list.

To rename an existing entry, select that entry using the mouse and click the button. Doing that, you can overwrite the name directly. If a term should appear as an initial setting in your selection list, you will have to define that term as such. By double clicking the desired entry or by selecting it, followed by clicking the button, the entry will be preset in the selection list. Using the buttons and you can shift all the entries to a position of your choice in the list.

In the „Help" tab, you will not find help for the current module, but you can create your own help or instruction text for your users. This text will appear on the on the form on the right side of the text box.


Radio Buttons

Radio buttons are basically used in new applications, in cases when the user must select at least one out of two given options.

To create a new radio button in your application, select the Insert/RadioButton menu item and pick the button <Radio Button> from the toolbox. In the "General" tab, enter the title of the radio button. This title is the name of the radio button and appears in the application as the column title in both the capture page as well as the view page. If you deactivate the "Show in Search Results" check box, this field will not be included when you search for certain data records in your completed application.

On the “Entries” box, enter all the options, which the user can decide on in the new form. Every selection list must have a minimum of two options. These first entries will directly take the name “Please enter name”. To enter a new option, click the button and overwrite the name “Please enter name” with the term of your choice. You can delete existing options by clicking on the option you want to delete followed by clicking the button. You can delete any of the terms you choose, however, a minimum of two entries must remain in the radio button.

To rename an existing option, select that option using the mouse and click the button. Doing that, you can overwrite the name directly. If an option should appear as an initial setting in your radio button, you will have to define that option as such. By double clicking the desired entry or by selecting it, followed by clicking the button, the entry will be preset in the radio button. Using the buttons and you can shift all the options to a position of your choice in the radio button.


Check Boxes

You can use check boxes if the user has to make a decision “yes” or “no”. If the user checks the check box, a predefined value is stored in the database for this box. Check boxes can only be used in forms.

To create a new check box in, select the Insert/CheckBox menu item and pick the -Check Box- button from the toolbox. In the “General” tab, enter the title of the check box. This title is the name of the check box and is the field name in both the form as well as the view page. In the text box “Value, that is stored when selected”, “Yes” has been predefined, but you can overwrite this default value. However, you must always make sure this text box has an entry. If the check box is deactivated, the database field remains blank. If you activate the “Selected as initial setting” check box, “Selected” will be taken as standard setting for this check box.

In the “Help” tab, you can enter a help or instruction text for your users. This text will appear on the right side of the check box.

The checkbox "Use graphic for table views" is new here. This way a clicked "Yes" is not shown as a word but a checkmark instead.


File Selector

Under the FileSelector menu item, you can insert files (e.g. Excel files, Documents, Image files or HTML files) in forms from all the available directories.

To insert a file selection in a form, select the Insert/FileSelector menu item and pick the button <File Selector> from the toolbox. Enter the name of the file selector in the dialog box "Edit FileSelector". This title is the name of the check box and appears in the application as the column title in both the capture page as well as the view page. In the "Size" box, you can establish how many characters can be displayed in the file selector box.

In the “Help” tab, you can enter a help or instruction text which will appear on the right side of the file selector box.


Image Selector -General-

Under the Image Selector menu item, you can insert images with any image format that your browser can display (e.g. gif, png, jpg) in forms from all the available directories.

To insert an image selection in a form, select the Insert/ImageSelector menu item and pick the <Image Selector> button from the toolbox. Enter the name of the image selector in the dialog box "Edit ImageSelector". This title is the name of the check box and appears in the application as the column title in both the capture page as well as the view page. In the "Size" box, you can establish how many characters can be displayed in the image selector box. Under Format, you can determine the size of the image in pixels on a view page.


Picture Selection -Format-

You can determine the maximum values of height and width for all pictures that you insert into your Intrapact applications in pixels. The values for height and width cannot exceed 4096 pixels.


Buttons

With new buttons, you instruct your form to carry out or conclude certain actions. Actions such as "Edit", "Delete", "Save", "Reject", "Go to" and "Open in new browser window" can be selected.

To create a new button in your table, select the INSERT/BUTTONS menu item and pick the button from the toolbox. Enter the name of the button in the “General” tab and select . There will be a new tab for every inserted button, iin which you can enter new instructions. All the inserted buttons will be displayed side by side in your form. Using the and buttons you can randomly change the display sequence of the buttons. Unnecessary buttons can be removed using .


Button Action

You must assign one certain action to every new button. Here, you are provided with actions such as "Edit", "Delete", "Save", "Reject", "Go to" and "Open in new browser window". To edit or delete an entry in a completed application, you generally select that data record by marking it in a view page and then clicking the <Edit> or <Delete> button. That is why you can use the "Edit" and "Delete" actions only for buttons in view pages. The "Go to" action is used for going from a view page created additionally to a different page of this application, and can therefore be selected only in view pages as well. The "Save" and "Reject" actions are only needed for capturing data records and can therefore be selected only in forms. Using the "Open in new browser window" action, you can launch a Web-site in addition. Enter the Web-address in the "Jump to URL" text box. Using the "Next Action" option, you can establish which page should be launched after the actions, such as Save, Reject, Edit etc. All the pages that can be launched are displayed for you on the list box.

On choosing one of the actions “Delete“, “Save“, “Reject“ and “Go to“ you will also have the additional option “Back“ at your disposal.

Attention: Read in the following paragraph “eMail Sprinter“ how you can integrate Workflow into your applications.

Additionally you will find a further function: the checkbox "JavaScript Function" with the corresponding <Settings> button. This functionality allows you to assign JavaScript-Instructions to buttons

You will also find the selection list "Button Style" here which shows all styles that you previously entered in Layout-Designer and you can make an appropriate assignment.


JavaScript-Buttons

Here you will find a further function: the checkbox "JavaScript Function" with the corresponding <Settings> button. This functionality allows you to assign JavaScript-Instructions to buttons

You will also find the selection list "Button Style" here which shows all styles that you previously entered in Layout-Designer and you can make an appropriate assignment.


View Fields

Under the ViewField menu item, you can insert a certain data record or system data value in forms and view pages. System values that can be inserted are the current user, the current login name, the current date and the current time. Selectable data records must be available in the same data group or in the parent data group, and are displayed at the time of selection. View fields are suitable for displaying a certain data field (e.g. supplier) of a selected data record (e.g. product A) from a list of data records (e.g. products).

To insert a new view field, select the Insert/ViewField menu item and pick the -View Field- button from the toolbox. To provide the selected data field with a name, activate the “Show Title” check box in the “General” tab and enter the name in the text box. Using the “System Values” option, you can use the current user, the current login name, the current date and the current time as entries in the data field. Using the “Data from this application” option, you can first determine the data group (only if you have created several data groups) and then the data field from that data group.

Example: You have created a data group with product data including the data fields “Name”, “Model”, “Description” and “Supplier”. Your view field should display the corresponding supplier of a previously selected product for you. To do that, you can select product data in the “Data Group” list box followed by choosing “Supplier” from the “Data Field” list box.


View Field Layout

In the "Format" tab, you can enter the layout and name for the selected data field. To do that, you can use the Heading Level 1, Heading Level 2, Heading Level 3 and the Standard text. The font sizes and font colors correspond to the settings for application pages in Layout Designer.

In the "Help" tab, you can enter a help or instruction text for your users. This text will appear on the right side of the text box.


View Field Picture Format

In the <Format> tab, you can determine the desired data field's layout and the data field's name. To do so, you can use Title Level 1, Title Level 2, Title Level 3 and the Standard text.

The display size can be set during the picture selection under the <Format> tab.


View Tables

Under the VIEWTABLE menu item, you can insert a data table from data groups in forms and view pages. Here, you are provided with all the data from your own data group and – if you have created several data groups – all the data from the directly linked parallel data group (not structured hierarchically), all the data from the parent data group and the data from the child data group. Intrapact now also offers the possibility to select data groups from the second level. To simplify this complicated enumeration, all the available data groups are displayed for you when creating a view table.

To insert a new view table in your application, select the Insert/ViewTable menu item and pick the <View Table> button from the toolbox. The ViewTable-Assistant will then guide you through creating a new view table.

In the ViewTable-Assistant, select first the data group, that should be used to display the view table. If your application consists of only one data group, which will be the case with the majority of applications, that data group will be the initial setting in the list box. Then, you can decide, if the view should be made up of all the entries of the data group or if a preselection is needed.

You can use all the data fields contained in the data group for the preselection, other than e-mail, File and Web-address.

What's new?

Example: You are using a data group with members-data (data fields) such as e.g. Last Name, First Name, Address, Date of Birth, Employment Start Date, Department, Type of Membership and so on. In the view table, the member's department is supposed to be used as preselection, so that you always have only the members of that department in the view table. To do that, select the "View for preselection of data records" option in the Assistant under "General". Using the button you will proceed to the CategorySelector-Assistant. There, you have the option of entering a title for the preselection that you want to make, then you can proceed by preselecting the "Department" data field. If you want to make further preselections (e.g. City), the view that follows will again be preselection of data records. You can repeat the procedure of preselecting data fields until you have used all the data fields available for preselection. If you use the "Table View" option, all data that fulfill the selection criteria will be displayed.

Using the "Department" preselection, you will have all the departments that are supplied with data displayed on the selected page of your application. If no other preselections have been defined, all the members of the selected department will be displayed in your application.


View Tables

After concluding all the preselections, you can enter the title of the table view in ViewTable-Assistant. This will be the table's title in the application. Under "Available Fields", all the data fields of the selected data group are displayed, and can be shifted to Selected Fields using the Right arrow key. The table view displays only the selected data fields. In the predefined setting, you have all the data fields as initially-included for the view. Using the Left arrow key, they can be shifted to Available Fields and will be excluded from the view. You can change the arrangement of the single data fields in the view table. To shift a column of a field to the left in the view, select that field by marking it and click the <Forward> button. To shift the field to the right, select the field by marking it and click the <Back> button.

By activating the "Data records refer to the following view page" check box, you can link the view table to another view page. To do that, such pages are suitable, in which existing entries can be edited and deleted. All the available pages are displayed for you in the list box. You can reach those pages in the application using the button located on the left side of the data record.

What's new?


View Tables -Filter-

By selecting the “Filter“ button you can deposit further conditions for the representation of the data fields in a view table.

In order to use a filter for the view table click the “filter“ button.

In the dialogue “Edit Filter“ you can add filter elements by clicking the “insert“ button.

Read the next chapter to see how you can add filters.


View Table - Add and Edit Filter

Adding Filter Elements

Filters in View tables

In Intrapact, you have a huge variety of filtering information. The most important ways of filtering displayed records will be introduced to you at this point.

First, set up a new view table. In the view table's property-dialog, open the filter- dialog.

Let us take a look at the dialogue's individual elements:

Connection: Here you can decide on the method of how individual filters are combined. Are filters to be connected with -and-, resp. -or-?

Data fields

Here you decide, which data field to insert a filter on. Here three fields marked as system values are visible.

System value(dtedit) : Date when the record was introduced.

System value(lid): Clear numerical value for the record.

System value(luserid): User's ID who created the record.

With the system value user-ID you can, for example, create filtered views of data that was created by the corresponding user by equating the selected value and the system value "-Current user-ID-". Having inserted a filter in this manner, you should make sure to give the "-Search-"-page exact rights, in order to protect the data from unauthorized access.

You can e.g. accommodate a list of all user names in an edit page, so the employee can select the responsible superior.

With a view table that compares this data field to the system value -Current user name-, the superior only has access to the records intended for him.

Operation

Here various operators for a filter on the selected data field are available to you.

The value -is not defined- should be pointed out because you can show very strong statements of parts of your data stock that you support by realizing workflow functionalities. For example, you can create an edit page -applications- for the approval of business trips in which the user enters the reason for travel, estimated costs etc., and another page for the approvals that are approved by superiors. When an application is submitted, the entry for the field -approved- is -not yet defined-, and the superior only sees the business trip applications waiting to be approved in the view page -approvals-. When he makes an entry on the -approvals- page, the field receives a definable value. So this value can help you create a view on data records that have not yet been approved by superiors.

Comparison value

Here you have several possibilities to select comparison values.

Field

Here you can select a field in your application with which you would like to create a useful comparison value. Of course the type of field will be taken into consideration by Intrapact. This means that, e.g. a date value can only be compared to another date value.

System value

Here you have several possibilities to choose from, depending on the type of data field you have selected:

Type Possible system value

Number value Current user-ID

Date value Current date /time

Current date

Current time

Text Current user name

Current login

User defined

Here you can enter fixed values for selected data fields. The values will offer represent a statistical filter.

Here you enter comparison values for option fields or check boxes. (E.g. data field -approved- = -Yes-, to list all approved records).

Date adjustment

This is a very powerful possibility of comparing date values dynamically. All three entry possibilities for date adjustments (Day, Month and Year) work on the same principle, which will be illustrated on the example “day”.

Regard the field -Day-:

Enter a number

Entered value Result

1, 2 ...,X The date value is set to the exact day. An entered 1 always sets the date to the first of the month. If the numeric value is higher than the amount of days in a month (e.g. 50) the last day of the month will automatically be selected.

+ 1,2,...,X The current date is increased by X days. If you have chosen the current date as comparison value (e.g. today is February 1, 2001) and the date adjustment +3, the comparison value will be increased by three days -> February 4, 2001.

- 1,2,...,X The current date is decreased by X days. If you have chosen the current date as comparison value (e.g. today is February 1, 2001) and the date adjustment -3, the comparison value will be increased by three days -> January 29, 2001.

The possibilities for month and year adjustment work on the same principle.

Date adjustment makes it possible for you, e.g. to organize activity plans which show on various summary pages data records of the current month, the next seven days etc.

The filter can be activated by clicking the “O.K.“ button. In the “Edit Filter“ window you have a view of the hierarchy of all the entered filter elements. A filter element can be newly redefined at all times by clicking the “Edit“ button using the mouse.


Description

Using Description, you can supply the form with additional information for the user. These description fields cannot be edited in the application and are only meant for information.

You can insert a description by selecting the Insert/Description menu item, or by clicking the corresponding button in the toolbox using the mouse.


Separator

To design the forms optically more attractive, you can insert Separators between single fields. You can insert every separation alternatively with or without separating lines at any position.

You can insert a separator by selecting it from the menu, or by clicking the corresponding button in the toolbox using the mouse.


HTML Text

The HTML text element gives you the possibility to integrate HTML-tags directly into your applications.

This is the way to enter pictures to shape your view pages or forms.

Furthermore, you have the possibility to rearrange text elements next to each other. You will now be shown how this control is used for this purpose.

The Intrapact Application Designer embeds every single element in a line of a HTML-table automatically. Even the HTML-code of the HTML-element is embedded in a line.

If you wish to change the automatic arrangement of the fields of a page, then you have to interfere with this mechanism and enter your own HTML-sequences to direct the arranging. This should be illustrated by an example.

The Application Designer embeds each single control in one row of a HTML table.


eMail Sprinter

Intrapact enables you to actively arrange workflow processes and to notify users about changes in the system by eMail. Intrapact eMail Sprinter sends eMails automatically when entering or changing data records. By this you can very simply implement a Workflow in your company and let yourself, for example be notified about all new entries in an application “Application for leave“.

Important: An eMail can only be sent if you have configurated Intrapact for the eMail consignment. You can find the configuration for the eMail service in the Intrapact Manager under “Tools“.

Because the telecommunication companies now offer the conversion of eMails to SMS-messages, you can also be informed about important changes in your Intrapact data over your mobile phone. You must, however, give access to your eMail account at your telecommunications company in advance.

Attention: The forwarding of eMails as SMS-messages onto your mobile phone can be costly.

D1: Your eMail address is: T-D1-Telephone number@T-D1-SMS.de. To activate your eMail account in the T-D1 network, send an SMS with the content OPEN to the telephone number 8000. You can now be reached by eMail on your mobile phone. If you no longer want to receive any eMails just send a short message with the text CLOSE to the number 8000. All information without guarantee.

D2: Your eMail address is D2-Number@D2mail.de. Simply call the D2 number 229001 with your D2 mobile phone and organize your D2-eMail. All information without guarantee.

The eMail Sprinter is always activated by buttons.

If you have placed a button on one page of your application, you can activate eMail Sprinter by marking the check box “send eMail“.

You can always assign the eMail Sprinter with a button, if you have chosen the button option “Change“, “Go to“, “Reject“, or “Save“. The eMail Sprinter will not be at your disposal on choosing the button option “Open in new browser window“ or “Delete“ as no current data record can be connected with this.

In order to process the set-up of the eMail Sprinter click the “Configuration“ button and you will get to the three pages: “General“, “Reference, Page Heading and Footing“ and “Message“.

General

Here you will determine through the check box “Send eMail in HTML format“ whether the content of the eMail can be sent as an HTML page. Current eMail programs, such as Microsoft Outlook can show this format. Due to this the eMail can be arranged more attractively.

If this field is not marked, the content of the eMail will be sent in plain text format. Every eMail client can present this format. If you have marked the check box “Ask user about addressee“, a dialogue window will open in the Intrapact Application in which the current user can immediately enter the addressee's eMail address.

This is useful e.g. for applications in which the internal support has to answer customer inquiries. A colleague can choose a report, enter the recipient's eMail address and the corresponding report will be automatically forwarded to the addressee.

If you have placed a text box or view field of the eMail type on the current page, you can also dynamically withdraw the addressee from this field.

Attention: Additionally you can also assign a fixed distribution list. You can enter any number of message receivers in this field. The individual receivers have to be separated by a semi-colon (;).

In the last text box on this page you can assign who should be named as the sender of the eMail. You have the choice of the following alternatives:

The current user, if he/she is registered in the system - i.e. not working as an anonymous user - and his/her eMail address is included in Intrapact.

The eMail address of the person responsible for the application can also be stated or a user defined address entered into the corresponding text box.

Mail Configuration

Message


eMail Sprinter Configuration

Reference, page heading and footing

This is where you can assign what should be named as an additional reference in the eMail. To begin with the reference is always arranged in the following way: “Company Name“ - Name of the Application - Name of the current user“.

Any additional text will be given at the end of this fixed reference.

The page heading text is shown at the beginning of the eMail and can for example also contain instructions for certain eMail server (Tobit, etc.)

You can also greet your clients with a preformulated speech here.

You can enter your address in the page footing. The page footing appears after all the data which you have recorded on the following dialogue page in the eMail.


eMail Sprinter message

Nachricht:

On this page you can arrange whether a link to a page of your application should be sent with the eMail. Consider however, that when using Intrapact within the internal network of your company an outsider has no access to your system. This option is therefore only adviseable in the exclusively internal Workflow or for the use of Intrapact for your Internet web site.

If you have marked the check box “Enter data from this page into eMail“ you can then enter all the available data of the current page into the eMail. You can always keep up to date with all current developments. All field types -regardless of whether text boxes or view fields - can be additionally taken on here.


Info

This is where you can find information about the current program version and the licenses you have acquired. In addition to that, your serial number is displayed which you should keep at hand in case you want to contact our Hotline.


Working with Application Designer

You must always start up Intrapact Manager before you can begin working with Application Designer. Select Application Designer on the welcome page of Intrapact Manager and login with your username and password.

You can open and edit existing applications, create new applications or delete existing applications using Application Designer.

Opening existing Applications

Deleting existing Applications

Creating new Applications


Opening existing Applications

To open an existing Intrapact application, select the “Open Application” tab. Proceed by selecting the application you want to open from the folder and click the -Open- button


Deleting existing Applications

To remove an existing application from Intrapact irreversibly, select the “Delete Application” tab. Proceed by selecting the application you want to delete from the directory and click the button.

Note: If you delete an application, it cannot be reactivated anymore. All the data stored in that application will be lost irreversibly.


Creating new Applications

Using Application Designer you can create a variety of new applications for publishing on Intrapact in no time at all. To make this job as easy as possible, Application Designer provides you with templates such as (Tables, Calendars, Resource Administration, Forums, Knowledge Bases, and Bulletins), that are meant to help you with the draft of your new application. To give you a better grasp of working with Application Designer, and to also demonstrate the ease and efficiency involved with its handling, we are going to take a closer look at creating new applications in the following chapters, using the complete range of available templates.

Create documents

Create knowledge Base

Create resource administration

Create forum

Create newsletter

Create bulletin board

Create calendar

Create minute

Create table


General Structure of an Intrapact Application

In order to begin constructing applications as effectively as possible, it is necessary to understand their structure. As an example, the construction of a table-based application will be described here.

To set up a table-based application, start Intrapact Manager and open Application Designer. Select the Tab -Create Application-, check-mark the symbol for the application type -Table-, give it a name, and click on -Create-.

Then a whole Table-based application is created. All you have to do is specify what data you wish to include and choose the corresponding input elements.

Application Designer is structured very lucidly:

The application tree which gives you an outline of the application structure is located on the top left of the screen. Directly under it is the tool list, of which you can use a variety of different elements for in- and outputs within the application. The permissible element-types are enabled, depending on their availability in the selected page type.

In the large window on the right side, you can see which page has been selected for editing. The Application Designer will give you an approximate idea of what your page will look like in the Browser. You can open other pages for direct editing by clicking on them in the application-tree.

Now let us take a closer look at the application tree:

You can identify various symbols in the application-tree.

Application-Symbol

This symbol represents your application's -root-. All other elements are located under it in the hierarchy.

Folder View pages

This folder contains pages only for displaying data but not for any data entry elements. The folder -View pages-, which is directly under the application symbol, contains so-called main pages that enable an overview of all data and can be included to the application's menu.

See -View page- as well.

Folder Forms

This folder contains pages where input elements can be placed. Input elements are used for data entry.

If you should use several forms for data entry in one folder you can construct an additional Wizard to assist the user in entering the data for all forms.

Data Group

A data group represents the most important part of an application. All of a data group's input-elements' end up in exactly one table in the Intrapact database.

In the data group's „Properties“-dialogue you can determine which page search results refer to.

You can set up subordinate data groups by right-clicking the mouse. This way you have created a 1 to n connection of two tables without any required programming. The amount of subordinate data groups that belong to one higher-level data group is limitless.

So you can, e.g. record your customers in an upper-group application and cover the individual contacts and customer relations in subordinate data groups.

View Pages

View pages display data. View pages inside one data group can display exactly one record of the corresponding data group. View pages above a data group (e.g. Main pages) can display a list of the lower-level data group's records.

All Intrapact applications have a view page that displays all data that is contained in the edit pages. This page is created by Intrapact with an automatic.

In all Intrapact applications there is a view page where all the input data included can be shown. This page is created by Intrapact automatically.

When you have established dependant data groups and wish to create a view table on the same page, you can right-click the dialogue -Properties- with the mouse and de-activate the automatic. Now the page can be edited. If you should want to reverse your changes and return to the original page for some reason, you can turn the automatic back on at any time.

The following elements can be accommodated in view pages:

  • View table
  • View field
  • Separator
  • HTML Entry
  • Descriptions
  • Buttons

    • Forms

    Each data group has a folder „Forms“. All pages that you construct within the folder can accommodate users' data. First-application-level forms can also be placed in the application's menu. All existing input- and output elements can be set up on forms.

    Links between an application's pages

    If you wish to refer to pages, e.g. in order to jump from an edit page to a view page, the connection is produced using buttons.

    It is always helpful to create complex applications' links at the end of the creation process. If you have given the application pages useful names, the linkage is very simple. The buttons show you all possible jumping-destinations. Of course, Intrapact catches logical mistakes that you could make (e.g. after deleting a record, jumping to a view page inside the same data group).

    In the case that you have created several inter-dependant data groups, the navigation is only possible in the following manner: You can merely jump down one level at a time in the data group hierarchy, but back up as many as you want. This means that, e.g. you have to select a customer record, before you can jump to an individual contact report.

    Search Page

    Every Intrapact application automatically gives you the possibility of a full-text search inside the application.

    The search results always refer to a view page inside the application (See -Data Group- as well). If you do not want individual data fields to be searched, de-mark them in the edit page's corresponding property-dialogue -Show in Search Results-. The field will then neither be searched, nor displayed in any search results.


Creating new Tables

The "Tables" application can be used in all the organizations of the business and is suitable for all data, displayed mainly in tables (e.g. supplier data, customer data, employees lists, error databases etc.). The "Table" function is a general application, that displays the administered information in a table. Entries in the fields of tables can take the form of text, numbers, currency, date, time, e-mail address and URL. Table entries can be created, edited or deleted by any user with corresponding permissions.

Tables are the most versatile application templates in Intrapact, and they can be created with different data groups, forms and view pages, and text boxes and output fields. Therefore, you must still determine the text boxes yourself for the "Tables" application template.

To create a new table for Intrapact, start Application Designer and select the "Create Application" tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for the table and click the <Create> button. Then the Application-Assistant will guide you through creating the table.

Every new table in Intrapact is automatically created with a data group. A data group always contains one data view page showing the selected record and one edit page.

In the next step, Application Designer automatically creates the first table for you. You can only change the name of the data group. Application Designer proposes a name for the application.

ApplicationDesigner Wizard automatically creates a view page, you can use to observe data records, or to edit or delete them. Of course, you can use this function later to create view pages. By clicking the <Finish> button, you have already set up a framework of a simple table for your Intrapact.

You still need various data fields to obtain a functional table. To do that, you can use all the elements of the toolbox or those of the Insert menu, whereas you are not provided with any input elements for view pages. You can find detailed description on single elements in the "Insert Menu" chapter.

Tip: Whenever you want to create new applications, you should decide beforehand about what information you would like to provide the user with, and on which forms and view pages. Prepare a script for all the input and output functions. That would spare you an enormous amount of time when creating new applications.

Creating a table with a data group

Creating a table with several view and entry pages


Example for creating a Table with one Data Group

In the following example we are going to create a table, in which we would like to collect information about the time consumption and transport expenditures of our staff for commuting from home to the office.

To create the “Transportation Survey” table, start Application Designer and select the “Create Application” tab. Proceed by entering the name of the new application (e.g. “Transportation Survey”) in the Table Wizard. The name you choose for the application will be mapped on the application folder and on Intrapact. Existing names are displayed in red in the text box and cannot be used again. Select the icon for the table and click the -Create- button. Then the Application Wizard will guide you through creating the table.

Table Wizard automatically creates the new application with the view pages in the menu and the data group “Transportation Survey”. View pages in the menu always consist of the Main Page, Search Page and Help Page. The Main page always displays all the data fields and records that have been created and captured in the form (menu) and cannot be edited. You can search for all the available entries in the table using Search Page in the Table-based application. You can provide all users with a help text of your choice using Help Page.

In the Transportation Survey data group (which could have been given a different name too) the “View Pages” and “Forms” folders have been created automatically. In the “View Pages” folder, you can find one view page which always maps all entries of a selected data record of the Main Page, and can also be reached via this page. This page is already completed and cannot be changed. In the “Forms” folder you can find one form. This form is included automatically in the main menu, and it is the page where your employees are to make their entries. When the new table is being created, this page does not have any entries and must therefore be edited.

After designing the new “Transportation Survey” table in Application Designer, we automatically proceed to the form and can fill in all the necessary fields. First we will use a Definition Field with a descriptive text. Then we need five text boxes in our example (Name and City as text field, Distance as integer with km supplement, Time Consumption as time with hh:mm supplement). We use a list box for the option of vehicle and enter there a selectable vehicle. Then we select a separator with a separating line for better overview. For the YES/NO query and establishing possible bus expenses we will use option boxes. We have now created all the entry areas, and only need to add a -Save- button, in order to save the entries and change to the view page (action: Save, target: Main page). Do not forget to save your newly created application.

As long as you have not released your new form, it remains in the test section. The test section in Intrapact is only accessible to users with permission to create new applications. That gives you the possibility to check your new application in the Test section at any time.

This application can now be shifted from the test section to a section accessible for users (e.g. “Organization”). You must also decide at the same time, which users will be allowed to use this table and its pages and which permissions they can have.


Assigning Permissions for an Application

When you store a new application for the first time, the program automatically prompts you to establish the location where the application should be published, and to edit the permissions for the application menu and for each of its pages. If you click the -Yes- button, you will proceed directly to application properties (Edit/ApplicationProperties menu item).

If you click the -No- button, your application will remain in the existing section and you can establish the location of its publication and edit the permissions for the application and the structure of the menu at a later time. The latter is only recommendable in cases when the design of your application is not completed yet and you want to store the application for controlling purposes.


Example for creating a table with several forms and view pages

In the previous example, we dealt with a simple table without any additional pages and data groups. In this example we will create a table, that enables us to fetch additional detailed information via certain entries, and also allows us to define certain preselections for viewing it. As an example we have selected a table, which allows a dealer of second-hand cars to arrange a view-selection for the vehicles he has for sale, according to brands and models. In addition to that, he should be able to view detailed information (e.g. Interior color, Accessories and Extras) of the selected vehicle.

After creating the new “Used Cars” table in Application Designer, we will automatically proceed to the form, and we can insert all the necessary fields. Necessary fields here would be only text boxes for Brand, Model, Type, First-vehicle-registration, Mileage and Price.

We need a new data group to fill in the detailed information of the vehicle. To do that, we select our first “Used Cars” data group and right-click the mouse to select “Insert DataGroup” (can also be done via menu item Insert/DataGroup). In the “Edit DataGroup” dialog box we can choose a name for this data group (e.g. Details) which will automatically give us a new data group with a view page and a form. We will insert the fields for the details in this form.

The new form should have text boxes for Vehicle type, Fuel, Engine power, Body color and Interior color. We will use a text field for the extras, in order to have enough room for entries. We also want to include a picture of the selected vehicle, which we can get via “File Selector”. The buttons we can use are the -Save- and -Reject- buttons. Using the -Save- button enables us to move on to collecting data of the next used car after storing the entries, and we can jump to the next page by selecting “Form”. When rejecting the entries on this page, the user should end up back on the same page, and to achieve that, we select the Form1 button.

We have now specified all necessary entries for this section. The view pages however, do not meet all our demands yet. The Main Page, which cannot be edited, shows all entries of the first form. Via Main Page, we manage to go to the view page, where we can edit or delete entries, but we still cannot reach the detailed view of the selected vehicle. Therefore we need a new view page in the application menu, which has a link to the detailed definitions.

We could access the data of every used car using the “Details” form via view page of the new data group. As we can only reach view pages in the first data group from view pages in the application menu (view pages can map data from all the parent data groups and the first child group), we need an additional view page with the detailed information in the first data group.

To do that, we select the “View Pages” section in the first data group and right-click the mouse to select “Insert ViewPage” (can also be done via menu item Insert/ViewPage...) and enter the name in the “Edit Page” dialog box (e.g. “Detail View”). This view page should contain the view table with all the detailed definitions of the child data group.

Then we insert a view table. We select “Details” as data group, and do not define any preselection of data records. Next we accept all the available fields as selected fields and refer to View Page1 as data records to be displayed (view page in the child data group). Doing that, we can complete the view page and only need the additional view page in the application menu.

To do that, we select the “View Pages” section directly underneath the application name and right-click the mouse to select “Insert ViewPage” (can also be done via menu item Insert/ViewPage...) and enter the name in the “Edit Page” dialog box (e.g. “View according to Brand”). This view page should provide us first with a preselection of the available automobile brands, followed by a selection of the available models. After this preselection, all vehicles that match this condition should be mapped, and when we proceed to select one vehicle the detailed definitions of that vehicle should be displayed too. To do that, we need a view table in this view page, in which we first select the brand as a preselection, and then select the vehicle type also as a preselection of this data table. Then we proceed to close the view table by selecting all the fields to be mapped in the table and selecting the “Detail View” view page as link for data records to be displayed.

We have now completed the view table of the used cars and we can select the location of the publication, and the intended users under application properties. We should also accept the newly created view page in the application menu.

You can export all data records mapped on one view page to a document if a minimum of five data records and two columns are available.

Using the buttons next to the entry names, you can proceed to further view pages. In the case of Main Page, it is invariably the view page through which the entries can be edited or deleted.


Creating new Calendars

The flexible "Calendar" template can be used in all the organizations of the business, and is suitable for capturing and administering all the events that are schedule-dependent (e.g. Birthdays, Anniversaries, Trade fairs, Vacations, Tax declarations, Product deadlines etc.). Such appointments can be created, changed or deleted by any user with the corresponding permissions. New calendars can only be created by employees with access permissions for Application Designer.

To create a new calendar for Intrapact, start Application Designer and select the "Create Application" tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for calendar as template and click the <Create> button. Application Designer will then create the calendar automatically. In contrast to creating tables, you do not have to create any text boxes when creating calendars. The calendar can directly be used in Intrapact.

Of course, every calendar can be enhanced by additional forms and output pages, just like tables can. You can also insert text boxes and list boxes according to the rules of table forms.

In the above view, you can see a daily view of a calendar, which has been created without additional data groups, pages or fields. As view pages you are here provided with calendar views with daily, weekly and monthly calendars or as a period dependent list. You can enter new appointments via application menu or by clicking on the calendar.


Creating a new Forum

A forum is a platform for a defined number of employees, working groups, departments or for all the employees to exchange information interactively. The "Forums" application can be used in all the organizations of a business. Forums can be designed by any member of the forum openly or anonymously. Using Application Designer, all the users provided with permissions can create new forums.

To create a new forum for Intrapact, start Application Designer and select the "Create Application" tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for forum as template and click the <Create> button. Application Designer will then create the forum automatically. In contrast to creating tables, you do not have to create any text boxes when creating forums. The forum can directly be used in Intrapact.

Of course, every forum can be enhanced by additional forms and output pages, just like tables can. You can also insert text boxes and list boxes according to the rules of table forms.


Creating new Meeting Reports

You can find a complete meeting and report administration under Meeting Reports. Without having to add new fields or pages in Application Designer, you can automatically create meeting reports with agenda and invitations function. All the open reports and meetings are listed and archived at a certain time.

To create a new meeting report for Intrapact, start Application Designer and select the "Create Application" tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for meeting report as template and click the <Create> button. Application Designer will then create the meeting report automatically. In contrast to creating tables, you do not have to create any text boxes when creating meeting reports. The meeting report can directly be used in Intrapact.

Of course, every meeting report can be enhanced by additional forms and output pages, just like tables can. You can also insert text boxes and list boxes according to the rules of table forms.


Creating new Bulletin Boards

Using this template, you can create "Bulletin Boards" for all the business sections. You can directly insert as many categories of bulletins as you like in the application, and establish the period of their publication.

To create a new bulletin for Intrapact, start Application Designer and select the "Create Application" tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for bulletin as template and click the <Create> button. Application Designer will then create the bulletin automatically. In contrast to creating tables, you do not have to create any text boxes when creating bulletins. The bulletin can directly be used in Intrapact.

Of course, every bulletin can be enhanced by additional forms and output pages, just like tables can. You can also insert text boxes and list boxes according to the rules of table forms.

If you click the title of a corresponding entry in the bulletin, all the other details of that entry will be displayed for you. If you click the author's name, you can directly send him an e-mail.


Creating new Resource Administration

The "Resource Administration" application can be used in all the organizations of the business and is specifically suitable for creating reservation and rental lists. Using Resource Administration you can easily arrange and administer reservations for meeting rooms or company cars as well as rental lists for any object within your enterprise. All the users provided with corresponding permissions can make entries in resource lists (reservations, rentals etc.). Creating new resource lists or new objects in existing lists, can only be done by employees provided with access permission for Application Designer.

To create a new resource list for Intrapact, start Application Designer and select the "Create Application" tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for resource list as template and click the <Create> button. Application Designer will then create the resource list automatically. In contrast to creating tables, you do not have to create any text boxes when creating resource lists. The resource list can directly be created in Intrapact with the desired resources (meeting rooms, company cars etc.) and can be used by the selected group of users.

Of course, every resource database can be enhanced by additional forms and output pages, just like tables can. You can also insert text boxes and list boxes according to the rules of table forms.

Resources are administered from this page. The reservation is mapped in a calendar.


Creating a new Knowledge Base

One of the most important tasks a functional Intranet has to fulfill, is the administration and the provision of a company's know-how. Using the Knowledge Base from Intrapact, you can set up as many different knowledge databases as you desire divided up into areas, topics, chapters and sections. You can set up their contents as text or links in existing documents.

To create a new knowledge base for Intrapact, start Application Designer and select the "Create Application" tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for Knowledge Base as template and click the <Create> button. Then the Application-Assistant will guide you through creating the knowledge base.

The Knowledge Base template includes the areas of Administration, Sales, Production, Purchasing, Marketing and Development as a standard. All areas, chapters and sections can be edited subsequently. The Knowledge Base template is based on a table template and can therefore use all the rules applying to creating tables in addition.

You can access every entry of the Knowledge Base via areas, chapter and section.


Newsletter

Using the “Newsletter” application, you can send current information to all or selected users. You can control the creation of News via various groups (Management, Works Council etc.). For News received, a Home Page-Info will be created.

To create a new Newsletter for Intrapact, start Application Designer and select the “Create Application” tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application directory and on Intrapact. Existing names are displayed in red in the text box and they cannot be used again. Select the icon for Newsletter as template and click the button. Application Designer will then create the Newsletter automatically. In contrast to creating tables, when creating News you do not have to make any text boxes. News can directly be used in Intrapact.

Of course, every Newsletter can be enhanced by additional forms and output pages, just like tables can. You can also insert text boxes and list boxes according to the rules of table forms.

Current News is also mapped for the corresponding user directly in the Home Page in Intrapact.


Documents

You can build a document administration using the “Documents” template in Intrapact Application Designer. All the incorporated document files will be saved as copies in Intrapact. That way, these documents are archived by Intrapact and can be retrieved even if their original storage location has changed or the original file has been deleted. You can assign as many keywords as you desire to every document for inquiry purposes.

To create a new document administration for Intrapact, start Application Designer and select the “Create Application” tab. Proceed by entering the name of the new application. The name you choose for the application will be mapped on the application folder and on Intrapact. Existing names are displayed in red in the text box and cannot be used again. Select the document template's icon and click the -Create- button. Application Designer will create the desired document administration automatically. In contrast to creating tables, you do not have to create any text boxes when creating document administration. Document administration can directly be used in Intrapact.

Of course, every document can be enhanced by additional forms and output pages, just like tables can. You can also insert text boxes and list boxes according to the rules of table forms.

Clicking the name of a document in the File column loads and displays the complete document.


Shop

General

The sample Shop makes it possible to establish a complete Online Shop in very short time. As familiar from Intrapact-templates, all you have to do is open the template in Application Designer, give it a name, and publish the new application.

Now you can fill your shop with product information using the browser, adjust the administration settings and then take it into service.

In the following you will be made acquainted to the shop’s properties step by step.

Since the sample has very many pages and data groups, it is of advantage for you to understand its structure.

The highest level’s application pages

After giving a name and selecting the template “Shop”, Application Designer will take you to the entry page “Order”. Just like you are used to do in other applications, you can add additional fields to the order form by using the tools list.

Welcome

The “Welcome” page is the Online Shop’s starting page. It possesses two controls of the type “HTML Text”.

The first control contains the Welcome text for your customers when they enter the shop. You can change this control however you wish to make it fit your needs.

The second control serves to display the special-offer products. This control may never be changed or else the whole shop will lose its entire functionality.

You can mark individual products in the product administration to make them into the special-offer products that you want to appear on the page. You can also determine the maximum amount of special-offer products displayed (see shop settings).

Shop / Shop2

These pages represent your shop’s shelves. You can either use both pages or remove one of them in Application Designer’s application settings.

The Shop page first offers the user a pre-selection within the product groups (see product groups as well). Then the user is prompted to the overview page with the individual products.

The Shop2 page shows all products without any pre-selection. You can determine the maximum amount of products displayed on one page in the shop settings. The pages’ titles are determined by the pages’ name in Application Designer.

The product search page

You can search for your products using this page. This is always an advantage when you know exactly what you need and do not have time to browse the whole catalog, e.g. on the “Shop” page. All products matching your search item will be displayed. All existing product information will be shown, respectively can be called upon by using the displayed links.

The cart page

This page cannot be changed in Application Designer. Here the customer is given an overview of the products he/she just ordered.

The following properties can be set in the shop’s settings:

è Display of price information

è Display of price including or excluding tax

è Possible tax deduction

è Displayed shipping prices (two alternatives are available, see shop settings)

è Total amount due

All products can still be changed concerning their amount or be removed from the cart.

CrossSelling

Similarly to the special-offer products, further products are offered to the customer. The selection results from other customers’ previous orders.

Terms and Conditions

On the Terms and Conditions page, you can list your corresponding terms and conditions.

Help

Here you should enter the help text that you wish to offer your customers for use of the shop.

Statistics

This page cannot be changed either. Here you can look into the following statistical analyses of your customers’ purchasing behavior:

Sales / day

You receive a listing of sales within a given period.

Sales / customer

You receive a listing of which customer made purchases / shop sales within a given period.

Sales / product

You receive a listing showing amount of product sales.

Administration

This is your central place of entry to all of the Online Shop’s administrative areas. Here you can get to the following pages:

ALL orders

All order processes are listed here. If you click on the magnifying glass displayed on the left of the entry, you receive a detailed view of your customer.

New orders

Overview of new unprocessed orders (here all orders appear whose “completed” box has not been checked yet).

Export orders

All orders inside a period you determine are exported as a text file. The export shows each order item (individual item with amount and customer) in one line. So a customer who ordered five different items in one sitting appears five times on the list. Most inventory control systems are capable of importing such export files.

Orders by vendor

This is where all open or finished orders are shown by vendor. This way you can easily see which vendors are e.g. having problems delivering the open orders. You can choose a time frame for the statistic within which you require the information. Just select corresponding vendors from the selection list, the standard setting is “All Vendors”.

Product

All products are listed here. You can add new or edit existing products here. Which data is registered here will be explained in the following.

Vendors

All vendors can be entered with their address, contact and eMail.

Shop settings

Caution: Do not change the shop settings, this could damage the shop’s functionality.

After creating the shop in Application Designer, go through the four pages with the settings very carefully in the browser. You can move from page to page by using the <Next> and <Back> buttons. Of course you can always adjust the settings at a later time.

General settings

Display product price excluding tax

Check this box if you wish to have the prices displayed excluding tax.

Caution: Prices are always shown excluding tax on the product administration page!

Show tax in percent

Check this box if you would like the tax rate to be shown in percent.

Show tax as amount

Check this box if you would like the tax to be shown as an amount.

Currency

Here you determine the currency for the standard amount, e.g. DM, EUR, CHF...

Round main currency

Check this box if you would like all total amounts to be rounded to 0,05 in the main currency (obligatory in Switzerland).

Alternative currency

Check this box if you would like to display a second currency.

Round alt. currency

Check this box if you would like all total amounts to be rounded to 0,05 in the alternative currency (obligatory in Switzerland).

Exchange rate

Enter the exchange rate for determining the second currency. (Currency 1 / Exchange Rate = Currency 2)

Currency 2

Here you determine the second currency, e.g. DM, EUR, CHF...

Show alternative currency in Shop

Here you can choose whether the alternative currency is shown in the shop or not. If the box is not checked, the second currency will merely appear in the cart (depending on the following box).

Display alternative currency in cart

Here you can choose whether the alternative currency is shown in the cart or not. If the box is not checked, the second currency will merely appear in the shop (depending on the preceding box).

Special settings

I want to fade out all prices

Here you determine if amounts are to be shown in the shop or not. With the box checked, no amounts will be shown. This is the ideal setting for an internal purchasing department.

No personal data entry

Check this box when you wish to avoid the user having to enter his/her personal data. In this case user information will be adjusted by Intrapact.

This is the ideal setting for an internal purchasing department.

Product amount

A shop page can display any amount of products. When utilizing images this can cause long loading times, though. In order to avoid such long loading times, you can define the maximum amount of displayed products on one page. The value “–1” stands for “All products on one page”. Every other value determines the maximum product amount. If there are more products, the shop user can view them on the following pages.

Amount of special offer products

Here you choose how many special-offer products are to be displayed. Enter “–1” for all existing special offers.

Product suggestions/amount of suggestions

By checking the “Product Suggestions” box, you determine if products are suggested for ordering in the cart. You can also determine the maximum amount of such suggestions at this point.

Caution: If your shop has not received any orders yet, no suggestions will be able to be displayed. If a product has never been bought together with another one, no suggestions will be made either.

Tip: Order desired product combinations yourself first.

Shipping and handling

On this page you determine the calculation of shipping and handling prices. Two different types of s&h prices can be given. Make sure to give them comprehensible names.

The settings are valid for all products in the shop. When both s&h types are activated, the customer has the choice between them.

There is the possibility of offering free shipping and handling as soon as a certain total is reached. Determine that amount. Furthermore, you can determine an amount at which the customer is encouraged to keep shopping in order to attain free s&h. You can compose the encouraging text yourself.

Caution: Only the first sort of shipping and handling can offer free s&h.

Additions

The additions offer the possibility of endowing products with customer settings.

Example:

You are a shoe manufacturer and wish to offer your models in different sizes.

To do so, enter “Shoe Size” in the “Title 1” field.

Enter the sizes “7;8;9;9.5;10;10.5;11” in the “Addition 1” field.

Having used semi-colons between each size, they will appear as a list of suggestions with the matching products. You can learn how to give a product an addition in “Product Administration”.

A shop can have up to six additions. Remember them well so they can be assigned to products properly.

Product administration

The administration page takes you to Product Administration. There you can add, delete or edit products.

Add product

Determine each product’s properties individually. You can select one of the product groups you created from the selection list using the same name. The vendors can be assigned to your product with a selection list as well.

You must always enter the price excluding tax into the “Price 1” field. The currency that appears is always what is defined in “Shop Settings”.

Describe the product in full. This is the description shown in the shop. In addition, an image can be entered for each product.

In Application Designer you can add fields to the “Add Product” page. Though these will not be shown in the shop itself, they can be seen on the “Details” page as additional fields.

Check-boxes with special properties

è Show details

Check this box to add a link to the “Details” page in the shop.

è Show large image

If you check this box, the shop user can view a detailed image of a given product. Make sure to enter a corresponding image.

è Lock product

Furthermore, you have the possibility of locking a product. This can be helpful when you need to quickly take a product out of your assortment. The product will not be displayed until the box is un-checked.

è Minimum order amount

Here you enter the minimum amount of a given product that must be ordered. The default value is “1”. When the value 10 is entered, a user must minimally order 10 units of a product.

è Maximum order amount

If you enter a value larger than 0 here, the user can only order that many units of a product.

When exceeding the maximum order amount, respectively falling short of the minimum order amount, the user will be informed of it.

è Special-offer products

This is where you determine whether or not to display a product as a special-offer product. Furthermore, this is where you choose the picture that is shown when viewing the product as a special-offer or a product suggestion. Special-offer products are displayed on the “Welcome” page.

Recommended image sizes

è Image (as shown on the product page)
Width: 250 pixels
Height: 250 pixels

è Image large (shown large by clicking on image)
Width: maximally 600 pixels
Height: maximally 480 pixels

è Image preview (in view tables)
Width: 70 pixels
Height: 70 pixels

The images should be of the following types: GIF, JPG or PNG. This way it is sure that they can be displayed in every browser.

Additional properties

As already described in “Shop Settings”, you can assign individual additions that you created in the settings to a certain product here. These additions are saved with the ordering of the product.

Creating product groups

The product groups are entered in a sequence and with a name of your choice.

Instead of product groups you can also use various categories, for instance: age groups, sports etc. In this case, go to Application Designer and change the title in Product Administration from “Product Group” to whatever suits your needs.

Orders

To Order

Here you determine which information a customer has to enter when placing an order. All fields marked with a star (*) must be filled in by the customer and cannot be deleted in Application Designer. In Application Designer’s “Orders”, additional fields can be added.

Your order

This is the customer’s confirmation page. All product and customer information is shown once more. After the page is confirmed, the order is processed and the cart emptied. The application is configured in a way that an eMail containing the customer information and cart contents is automatically sent to the user. These eMails contain the cart’s entire contents including calculated prices. Of course you can add additional recipients at this place, e.g. your company’s Customer Service department.

You can view the printing format via a text link on this page. The printing format contains no buttons and hence allows a suitable print of the order for the customer’s records.

Thank you

This page appears after the ordering process. In Application Designer you can compose your own text for thanking the customer for his/her purchase.

A personal note

This sample’s pages contain very many “HTML Text” elements. Please do not change these elements by any means. The shop’s functionality would be restricted dramatically. Please understand that we cannot support changes at this point. Should you desire adjusting the shop to some very special specification that is not covered by Intrapact’ “normal” functionality, feel free to contact our “Application Design” department.


Project Management

General

The Project Management template in Intrapact enables you to coordinate and analyze projects and tasks within the company and hence to organize them more efficiently. You can retrieve the evaluations of the projects directly in the browser.

Create a new application in Intrapact based on the project management template. Select the menu and the grouping (if applicable) in which the new application is to be published within your information office and save it. In general, no changes need to be made in Application Designer. The template is set up in a way that you can adjust everything directly in the browser. For this reason the following will concentrate on the view of the browser and not on Application Designer. Of course you do have the possibility to make specific changes or additions according to your own desire inside your Project Management in Application Designer.

Just like in all other Intrapact applications, you can give out access rights to individual pages in Application Designer. That means that you yourself can choose which user group, user position or user has rights to certain pages of the application. That way you can, e.g. coordinate who is allowed to change master data.

Basics

In Project Management, sensible task packages are given to various employees and administrated. The goal is to fulfill the tasks in a financially and timely optimal fashion.

First, master data and settings are defined for the project. The category includes information on the employee’s hours, the way the project is evaluated, the currency, the name and description of the project, the project head and the project’s start or finish. Then the project is endowed with resources in form of people, machines etc. The project is structured by creating groupings. This data collects processes for the project. The tasks are generally defined by grouping, priority and starting date. Resources, progress and necessary preceding processes are assigned to the process. Documents can be administrated regarding each project. The report-possibilities simplify cooperation inside a project with help of various overviews. With help of the reports you can choose to monitor either the current status concerning costs and duration, or used recourse capacity of a given project task. The graphic also offers an optical illustration of the project task.

The individual steps in creating and editing the Project Management are described in the following.

Administration

Die preparatory work for a project begins in the application menu item Administration. Next, the procedure will be explained chronologically as will be the various functions.

Project settings

Projects’ master data

In the first step the project data is defined. Name your project and enter a description. The project head and his/her substitute are entered with their eMail addresses. Furthermore, a cost center can be specified.

The fields “Start Target” and “End Target” as well as “Start Actual” and “End Actual” serve to emphasize target/actual comparisons. If the project is calculated from the starting date, define the targeted project-start in the “Project Start” field, the “Project Finish” field will automatically be calculated. If the project is calculated from the ending date, define the targeted project-end in the “Project Finish” field, the “Project Start” field will automatically be calculated.

Project Settings

Here you define project properties, e.g. standard working hours, begin of calculation, base units etc.

In the second step properties, e.g. standard working hours, begin of calculation, base units etc. are defined and entered for the project.

You can choose whether to calculate the project from its start or ending date. The units in which the targeted duration and workload time values are shown can be in hours, days, weeks. Then a standard procedure is defined. Here you have the choice of fixed workload, fixed duration or fixed unit.

è Fixed work

The worker’s capacity is calculated in ratio to the process duration (duration = workload X unit). Choose this setting if the workload is not to be dependant on changes in duration or in resource units. When something is changed, new values will be calculated. Here an overview:

Change Calculation
Units Duration
Duration Units
Workload Duration

è Fixed duration

The worker’s capacity is calculated in ratio to the process’ workload (workload = duration X unit). Choose this setting if the duration is not to be dependant on changes in resource units or workload. When something is changed, new values will be calculated. Here an overview:

Change Calculation
Units Work
Duration Work
Workload Units

è Fixed unit

A task’s work is calculated in ratio to the process’ resource unit (work = duration X unit). Choose this setting if the amount of assigning units is not to be dependant on changes in duration or work. This is the default setting of a project.

Change Calculation
Units Duration
Duration Work
Workload Duration

Tip: These standard settings can be changed individually for various tasks!

After these entries the project’s start is prepared.

Edit Project Distributor

Use the Project Distributor to determine which user groups, user positions and/or users are regularly informed on the project’s progress.

Allocating resources

Here you determine a project’s resources. These can be required employees needed for the project, but also rooms, machines etc.

Every resource automatically receives a successive ID that cannot be changed. For that purpose you must enter the costs per hour, name and -where applicable- an eMail address. All resources assigned to a project are listed in a view table via the entry fields. Changes of existing resources are possible if you – as is standard with Intrapact – click on the magnifying glass at the beginning of a data set’s table row. Of course this presupposes your having the rights to do so.

Creating groupings

Tasks can be summarized to groups. Groups that can be assigned to a task are created here. With help of the grouping you can perform evaluations (see Reports) or determine a group’s costs.

Adding tasks

This button is for creating a new process. It contains the same functionality as the Process Target link in the application menu. Also read the corresponding paragraph on Adding tasks in the manual.

Tasks

All tasks are edited and organized under this menu item. In Task Plan you can go into individual areas for adding tasks, adding resources, defining predecessors and editing the logbook.

Task plan

This menu item enables you to add a new task to a project. Each task is automatically assigned to a grouping. Intrapact automatically gives a task ID. Give the task a fitting name. You can also define the task as a milestone. You can give it a priority level from 1 to 10, too.

Choose a limitation from the list. This way you can set the way the starting date is treated. You have the choice of:

è As soon as possible

è Start no earlier than

è Start no later than

è End no earlier than

è End no later than

è Must begin on

è Must end on

è As late as possible

The type of task will be given as defined in the settings, but can be changed individually for every task.

Next you define the planning phase. First you announce the time frame in which the task is to be worked on. Work and costs are to be given in the predefined units. The planned costs are calculated by the system.

Predecessors

You can assign several predecessors to a task. That means that the current task cannot begin if the preceding task is not yet completed. Use the selection list to get back to the existing tasks.

Resources

This menu item enables you to assign resources to a task. They are selected from the list of project-defined resources. An ID is automatically given. In case of a deposited eMail address, it will be automatically shown. In addition, one must enter how many percent of the resource are planned into the task.

Logbook

Remarks concerning the task are written into the logbook. The status helps you show the task’s history. You have the choice between: problem, risk, not begun, in process, finished, waiting for someone else, deferred. The logbook does not influence the calculations.

Process actual

Here you can state how many percent of the current process are already finished. This information is vital to the display of task progress. 100% counts as finished.

Furthermore, you are shown information on the actual situation. Among which is:

è Duration Actual

è Work Actual

è From Actual

è Until Actual

Documents

Here you can administrate documents concerning the project. Besides for the information on who created the document when and with which title, you can also choose which grouping to allocate it to. This way a grouping’s information can be acquired faster at a later point in time.

Reports

Reports offer the possibility of maintaining an overview and control over your project regarding project data, tasks, costs and resources.

Overviews

è Planing

Offers a complete overview of all key planing data

è Actual status

Offers a complete overview of all key project data.

è Base – Actual comparison

Offers a comparison view of all project data with discrepancies.

è Groupings

Offers an overview of all groupings containing information on sums.

è Milestones

Offers an overview of all milestones

Tasks

è Not started tasks

All tasks marked “0% completed”.

è Soon starting tasks

All tasks that start inside the appointed period.

è Current tasks

All tasks that are currently being worked on.

è Finished tasks

All tasks marked “100% completed”.

è Belated processes

All tasks whose current starting date varies from the planned date.

Costs

è Task costs

All tasks with their planned and actual costs.

è Cost frames

Complete costs, planned costs, variation

è Exceeded costs

Compares planned and actual costs.

è Resource costs

Costs, target, variation, actual, rest

Resources

è Who - is doing - what

Listing of all workers and their assigned tasks

è Project assignments

Listing of all tasks with their assigned resources

è Overloaded resources

Listing of all resources that have too much work or assigned units

Graphic

Every project is displayed graphically with its duration, hence beginning and end. The size of the beam informs you on a process’ duration, not the amount of working days.

The individual processes in the defined time frame are listed under each other. The different colors inside a process symbolize the current status. You can enlarge or lessen the scale’s intervals with a button.

image

You are given the possibility of editing a process directly, adding resources, as well as editing progress.

An Overview of the graphic’s properties:

è Reference to the current task

è Reference to resources and progress

è Display of current status, in percent completed

è Display of current status, in color code: green, yellow, red

Communication

Using the menu item Communication you can inform the predefined distribution group on the project’s progression. The information will be shown to the recipients on Intrapact’ portal page.

Project

The project along with all of its processes is displayed to you in the Project menu item. The most important main data is shown to you, followed by a list of the individual processes. These can immediately be edited by clicking on the magnifying glass. The view also serves for printing out the project. There is a file export button for exporting the process data.

You can move between two views by using the (minus symbol) button next to “Creating a new catalog”: the first view only shows you the task’s data, by clicking on the same button again (this time a plus symbol) you return to the preceding overview.


Customer Relationship Management

General

The “Customer Relationship Management” template enables you to enter, administrate and evaluate customer data and systematically conduct searches for specific information. You can relate this customer data to: product orders, planned revenue and sales activities. Employees are integrated into the shaping of the customer overview by entering new contacts or duties and thus create a customer history.

Create a new application in Intrapact based on the template “CRM” in Application Designer. Select the menu, and where applicable the grouping in which you desire to publish the new application in your Information Office, and then save it. The template is constructed in a way that you can make further settings in the browser. Thus in the following the concentration will be on the browser view and not on Application Designer. Of course you still have the possibility of conducting adjustments to your Customer Management according to your specific requirements in Application Designer.

Like in all other Intrapact applications you can distribute rights to individual pages in Application Designer. That means that you can determine which user group, user position or individual user has rights to specific pages of the application. This way you can coordinate who is allowed to change Advertising Planner’s master data.

Basics

Inside Customer Management the customer is in the center of entrepreneurial regard. Thus customer relations are actively organized. That means that various workers must make numerous decisions concerning: supplies, prices, products, contracts etc. These decisions are based on information that must be up-to-date, concise and above all quickly accessible. In this respect, information e.g. concerning price changes is just as important as concerning corporate goals. The conversation partner on the company side must have all of this knowledge in order to make binding declarations or offers to the customer. This counts for first contacts as well the consequential follow ups.

The “Customer Management” template offers lucidity and speed. Up-to-dateness is developed by consistent employee entries and these are secured by the simple handling of the program. Entry and view pages offer concise masks for various information concerning customers.

First the master data and the basic settings are defined for customer administration. Here you can either enter data on employees, customers, and resource planning or import data from already existing databases with help of BizWalker. On this basis you can then create customer profiles including finance, sales and item references. Over various filter settings you will also receive reports and statistics on revenue, customer behavior and employee activity.

In the following, the single steps in creating and editing your “Customer Management” are described.

Administration

Your work with “Customer Relationship Management” should begin with the menu item Settings. Here you make all basic settings for later entry and view pages as well as for overview, search and evaluation functions. Here you give your Customer Management individuality and fit it to your sector or specific needs.

Settings

Here you make all general basic settings concerning your customer administration, e.g. in which currency prices and revenue are to be displayed, which priorities you wish to emphasize when viewing customer information etc.

General

  • Currency: You set your desired currency with this selection list.
  • Automatic eMail:With this checkbox you determine whether the responsible party receives an eMail when an unfinished task is added belatedly.

Double Entries

If often occurs that inside customer administration customer master data is entered multiply. With double entries synchronization doubles can be found and corrected.

Synchronize Double Entries

You can start the search for doubles with the index card SYNCHRONIZE Double Entries.

Double Entries search box

Over the index card DOUBLET SEARCH BOXES you enter necessary specifications, resp. restrictions to certain boxes for the doublet synchronization, e.g. customer number, sector or sales partner.

Double Entries help

The index card Double Entries offers you a legend explaining the colors in the search results. Distinguished are:

  • Double Entries search boxes
  • Same Double Entries data boxes
  • Similar Double Entries data boxes
  • Unequal Double Entries data boxes
  • Master data set
  • Double Entries data set
  • Master data set to the doublets

Export Data

Here the boxes for later data exports can be specified.

Setting for file export

Select a data group from the selection list “Data packages”. From its data boxes you then select the ones for later file exports with help of the arrow buttons. You can adjust the boxes’ sequence with the arrows as well.

Tabs

Index cards appear during the later view of the customer information. Here you can determine their amount, contents and sequence. You can enter this definition for various data groups, hence for various levels.

Tabs Administration

Over the first selection list you determine which data group the tabs are to be configured for, over the second selection list which pages the tabs are to be configured for. Selected pages are chosen from the existing ones with the arrows.

The defaults that we made for you are the following: data group “Main page”, page “Customers” and selected pages “Customers” , “Search for customers”, “Search for distributor list”, “Search for contact”, and “Search”. That is the view that you get when you click on the menu item Search for customer. There you will find the named index cards. A further default is: Data group “Customers”, page “Portal” and selected pages: “Portal”, “Master data”, “Contact”, “Profile”, “Distributor list”, “Sales”, “Finances”, “Tasks”, “Logbook”, “Product reference”. These index cards can be found on the menu item Customer Search’s second level, namely on having clicked on an individual customer data set. You can change the given sequence according to your own preference.

Options

The “Selection boxes” list offers you numerous setting possibilities. Here you make the general settings for all later appearing selection lists on entry pages. The entries that you make here will appear on the same entry page in form of a table and will taken over to the corresponding selection lists automatically with help of the data-picker. This way you do not have to repeat entries when entering customer data or employee activities. Hence you determine certain categories and selection possibilities for the user. An example is the administration of employee departments that appears again later on the entry page “Administrate employees”, further down in Administration.

With these settings the later reports can be produced, e.g. the search for customers from a specific sector or who produce the highest revenue.

Here you find examples for the administration of your selection boxes:

  • Departments: Each employee can be assigned to a department over the “Employee administration”, e.g. management, marketing, sales etc.
  • Items: Here you enter products, product numbers and prices or import data from your resource planning.

  • Salutation: Here you decide between Mr. and Ms. for the index card “Contact”. <
  • No. of Employees: Here you can enter various grades of employee numbers. The entries later appear in a selection list of the “Profile” index card.
  • Activities: The various categories of tasks serve to specify an employee activity, e.g. call back, send information etc.

  • Kind of Receipt: The voucher types are assigned to the index card “Product reference” and can include values like receipt, delivery note etc.
  • Industries: Each Customer can be assigned to a sector with help of the “Profile” index card. Here you determine the possibilities for later selection, e.g. administration, media, energy etc.

  • States: Here you set up the later selection list for the “Master data” index card.
  • Functions: In the index card “Contact” each person can be assigned to a function, e.g. manager, marketing director, sales director etc.
  • Campaigns: This setting possibility serves to specify a company’s origin which can be entered in the “Profile” index card, e.g. for mailings or a trade fair event. Abbreviations and code numbers can be entered here as well.
  • Countries: Inside the index card “Master data” you can assign a customer to the corresponding country.
  • Keyword list: Keywords can be given to customers in the index card “Profile”, e.g. reference customer, partner candidate etc.

  • Status: The type of customer can be determined as well, e.g. wholesaler, retailer etc.
  • Revenue Volumes: Here the selection list of choices that state the customer’s approximate revenue volume can be established.
  • Mailing lists: Here you establish the selection list for the distributor groups. Customers can belong to any amount of distributor lists. Possibilities could for example be: trade fair invitations, press newsletters etc.
  • Sales Stages: The current status of a project inside the data group “Sales” is determined here, e.g. test phase, decision finding etc.
  • Payment Methods: The selection list “Method of payment” is to be found in the index card “Finances”. Options can be: cash, billing, direct debit etc.
  • Payment Behaviour: Payment warnings are also part of Customer Administration. For this purpose you can create a selection list “Payment moral” for the index card “Finances” at this point.

Employees

Administrate employees

Here you can administrate all employees’ data who work with this application. They appear in the selection lists of entry pages as soon as employee activities or to-do’s occur. You can choose whether to enter them newly or import them from Intrapact. The first selection list automatically takes over all users from CompanyManager.

Search for Account

If the menu item SEttings was not available to all employees but merely to those who can enter master data, you can get all employees to the customer data over Search for Account. In our exemplified default settings the first level consists of a search page with the index cards “Accounts”, “Search for Accounts”, “Search for Mailing Lists”, “Search for contacts”, “Advanced Search”. Here you can search for customers by various criteria and even add additional filters. Besides, you can have a whole list of all customers by displayed over the index card “Accounts”.

Box settings

Over the list “Box settings” you can individualize the customer search. You can take over your favorites from the entire list. Your selection of the available boxes to the view boxes is made with help of the arrow buttons. Don’t forget so save the settings. These setting possibilities are also available for other index cards that deal with customer searches.

Contact filter

Over the checkbox “Contact filter” you can set further restrictions for your search. You have the choice of: “Filter main contact”, “Filter mailing block” and “Only company data”.

Successful search

When you have made a table out of the search, a customer list will appear with additional icons for certain additional functions. By clicking on the magnifying-glass in front of a data set you receive a detailed view of it. Besides for that, you also have the possibility of exporting selected data, defining tasks for the search or sending a series-mail to the sought recipients.

Export selected data

By clicking on the “Export selected data” icon a further window will open in which you must specify the process.

Task for search

You can send tasks to the sought companies with the “Task for search” icon, e.g. to your partner or service provider.

Series-mail to search

With help of the “Series-mail to search” icon you have the possibility of creating a series-mail over a further entry mask. Here you must specify the eMail format, Mr./Ms., the subject, the text, and where needed, the attachments. You can test this sending with the little icon on the bottom edge before really sending it out.

New customer button

From the index card “Customer search” you can also add a new data set with the <New Customer> button. Alternatively it is also possible over the index card “Customers”, which is explained in the following. On the entry pages you will find the selection lists for a new customer or contact that were previously created in administration, e.g. “country” or responsible “sponsor” etc.

Accounts

“Accounts” is a further central index card under the menu item Search . Here a table with all customer data will appear in the first level. On clicking a data set over the magnifying-glass icon, a so-called portal view of the data set will appear on the second level and furthermore the following default index cards: “Portal”, “Account”, “Contacts”, “Profile”, “Mailing List”, “Sales”, “Finance”, “Activities”, “History" and “Transactions”. But as already mentioned, you can change the selection of index cards and their sequence under administration – index cards, and thus must not stick to our recommendation.

Portal

The portal page gives an outline of all tasks concerning one customer. Individual portlets transfer the necessary information. The view is very concise. Of course you still have the additional functions and icons for detailed views or a larger breadth of information.

The link “Change portal settings” lets you rearrange the portal. Each user can do this individually for his or her workplace. The icon “Adjust portlet” on each portlet’s top right allows you to modify single portlets. Further icons are: “Display fewer data sets”, “Display more data sets”, “Add new data set” and “Go to index card”.

Account

Over the index card “Account” you can view a customer’s master data and authorized users can edit and delete it, too. Data here is e.g. name, address, contact, responsible sponsor, internal resp. external. Further index cards in addition to this master data and employee entries allow a customer history, smart profile, financial data and employee activities to develop.

Contacts

Over the “Contacts” index card you enter your contact at the customer company. Next to name, contact, eMail information and contact qualification (decision maker, main contact etc.) you can also make additional remarks.

Profile

The index card “Profile” can qualify the customer as a whole. You have the selection lists: revenue class, amount employees, sector, origin and type. These selection lists were previously created under the menu item Settings. Furthermore there are the checkboxes “Reference customer”, “Mailing block”, “Rival applicant”, “Sales partner” and the possibility to add keywords to the profile.

Mailing Lists

The following index card “Mailing Lists” displays the distributors in which the customer is recorded and which contacts have taken place. The <New distributor> button adds the customer to another distributor. The correlating entry page can be selected over a selection list and a small calendar icon helps you with the dating.

Sales

The “Sales” index card is for entering customers’ sales data. This happens in tabular form. The link “Blend in offers” lets you see past offers right on the first view page. For the responsible employee there are selection lists for planned revenue, planned end date, current sales phase etc. on the entry page. On finishing the customer contact,you can “Close File”.

Finance

The “Finance” index card regards the customer from a financial point of view. The entries you make here are displayed in tables. There are possibilities for entries on: type of payment, payment moral, credit, current revenue, last year’s revenue etc.

Activities

The “Activities” index card lets you generate to-do’s for other employees. If you e.g. have a customer inquiry by phone and wish to give it to a colleague or to put it on “follow up”, you do so on these pages. The colleague can also receive an automatic eMail that makes him/her aware of the new to-do. You can also look at the menu item All Tasks where all tasks are recorded. As soon as a task is finished and the corresponding box is checked, it goes to the logbook. This way a customer history is formed.

History

The “History” index card holds all finished tasks that are at this point collected to a customer history. Additionally you can enter notes or even documents on the individual completed tasks.

Transactions

The “Transactions” index card is for all entries that refer to corresponding products. This includes product, product amount, product numbers, prices and rebates. Here you also have the index cards “Sales” and “Finance” available.

Search for Mailing Lists

Back on the first level of the menu item Search there are other index cards next to the tabs “Accounts” and “Search for Accounts”. With these search functions you search for customers depending on specific mailing lists. Here you also have the links “Box settings” and “Contact boxes” available, so you can specify the search.

Search for Contacts

The index card “Search for Contacts” supports your search. Here you also have the links “Box settings” and “Contact filter” available, though this time only with “Filter main contact” and “Filter mailing block”.

Advanced Search

The “Advanced Search” index card offers you complex search possibilities over various data groups that you can combine and whose mode can be individually adjusted. For this purpose you have the links “Load search”, “Box settings” and “Data group settings” available. Various boxes can be combined with AND or OR.

Searches can be saved and reloaded at a later point. The amount of hits can also be optimized over selections and by adding further criterions.

All Activities

The menu item All Activitieslists all activities that were produced with customer data. With the index cards “Task overview” and “Employee tasks” you have a complete view of all tasks and to-do’s that need to be carried out by employees.

Task overview

The index card “Task overview” displays the tasks in a table. With help of a selection list the individual entries can be made visible sorted by departments. The link “Box settings” even lets you specify information.

Employee tasks

On a further index card “Employee tasks” all individual tasks and to-do’s are sorted by individual employees. You make the selection over the selection list. Here too, there is the link “Box settings”. All tasks that are completed then go to the logbooks.

Calendar

The menu item Calendar is to be regarded together with the tasks. Here all tasks, to-do’s, appointments, follow ups and activities are displayed in a calendar format. Known from the usual Intrapact calendars are the views for the individual day, week, and whole month. In addition you can restrict the calendar view over four different selection lists. This selection is possible over employees, departments, status (completed, not completed...) and the so-called type (follow up, activity, calendar entry etc.). From an individual activity you get to its entry page with the little icon on top of the entry.

Reports

The menu item Reports gives you the “reward” for regular entries in this application, resp. for updating your customer data regularly. Here you can have statistics and overviews displayed over numerous report functions. Be it “Sales and finances”, “Profiles” or “Customers”. These pages show you your “overall performance”. You can e.g. view revenue lists or sort your customers by sector, origin and type.

Sales and Finance

Under “Sales and Finance” you find the following reports:

  • Employees: Lists customers sorted by responsible employee.
  • Revenue Plan: Lists customers sorted by planned revenue.
  • Item: Lists customers sorted by planned product sales.
  • Close Date: Lists customers sorted by planned end date.
  • Probability: Lists customers sorted by ending probability.
  • Sales Stage: Lists customers sorted by corresponding sales phase.
  • Revenue List: Lists customers sorted by current revenue.
  • Invoice by Employee: Lists customers with paid bills – sorted by employee.
  • Bill of Delivery by Employee: Lists customers with received delivery notes - sorted by employee.
  • Offers by Employee: Lists customers with received offers - sorted by employee.

Profiles

Under „Profile“ you find the following reports:

  • Customers by Revenue: Lists customers sorted by revenue class.
  • Customers by Number of Employees: Lists customers sorted by amount of employees.
  • Customers by Industry: Lists customers sorted by sector.
  • Customers by Acquisition: Lists customers sorted by way of winning.
  • Customers by Status: Lists customers sorted by defined type.
  • Mailing Lists: Lists customers sorted by assigned distributor lists.

Customers

Under “Customers” you find the following profiles:

  • Customers by Account Manager: Lists customers sorted by assigned internal responsible sponsor.
  • Customers by Sales Agent: Lists customers sorted by assigned external responsible sponsor.
  • Sales Agents: Lists customers sorted by sales partner.


About this program

Campaign Manager

General

The template “Campaign Manager” allows you to plan, conduct and analyze advertising campaigns and illustrate their processes transparently.

Create a new application in Intrapact based on the template “Campaign Manager” in Application Designer. Select the menu and where applicable the grouping in which you desire to publish the new application in your Information Office and then save it. The template is constructed in a way that you can make further settings in the browser. Thus in the following the concentration will be on the browser view and not on Application Designer. Of course you still have the possibility of conducting adjustments to your Campaign Manager according to your specific requirements in Application Designer.

Like in all other Intrapact applications you can distribute rights to individual pages in Application Designer. That means that you can determine which user group, user position or individual user has rights to specific pages of the application. This way you can coordinate who is allowed to change Campaign Manager’s master data.

Basics

Advertising campaigns are generally conducted in teams of several people, departments, service providers etc. This poses a special challenge to communication and organization inside the advertising planning. Until now the right tools were missing. Intrapact offers all technological advantages to display such complex relations. That is what the template “Campaign Manager” was designed for. Intrapact’ Campaign Manager not only allows you to plan and organize Advertising Campaigns but also makes it possible to work more effectively and efficiently as a team.

First the master data and basic settings are defined for the advertising plan. To these also belong: information on the company’s responsible parties, the content of the goal, external service providers, and also on the planned budget and revenue. The template is constructed very practically having a tied-in target group, sector and media administration. Graphics and reports as well as overviews of individual projects or whole scenarios enable an entire overview for both content and finances. These evaluations of advertising projects can be directly retrieved from the browser. The employee coordination is supported by an integrated newsletter function and a central file and document administration.

In the following the single steps of setting up and editing “Campaign Manager” are described.

Administration

The most important entry pages are in Administration in order to be able to plan quickly and optimally at a later point. Here you create a new campaign. You can also administer information that you generally need for every campaign. You should enter it here. This way you can access it for every new campaign and use it for planning. If needed, you can update data, e.g. when prices or numbers have changed.

New Campaign

Here the key data for a new campaign is entered.

  • Campaign Name: You should give each campaign a name, e.g. <New Product Introduction> or <Autumn Offensive Product Group A>.
  • Campaign Number: This is not an entry field. The campaign number is automatically given and is successive.
  • Status: You should always maintain the status so you and you other coworkers know which phase the campaign is in.
  • Goals: A marketing campaign always has qualitative and quantitative goals. Here you should enter the qualitative ones. Qualitative goals could for example be <Enhancing the brand’s popularity> or <The introductory campaign should generate interest in order to later create customers>.
  • Campaign Manager: Here you enter the main responsible party for the campaign.
  • Cost Center: The assigned cost center for the campaign manager. <
  • Substitute/Substitute eMail: Here you enter the campaign manager’s substitute.
  • Lead agency: Please first enter all agencies and service providers that you employ in the agency and service provider administration. When you have done this, you can use the selection box to select the campaign’s lead agency. The lead agency is who is responsible for the campaign’s base concept. This means that you can also have an agency for Online Marketing but that it must follow the lead agency’s concept/ story and try to realize it online.
  • Contact/ Contact eMail: These fields are filled in automatically as soon as a lead agency has been selected. (Providing you filled in the corresponding fields during entry in agency and service provider administration.)

By clicking on the <Next> button, you are lead to the following entry page <New Campaign>. Your previous entries will automatically be saved.

  • Start Campaign: Please enter the campaign’s starting date, i.e. when the first activities will hit the market. <
  • Currency symbol: Please enter the currency abbreviation you wish to use (e.g. Switzerland CH). EURO will be set by default. All statements like costs, turnover etc. will automatically be displayed in the corresponding currency. Of course the reports will also be in the same currency.
  • Planned Budget: Enter your campaign’s budget. This includes campaign expenses. Later when the campaign is being planned the budget is allocated to the individual activities.
  • Budget Actual: No entry is needed here. The field will automatically be calculated for you.
  • Turnover Planned: Enter the turnover you plan to achieve with the campaign.
  • Turnover Actual: No entry is needed here. The field will automatically be calculated for you.
  • Sales Amount Planned: Enter the sales amount you plan to achieve with the campaign.
  • Sales Amount Actual: No entry is needed here. The field will automatically be calculated for you.

By clicking on the <Next> button, you are lead to the following entry page <New Campaign>. Your previous entries will automatically be saved.

Here you create the campaign distributor, i.e. all persons who are to receive campaign information. Campaign information that you distribute will then be displayed on each selected coworker’s Intrapact Homepage.

Marketing / Media Administration

Here you enter all marketing media you usually employ in your organization or for a special campaign. The most important media are already set by default. Please enter the particular marketing medium and click on <Save>. If you wish to add another marketing medium, please click on <Save New>.

Target Group Administration

Here you are first given on overview of all target groups that you apply. You should enter all target groups that you administer with your campaigns. Generally the overview contains a weighting for primary and secondary target groups. The corresponding group’s potential and the market share your organization controls in it will be displayed. The free potential will be automatically calculated that is available to the campaign. When planning later you can easily select a target group from a selection box. Target group administration makes it easy to keep an eye on available potential and to be moving in the right markets.

  • <New Entry> Button: Here you add a new target group.
  • Target group: Enter the target group’s name.
  • Type: Please decide whether the target group is primary or secondary.
  • Total potential: Please enter your target group’s size.
  • Market share in %: Please enter your estimated market share.
  • Available Potential: No entry is needed here. The field will automatically be calculated for you.

Sector Administration

Please enter all sectors you apply. Enter the particular sector and click on <Save>. If you wish to add another sector, please click on <Save New>.

Media Administration

The media administration first gives you an overview of all entered media. By clicking on the magnifying glass, you can go directly to the given medium and perform changes. Here you enter each medium you wish to plan. What is entered here is always available independent of the campaign. Hence it is advisable to enter all media that will be utilized. These can be trade fairs, events, direct mailings or magazines.

You can add a new medium by clicking the <New Entry> button. You can return to the administration by clicking the <Administration> button. By clicking <New Entry> you are directly taken to the sub-menu item <Edit Media>. Here you add new media or edit existing ones.

  • Media: Enter the medium’s name, e.g. <Time Magazine>, <The Economist> or <Invitation Mailing to Trade Fair>.
  • Publisher/Producer: Enter the publisher’s name with whom you can book an advertisement or the producer of a mailing. For a trade fair it would be the trade fair organizer.
  • Sector: Please select the sector the medium corresponds to.
  • Target Group: Please select the target group the medium corresponds to.
  • Circulation: Enter the medium’s circulation. For a trade fair this would be the amount of visitors.

  • Discount in %: Enter the discount you receive for advertisements from the publisher.
  • AC (Agency Commission) in %: Publishers offer agency commissions to media agencies who book with them. Some media agencies give a part of the commissions to their customers. Please enter the percentage of the commission which you receive from the media agency. This way your media costs are later calculated. First discounts are subtracted from the total, from which the AC is then calculated.

Contact

Here you can enter all contact data concerning the agency or the service provider. This way these contacts are accessible to all coworkers.

Formats

  • Format: Here you enter all formats with their corresponding prices. For example, The Economist offers whole-page, half-page and quarter-page advertisements that obviously all have different prices. Or trade fair booths have different prices depending on size and location. A direct-mail’s format can be DIN Long or C5 etc.
  • Price: Please enter the list price without discounts or AC. The discounts will be calculated automatically.
  • CPT (Costs per Thousands): No entry is necessary here. The field will be calculated for you.

MediaAdministration

The media administration shows you an overview of all entered advertising media. By clicking on the magnifying glass, you are directly taken to the particular advertising medium and can conduct edits. Here you enter all advertising media which you wish to plan.. What you enter here is always available, independent of the campaign. It is advisable to enter all advertising media that are used. These can be trade fair booths, various advertisements, flyers, mailings, giveaways etc.

You can add new advertising media by clicking on the <New Entry> button. To return to administration, click on <Administration>. By clicking on <New Entry>, you are taken to the entry page.

Edit Advertising Media

  • Name: Please enter the advertising medium’s name.
  • Marketing Medium: Select the Marketing-Medium that corresponds to the advertising medium.
  • Description: Enter all useful specifications. For example: double-creased flyer.

Then click on <Save>. If you wish to enter a further advertising medium, please click on <Save New>.

Agency/Service Provider Administration

The Agency/Service Provider Administration gives an overview of all agencies and service providers. By clicking on the magnifying glass, you are directly taken to a particular agency or service provider where you can conduct edits. Here you enter all agencies/service providers that you wish to employ. What is entered here will not be lost.

By clicking on the <New Entry> button, you are taken to the place to do just that. By clicking on <Administration>, you are taken back to Administration.

  • Agency/ Service Provider:Please enter the corresponding company’s name.
  • Contact: Name of the employee who is responsible for you.
  • Fees/ Hourly Rate: Please enter your agency’s hourly rate, if charges are made in this fashion.
    Please enter the contact data in the remaining fields.
  • Comments: Here you can e.g. enter a <Profile for Weaknesses and Strengths> or service spectrum specialties etc.

Current Campaigns

This view page contains an overview of all campaigns that are either in the planning phase or already underway but have not begun activities. This way you are given a fast overview and can swiftly navigate to a particular campaign with help of the magnifying glass.

The magnifying glass takes you directly to the campaign you wish to edit. The file card <Overview> gives you basic information and the campaign’s key data: budget, turnover, planned sales and amount of budget already planned. The values <Current> also contain current turnover and sales figures.

The table then shows you all activities that you currently have planned. You can use the magnifying glass to jump into various activities.

Procedure for planning a new campaign!

Begin your planning with the file card <Scenario>. Here you can start planning and enter all of your ideas, i.e. construct a planning scenario. Enter all activities you wish to carry out for the campaign, independent of its being booked, overstretching the budget, or coworkers beginning immediately and booking activities. The <Scenario> is a kind of creative playground that helps you plan campaigns. When you have all activities entered, you can begin the optimizing process. Advantages by using the scenario:

  • - Conducting the process of current planning. Activities from the scenario can be taken over to the current planning by mouse-click.
  • - Activities that you do not take over to the current planning stay in the <scenario>. If your planned costs turn out to have been too high, you can easily take other activities over that were thought to be too costly.
  • - You are now finished with the <Scenario>. Now you can use the file card <Evaluation> to quickly receive a report on the state of your budget. Activities with lower priority can be easily taken out of the current planning in the case that you overstreched the budget etc.
  • - If you enter turnover planned/ sales planned into the <scenario> you can also see whether you lie above or below the expected goals.

Scenario

  • ACN: ACN is an activity’s Advertising Code Number. This index helps you to quickly assign various activities. The ACN also helps to determine an activity’s success or failure. For example, the ACN should be printed on the Response Element of a Direct-Mail activity. For orders that are generated by your activity, the number can be entered, and hence your success measured. The ACN can be useful for book keeping’s cost determination. Intrapact campaign manager gives each activity a consecutive number in steps of 17.
  • Advertising Media: Select the desired advertising medium from your entries in advertising medium administration.
  • Booked: Check this box if the activity has already been booked or ordered. <
  • Scenario / Current: <Scenario> is set by default. Please switch to activities, if you have decided to do so.
  • Date of Appearance: Enter the date an add or a Direct Mail will appear, respectively take place.
  • Printing Documents Due By: Please enter the date by when the printing documents must have reached the publisher or printer in order to make the date of appearance.
  • Description: Enter general notes for you and your colleagues here that are important for the activity’s execution.
  • Responsible: Select the worker responsible for the activity.
  • Medium: This field will be filled out automatically when you have made all entries in the administration.
  • Media/ Target Group/ Sector/ Format: Please select.
  • Costs-Media: This field will be calculated automatically when you have made all entries in the administration.
  • Agency: Select the agency you wish to employ for the execution of the campaign.
  • Costs Agency: Please enter the agency’s costs for the corresponding activity that you have agreed to.
  • CPT / Circulation Planned: This field will be calculated automatically when you have made all entries in the administration.
  • Sales Planned / Turnover Planned: Please enter the sales/turnover you wish to achieve with the activity.
  • Recalculation: You should first fill out a recalculation when the activity has been carried out and you have all receipts.

Activity

If you use the <Scenario> for planning, you need not fill out anything else at this point, besides for the recalculation.

Recalculation

  • Additional costs: Please enter additional costs here. If you have fewer costs, then please change them in the file card <Activity>.
  • Turnover Current: Please enter your real current turnover.
  • Sales Current: Please enter your activity’s sales amount.
  • Circulation Current: Circulation of magazines and Direct-Mailings that you have followed can change drastically.
  • Comments: Here you can comment the current values.

Graphic

Under this rider all activities are depicted graphically. From here you can change directly to an activity or recalculation. The booked activities are green, not yet booked ones red. When a given activity is scheduled is marked gray in the calendar. The earth-color stands for the current week.

Reports

Here you find 17 different reports on your campaign. From activity, target group and turnover analyses to <Winner and Loser Lists> of your activities.

This way you can conduct complex reports quickly and easily that would otherwise take a lot of programming.

Logbook

You can place notes here, either private or publicly accessible.

Communication

Here you send important messages to the campaign distributor that you created in the administration. These will then appear on every coworker’s individual Intrapact homepage. This is an advantage to sending eMails. Messages are entered and archived here and can be viewed by each new coworker who you need for the campaign. If you would do this via eMail, the communication at every individual’s workplace would disappear.

Files and Documents

Enter all files and documents here that are of significance for executing the campaign. These can be Word files with briefings, sketches (PDF’s), product pictures, logos, banners etc. If you keep them here, each coworker can access them immediately.

Completed Campaigns

All complete campaigns are archived here. This view page contains an overview of all campaigns whose last activity is older than 14 days. This way you receive a fast overview and can navigate swiftly to a given campaign. Completed campaigns can be very useful for planning new ones. They give information on which activities were successful in the past and which were not.

Planning

This view page gives you an overview of all campaigns in the planning phase, i.e. of whose activities not all are yet booked or realized. From here you can navigate to the desired campaign that needs to be edited.


Data Safety

MSDE-Administration

  • Data Base Login
  • Change Login Password
  • Backup
  • Restore

Security


MSDE-Administration

If you use MSDE (Microsoft Data Engine) or SQL Server as the database server, you are provided with the “MSDE Administration” module when you install the server. This module supports you in data security and backups, as well as in changing the database password.


Data Base Login

The data base user name usually corresponds to the name of your Intrapact server. If you have not yet changed your login information, you can use the login "sa" without a password to log in.


Change Login Password

To change an existing login password, or to assign a password for a new database, select the “Change Login Password” option. Then select the desired database server. The name of the database server usually corresponds to the name of your Intrapact server. If you have not yet changed the login information, you can log on using “sa” and a blank password. Proceed by specifying your new password. After repeating the password, you can conclude the process of editing the password using the -APPLY- button.


Backup

To backup your data, select the "Backup" option and proceed by entering the backup information. In the "MSDE-safety" dialog box, you must select the database you want to backup and establish the directory for the backup file. In backup mode, you can choose between a full backup or an incremental backup. In incremental backups, only changes compared with the last backup file will be stored. If a backup file is already available in the directory with the same name, you will have the choice to overwrite the existing backup file, or to append the backup data to that file.


Restore

To restore data, select the “Restore” option. In the “Restore” dialog box, select the database you want to restore from the “Show database backups” list box. That will list all the backups of this database for you, and you can select the backup you desire by clicking it. Now, you have to choose the database, in which you would like to restore the data. If you enter a new name for the database here, you will have a new database with the restored data.

Note: A restored database does not ensure you with a system that can run if the NT server is defect. Backup all the data in your company directory from the installation directory of Intrapact additionally in the "Org" subdirectory.


Security

By its definite user authentification with login name and password, Intrapact offers a high degree of security. During the access to Intrapact, the user is identified by a “Cookie”, which is deleted after logging out or closing the browser. The Cookie is made of a 64-Bit encrypted random number and is created by a generator during the login process. All passwords are stored with 128-Bit encryption in the database and cannot even be reached by the administrator. Access to applications within the system can be restricted exactly to individual employees or to any specifically defined user group.

As Intrapact is based on Microsoft Internet Information Server, you can of course transfer all data in encrypted form. This process grants you even greater security.

Intrapact can also be configured to Windows NT security. That way, you invariably retain the security this modern network operating system offers you.

However, you should consider, that Intrapact cannot replace a Firewall. If necessary, you should consider consulting an expert.


Intrapact Tools

Intrapact Tools provide Intrapact Manager with one new menu item containing four additional modules which open your Intranet and Extranet to enable data exchange with other programs, anchor external Web-capable Sites and allow import and export of applications as well as configuration of eMails from Intrapact applications.

BizWalker

Every enterprise becoming involved with introducing or enhancing an existing Intranet or Extranet solution is invariably confronted with the problem of integrating existent data. This concerns one-time imports from other systems for future Intranet presentations as well as regular adjustments between your Intranet and other databases.

With -BizWalker- for Intrapact we provide you with the solution to this problem: this module slides smoothly into Intrapact Manager - Intrapact' administration center - and can subsequently be utilized in your business to import data into existing Intrapact applications, or export data from Intrapact applications to any destination systems for further processing. Setting up a connection between an Intrapact application and an external data source can be performed using a convenient Wizard. As external data you can use any ODBC and OLEDB data source.

IMEX-Applications

Using the IMEX-Applications module, you can export entire applications from Intrapact with or without data. Just as well, you can import all applications exported previously back into Intrapact. That enables you to utilize ready made applications originating from other users, companies or from other computers, and thus eliminating the trouble of creating your own applications. In addition, we steadily offer new applications for download on our Community-Server at www.Intrapact.com.

Link Integrator

Link Integrator enables you to display any Web-capable address in Intrapact. That can be individual HTML-pages, Internet-Sites or complete Web-applications (e.g. Shop-Systems).

EMAIL SERVICE

With the -eMail Service- tool you can add the function -Send eMail- to the button properties in Intrapact applications. The selection of specific buttons then not only triggers the saving, cancelling, changing or deleting of records or the jump to another application or web page, but in addition the independent sending of notification eMails. The recipients and contents are determined in ->Application Designer.

Here you configure Intrapact in a way that it can cooperate with your mail server and select the sender data as well as authentication and transmission options. This service supports all common types of mail servers.


IMEX Applications

General

Using the IMEX-Applications module, you can export entire applications from Intrapact with or without data. You can just as well import all the previously exported applications back to Intrapact. That enables you to utilize also ready-made applications originating from other users, and thus eliminating the trouble of creating your own applications. In addition, we continuously offer new applications to download on our Community-Server at www.Intrapact.com.

The Main IMEX-Application page

You can reach the IMEX-Applications module using the button in Intrapact Manager. Here you are supported by an easy-to-follow Wizard for importing and exporting applications.

After selecting IMEX-Applications you must determine on the main page, if you want to export or import applications.


IMEX - Exporting Applications

Having decided on exporting applications on the main page of IMEX-Wizard, you must proceed by selecting those applications that are to be exported.

On the “Export-Applications” page you can find a list of all the applications of the selected company that are made available for export.

Clicking the column titles (Application, Published, Template and Responsible) will sort all available applications ascending or descending according to the corresponding title.

Select the applications you want to export by checking their corresponding list boxes. You can export as many applications as you wish in one go.

You have the option of exporting applications with or without the application data.


IMEX - Selecting the Export File

After selecting those applications you want to export, you merely have to determine where you want to place the files.

Select an export path for the applications that are to be exported. Even if you have decided to export several applications at the same time, only one export file will be created. You can choose a custom name for the export file (e.g. Export.izd).

To protect you exported applications against unauthorized imports, you can assign a password to them. To facilitate the import of these applications at a later time, you can formulate descriptions for each one of the export files (e.g. contained applications, designed usage etc.).


IMEX - Export-/Import Job

The export job

After concluding all necessary specifications for a successful export of applications, you will see a list of the applications that are to be exported on the Job Box.

If you click the -Start- button, the export of the application you have selected will be carried out and the success of the export job will be displayed after the application name. You can conclude the export job by clicking the -Exit- button.

The import job

After concluding all necessary specifications for a successful import of applications, you will see a list of the applications that are to be imported on the Job Box.

If you click the -Start- button, the import of the application you have selected will be carried out and the success of the import job will be displayed after the application-name. You can conclude the import job by clicking the -Exit- button.


IMEX - Importing Applications

After deciding on importing applications on the main page of IMEX-Wizard, you must proceed by specifying the path where the applications you want to import are located.

If there is a description for the file, formulated when the application was being exported, it will be displayed right after you have selected the file.

If a password has been assigned to this application at the time of its export, you will not be able to proceed with importing the application, unless you enter the password first.

After selecting the import file, all the applications contained in the import file will be displayed for you, which will enable you to choose those applications you wish to import. All the applications selected here will be imported. Should any of the applications already contain application data, you have the option of importing the application data together with the application.

All imported applications are always stored initially under the menu item Test in Intrapact, and can be edited or allocated to the desired menu items in Application Designer.

If the existing company already has applications with the same name as the applications being imported, the imported applications are provided with extended labels in order to ensure clarity (e.g. Staff Opinion Survey and Staff Opinion Survey 1).


IMEX - Import and Export of Applications

You are located in the Assistant for the Import and Export of Applications.

First you must determine whether you wish to import or export applications.


IMEX - Import File

Select the to be imported file from a catalog of your choice. You can only select files that were previously produced by the IMEX-Application export.

In the case that a description of the file was left in the Application export, it will be shown in the description window directly upon its selection.


IMEX - Password

The applications you are trying to import are secured by a password.

In order to carry out a successful import you must enter the password here.


IMEX - The Import of Applications

You are located in the Assistant for the import of applications.

Here you can import any previously exported application with or without application data. At first all imported applications are allocated to the area -Test-.


IMEX - The Export of Applications

You are located in the Assistant for the export of applications.

Here you can export any application with or without application data. All exported applications are combined in one file and can be imported to any Intrapact system in any place.


Link Integrator

General

Using Link Integrator, you can display any valid URL in Intrapact. That can be individual HTML-pages, Internet Sites or complete Web-applications (e.g. Web Shops).


Link Integrator - Main Page

You can reach the -Link Integrator- module via the -Tools- button in Intrapact Manager. There, you are led by an easy-to-follow Wizard for creating links to other pages.

On the main page you can find all the existing external links with their names, publishing locations and the persons in charge of creating them.

To create a new link, click the -Add- button.

To change an existing link, select the application and click the -Edit- button.

If you want to delete an existing link, select the application and click the -Delete- button.


Link Integrator - General Settings

To generate an external link in Intrapact, you would need the link address and a name for this link.

In the “Link” text box, enter your desired link (e.g. http://www.Intrapact.com or the global address file:///Server/Folder/File.xls) and specify a name for it in the “Name” text box. This external application will be displayed in Intrapact with the name you have specified, and can be launched from there with one click.

In addition, you can integrate, via Link Integrator, any document from Excel, Word or PDF-files in Intrapact. But basically, the corresponding program (e.g. Word) must be already installed on each workstation.

The URL will be opened in a separate window if you activate the box -Open in new browser window-.


Link Integrator - Publishing

In the -Main Menu- list box, you can find a list of all the main menu items of Intrapact. There you can select the menu item, under which you would like to have your external application displayed in Intrapact.

In the -Grouping- list box, you can determine in which application group your application is to appear. If you select -No Grouping-, your application will be listed underneath the application groups independently as -Quick Link- and can be launched from there.

In addition to the existing default groups, you can create, edit or delete your own groups using the -Administration- button.


Link Integrator - Access Permissions

When a link to an external application has been generated, all the users will initially have access permissions for the application with the exception of the anonymous user. In Intrapact, every user has the anonymous user status as long as he has not logged in using his password.

If you activate the “Include Anonymous User” check box, every user will have access permissions for that application even without logging in.

Users or user groups that are to receive access permission to delete or edit external links must be listed as “Users with Administration Rights”.

In order to restrict the access permissions of certain users or user groups to an external link, deactivate the “Enable Access for all Users” check box, and assign those permissions in the dialog box “Users with Access Right”.

If you want to change access permissions, select the dialog box you want and click the -Edit- button. Doing that, you will proceed to the “User Rights for Object” dialog box, that will show you a list of all the users and user groups with access permissions, on the upper window pane, and in the lower pane it lists all the users and user groups without access permissions.

To facilitate users and user groups with access permissions to an external link, select the users and groups from the lower list (without access rights) and click the -Up- arrow key. The selected users or user groups will be transferred to the upper list (with access rights) and you can conclude the assignment of access permissions using the -OK- button.

To withdraw rights from users and user groups with access permissions for an external application, select the users and groups from the upper list (with access rights) and click the -Down- arrow key. The selected users or user groups will be transferred to the lower list (without access rights) and you can conclude the assignment of access permissions using the -OK- button.


General Info on the Link-Integrator

Link Integrator - General Info

Using Link Integrator, you can display any valid URL in Intrapact. That can be individual HTML-pages, Internet Sites or complete Web-applications (e.g. Web Shops).


BizWalker

General

With BizWalker you have a module at your disposal, that imports data into existing Intrapact applications, or exports data from existing applications to other destination systems for further processing. As a data source you can use any OLEDB- or ODBC-capable data source. Setting up the data source is supported by a convenient Wizard.

You can access the BizWalker module using the -Tools- button. This module only becomes active if it has already been installed and is released for your workstation.


BizWalker - Main Page

Using the BizWalker module, you can import data from external data sources into existing Intrapact applications or export data from existing applications to external data sources. For importing and exporting data, you can use all OLEDB and ODBC data sources. The corresponding ODBC operator must be installed on the Intrapact server for connections to ODBC databases.

Stored connections

In the dialog box “Stored Connections” you can find a list of all data connections. Select one of the stored connections and click the -Edit- button in order to change a connection's settings. If you select one of the stored connections and click the -Start- button, the export or import of that connection will be executed. If you select one of the connections and click the -Delete- button, the connection will be deleted. Using the -New Connection- button you can set up a new data import or export.

Active and completed Jobs

In the dialog box -Active and Completed Jobs- all data import or data export being executed at the moment or concluded already are listed with their names, date of completion and status. You can terminate an ongoing import or export using the -Exit- button. The -Reports- button provides you with a detailed listing of the selected import or export job. It can be of valuable help to you in case of a failed job. Every listed job in this box can be removed from the list using the -Delete- button.

With this setting you can choose to only have the last job displayed. This is especially sensible concerning hourly imports.


BizWalker - General Definitions of an external Connection

After deciding on a new connection on BizWalker's main page, the Connect-Wizard guides you to General Definitions, where you can determine if the data should be imported or exported. You can select a custom name for the connection. However, it must not be longer than 32 characters.

Note: You can only import data from other data sources to an Intrapact application with appropriate data fields.


BizWalker – Allocation of Fields with Higher Data packets

With the module for the import and export of data you can take into consideration that data fields can be dependent on a higher data group.

In order to make a connection to the dependence, the fields of the external data source must also be assigned to the fields of the higher data group. All of the higher data group's fields are listed in the left window. All external data fields are listed in the right window. To allocate data fieds, mark the corresponding field of the data group from Intrapact and the external data field and click the arrow pointing to the left. To lift an allocation, mark the corresponding data fields of the data group from Intrapact and the external data field and click the arrow pointing to the right.

Important!

On selecting the option "No Allocation to the Higher Fields" an existing higher data group will not be taken into account and it is possible that the data will not be able to be retrieved in Intrapact.


BizWalker - Selecting the Data Group

Here, you establish the application (Data Group) in Intrapact that is to be used for importing or exporting data.

All Intrapact applications are listed according to their basic type (Table, Forum, Calendar etc.). Highlight the desired application type that is going to be used for import or export within an application, and click the -Next- button.

Note: You can import data from other data sources only if an appropriate Intrapact application is available.


Connection to an external Data Source

Here you can select the database server or the type of data source for setting up an external data connection. In addition, you can select the appropriate database or the data source with the corresponding logins for the database you have selected.

Database server / source type

Here a selection list of all database servers found by BizWalker is displayed. In addition, you are provided with “OLEDB data source”, “ODBC data source” and the “XML-file” as source type.

Database/source

You can enter a certain database or data source in this text box, or using the -Search- button, you can determine alternate databases or sources. If you have selected OLEDB data source in the -Database-server/Source-type- list box, you can use the OLEDB Connect Wizard to create a new external data connection. Advanced users can also enter the corresponding OLEDB-Connect-String directly instead of using the OLEDB Connection Wizard.

OLEDB connection Wizard

When you select the OLEDB Connection Wizard, you will find all available formats of external data sources listed on the list box.

Select the appropriate data format and click the -Next- button.

Selecting the file

After selecting the format of the external data source, you must either select only the directory (e.g. with dBase, Lotus and Paradox) or the directory and the file name (e.g. Excel and HTML Import). To create the connection to the external data source, conclude the OLEDB Connection Wizard using the -Finish- button.

Note: All selected external data sources must be on the server or have a valid file path on the server.

Microsoft Exchange Connection

If you select Exchange as the external data format when creating the OLEDB connection, you must enter the mailbox, respectively the top-level folder. In the text box -folder-, you can enter a folder of your choice from those available in the mailbox and Toplevel-Directory.

You can optionally use the directories or the folder contents (e.g. Outgoing Mail, Designs or Tasks) as access destination.

If you intend to access different user profiles with the Exchange connection, you will have to enter the corresponding profile (username) with the password under “Login”.

Microsoft Jet Options

This menu item is active only when using Microsoft Access/Jet as database server.

Database login

When logging on to a database, you must enter the username and the database password.

Import source / export destination

For every external connection, you must determine the tables that you want to use as the import source or the export destination.


BizWalker - OLEDB connection Wizard

When you select the OLEDB Connection Wizard, you will find all available formats of external data sources listed on the list box.


BizWalker - OLEDB connection Wizard Selecting the File

After selecting the format of the external data source, you must either select only the directory (e.g. with dBase, Lotus and Paradox) or the directory and the file name (e.g. Excel and HTML Import). To create the connection to the external data source, conclude the OLEDB Connection Wizard using the -Finish- button.

Note: All selected external data sources must be on the server or have a valid file path on the server.


BizWalker - OLEDB connection Wizard Exchange

If you select Exchange as the external data format when creating the OLEDB connection, you must enter the mailbox, respectively the top-level folder. In the text box -folder-, you can enter a folder of your choice from those available in the mailbox and Toplevel-Directory.

You can optionally use the directories or the folder contents (e.g. Outgoing Mail, Designs or Tasks) as access destination.

If you intend to access different user profiles with the Exchange connection, you will have to enter the corresponding profile (username) with the password under "Login".


BizWalker - Import source / export destination

For every external connection, you must determine the tables that you want to use as the import source or the export destination.

Table/query

You can find a list of all database tables in this window. In order to create the external connection successfully, you must select the table that is to be used for the data import / export. You can extend the selection of the table by using an additional query.

SQL-query

Using several database tables as import source or export destination has to be defined by means of an SQL-query. To verify this query you can use the -Test- button.


BizWalker - Field Allocation

For every external data connection you must assign the corresponding external data fields to the Intrapact data fields.

On the left window, you can see a list of all available field names of the internal data groups. On the right window, there is a list of all external data fields. To assign data fields, select the corresponding data field of the Intrapact data group as well as the external data field, and click the -Left- arrow key. To cancel an allocation, select the corresponding data field of the Intrapact data group and click the -Right- arrow key.

If the internal data group has a superior data group, it will be displayed. To consider the dependences when importing and exporting data records, you must also assign the superior data records to the external data.

Export to XML-file

When exporting to an XML-file, you will see a list of all field names and field types. Select all data fields that you would like to use for the export to an XML-file by checking the corresponding boxes.


BizWalker - Transfer Options

You can determine the transmission mode of the external connection with the export or import options.

Replace existing data

All existing data in the table will be deleted. Only the data coming from this external connection will be in the export or import table.

Append all data

The imported or the exported data will simply be appended to the existing data table. There will not be a validation for duplicate entries.

Append new data

Using this option, you can specify that only new data records are selected for export or import. To make sure a record can be identified, you must check at least one data field (e.g. Customer Number) as unique identifier of the data record.

Update old data, append new data

With this function you can refresh already existing data and attach new simultaneously. When the function is activated, the entry box "Mark the primary key fields of the external database" appears.


BizWalker - Scheduling

You can schedule all export and import connections to be performed automatically at certain times. That gives you the possibility to have a connection repeated at regular intervals.

Manual Start

The import or export is always executed once the connection has been established. The names and settings of connections remain the same and can be performed manually as often as desired.

Hourly/once

The import or export is executed once in one day at a certain scheduled time (e.g. at 14:38) or several times at fixed hourly intervals (e.g. once every 2 hours). Should you schedule the connection to be performed several times in one day, in addition to the intervals schedule, you can set the time of the first performance (e.g. 06:00) and the time of the last one (e.g. 18:00).

Daily

When you select “Daily”, all options of the “Hourly/Once” setting are made available to you. In addition, you can choose at which daily intervals (e.g. every 3 days) the data import or export should be repeated.

Note: If you select “Daily”, you can only activate connections that are scheduled to be performed within one day. It is not possible to specify a start time that is later than the time of the last performance.

Weekly

When you select “Weekly”, all options of the “Hourly/Once” setting are made available to you. In addition, you can choose the weekly intervals (e.g. every 2 weeks) and also the weekdays (e.g. on Friday) of the data import or export. For the selection of weekdays, you are not constrained to only one day of the week, but can select several days (e.g. Monday and Thursday).

Monthly

When you select “Monthly”, all options of the “Hourly/Once” setting are made available to you. In addition, you can choose the monthly intervals (e.g. every 2 months) as well as the calendar day (e.g. on the 13th), or the weekday of a certain week (e.g. on the second Thursday).


BizWalker - Specifying Follow-up Jobs

With the "Follow-up Job" option, you can specify previously created import and export connections as follow-up jobs for a connection that has been completed. That way, you can connect a network of data imports and data exports with each another automatically (e.g. after importing the new Receivables, you can automatically import the Open Entries List and Customer Orders).

In the right list box, you find a list of all existing import and export connections. If you select one connection here and click the -Left- arrow key, this connection will be accepted as follow-up job. To remove follow-up jobs from the list, select the follow-up job and click the -Right- arrow key.


BizWalker - Finishing

You have now concluded all necessary specifications needed for creating a new export or import connection to an external database.

You can deactivate the -Perform Import/Export immediately- check box, and the new connection will only be created, that is, it will not be executed by clicking the -Finish- button. This connection will be added to the list of the stored connections and can be activated from there at any time.


BizWalker - Notifications

By clicking the button <Notifications> you receive a detailed list on the chosen import or export procedure. In case of a failed procedure the list can be of great help. The exact time of start and finish of all conducted external connections, and detailed notifications of failure are shown here.


BizWalker - Establishing a connection to Microsoft Exchange (Outlook)

Before a connection can be made to Exchange, the following tasks must be performed:

Microsoft Outlook needs to be installed and correctly configured on the Server, so that the Exchange Server can be found and all profiles and directories to be opened by the BizWalker-connection are accessible.

In Microsoft Transaction Server (Windows NT), resp. in the Component-service-administration (Windows 2000), the United Planet Replication Service (UpReplicant11.exe) needs to be set to another NT-User than the predefined "LocalSystem" account. This user requires access to the profiles and directories.

To do so, finish the service, select the register card -Log in- among the properties and enter an user account with administrator rights. Then restart the service.

You can conduct a function test in the following manner: Shut down and restart the Intrapact Server in the server console. No error should be reported in the protocol.

A BizWalker connection to Microsoft Exchange can be made as follows:

  1. Select -New Connection- on BizWalker's welcome page.
  2. On the page -General Information- enter the desired connection's name and choose whether you would like to export or import the Exchange-files.
  3. A data group from an Intrapact application must be selected on the page -Data Group-. To do so, switch from the application-type level to the data-package level (if applicable, to subordinated data packages) via the tree's individual applications and mark the source- and destination-object.
  4. Select -OLEDB-data source as database-server/Source type- on the -data pool- page. To select database/source, start the Wizard and select Exchange as the format there.
  5. On OLEDB connection-wizard's next page, enter the mailbox' or public directory's exact name (or that of a personal one not the Exchange Server) in the line -Mailbox/Top-level directories-. Spaces and capital letters do matter here! The line -Directories- can e.g. read -New Mail- or just stay blank. Select the access destination as well. The Login can stay blank when using the standard profile. If you wish to use a different profile, your Login information must be entered. To finish, just click on the -Finish- button.
  6. Objects from the next subordinate level will now appear on the page -Import Source- (e.g. New Mail, Sent Objects etc.) in the selected mailbox or directory. An SQL query could now be entered (which will not be further discussed here).
  7. After selecting the import-source you must assign the fields to an external or internal database on the following page -Import fields-. Do this the same way as with Import- or Export-interfaces in Windows-applications: Related field names are marked and assigned with the left-arrow-button. The assignment of the Intrapact-database's system fields should not be changed. (This means that the following first system field's assignment is incorrect.)
  8. On the -Import Options- page you can decide what to do with duplicate values (same or similar data in source- or destination files); on choosing -Add new Data-, select the field by which the data can be clearly identified.
  9. Next you determine the time of execution.
  10. Further orders can only be carried out on the next page if additional connections have already been set up.
  11. On the -Finish- page you are given the choice to start the first transfer immediately (standard setting) or to merely save the connection-profile. It is recommended to test the connection immediately.
  12. Whether the transfer was successful or not will then be indicated on the bottom right of the AddOn-Manager's front page.


eMail-Service - Main Page

General

With the -eMail Service- tool you can expand properties in Intrapact applications' buttons with the function -Send eMail-. Selecting special buttons then not only triggers the saving, cancelling, editing, changing or deleting of records, the jump to another application or web page but additionally the sending of notification eMails. Recipients and contents are determined in Application Designer.

Here you configure Intrapact in a way that it can cooperate with your mail server and determine the sender data and authentication and transmission options. All common mail servers are supported.

EMAIL SERVICE CONFIGURATION WIZARD

The Configuration Wizard offers two possibilities of establishing the eMail service:

Intrapact eMail Service: Besides for sender information, you manually determine all other settings for sending eMails, like the used mail server, port, type of authentication and transmission options. Select this option if the Windows SMTP Service is not installed on the Intrapact server or you do not wish to use it in conjunction with Intrapact.

Windows SMTP Service: Here you only need to determine the sender information. So you can use this simpler configuration, The windows SMTP service must be installed and correctly configured on the Intrapact server.

The Windows SMTP Service is part of Windows NT 4.0 Option Pack (on the Intrapact CD) and a standard component of Windows 2000 Server. Information on configuring the Windows SMTP Service can be attained from your operating system's documentation.

Rights

The configuration of the eMail-Service should only be performed or changed by specially trained personnel. Only the administrator(s) are facilitated with access rights to the eMail-Service Configuration Wizard by default.

To assign access rights for the eMail-Service Configuration Wizard to other users or usergroups these users or usergroups have to be added to "Users with administration rights" ->Usermanager.

General Settings

Transmission

SMTP-Service

Configuration Test


eMail-Service - General Settings

You determine which sender name and which sender address the recipients of independently generated notification eMails is displayed in the field -Standard Sender-. You can enter any series of letters in the field -Name-, the address must be in the conventional format in -eMail address-. If such an eMail address must really exist, depends on the mail server.

Important: The entered sender address will only be displayed if no sender address was determined during eMail configuration in Application Designer with help of the corresponding buttons' properties. With several sender addresses in eMail Service configuration Wizard and in Application designer, the last one is decisive. You should definitely fill out the -standard sender- settings in eMail Service configuration Wizard, since eMails without senders cannot be delivered.


eMail-Service - Transmission

eMail-Service - Transmission (only with Intrapact eMail-Service)

Here you can determine in which intervals unsuccessfully sent eMails are sent again. We recommend taking over the default settings.

The settings for the second and following intervals mean that the eMail will be sent again after x minutes; the time counted is from the last (not the first) try. On the other hand, the time limit is calculated from the first try; this means that when an eMail could not be delivered for x hours, it will be moved to the -BadMail- directory.


eMail-Service - SMTP Server

eMail-Service - SMTP Service

Dialog page „SMTP Service selection“ (only with Intrapact eMail-Service)

Here you select the name or IP address of the mail server as well as the SMTP port (standard: 25) over which the eMails sent from Intrapact applications are delivered. When in doubt, contact your system Administrator.

The employed mail server does not necessarily need to be located in Intrapact server's local network.

The option entries for authentication depend on the settings your mail server demands:

  • -No authentication- is the regular case inside a local network when the user is classified as trustworthy.
  • -Use SMTP authentication-: This setting is only necessary if the mail server requires and supports a separate authentication over the SMTP protocol according to RFC 2554 (since 1999); at the moment this case is the exception.
  • -Use 'POP before SMTP' authentication-: Since most SMTP servers do not enable authentication over the SMTP protocol yet, the login to the mail server takes place over the POP3 protocol. The pop3 server's name that carries out the authentication must be entered in any case, even when it is identical to the SMTP server's. The default setting 110 for POP3 corresponds to usual standards, but can differ in some cases. The username and password entries are obligatory. Ask your System Administrator.


eMail-Service - Configuration Test

By clicking the -Test- button you can test the configuration settings' correctness. If -250 OK- appears, you can be sure that the settings for the mail server, ports und authentication are correct and that sending eMails from Intrapact will be possible.

If you are notified of errors, the configuration will either have to be changed or no mail server exists which can be used for the Intrapact eMail service. When in doubt, ask your system Administrator.


FileWalker

Managing documents is a great challenge for every business. For most businesses it is sufficient to have an overview of the documents in folder “xy” which includes file names, authors etc. In addition, a full-text search should be possible within the documents. Our FileWalker fulfills these exact tasks. Read in your directory structures with FileWalker and it will automatically take over the files properties topic, author, date created, date changed, and file size to Intrapact and illustrate them correspondingly. In addition, you have the possibility of conducting a full-text search within the documents using FileWalker. Now every employee can access documents fast and easily.

In order to conduct a full-text search, the operating software component “Index Service” from Windows 2000 is needed. The index server is not supported under NT 4.0.

  • CREATING A FILEWALKER CONNECTION
  • GENERAL SETTINGS
  • DISPLAYED COLUMNS
  • PUBLICATION IN Intrapact
  • ACCESS RIGHTS TO THE APPLICATION
  • USING FILEWALKER IN THE INTRANET


FileWalker - Creating a FileWalker connection

As soon as you mark FileWalker within the tools, you will see the already existing connections. These are displayed just like Intrapact applications or as URLs which are tied in using Link Integrator in the browser.

Here an application’s name, place published, responsible party, and the physical path of the folder tied in by FileWalker are displayed. Click on <Add> to set up a new connection, click on <Edit> to modify a connection, or click on <Delete> to remove a connection. <Update> updates the page inside FileWalker, which means that changes in the tied in directory are synchronized with the Intrapact database.

To create a new application, click on <Add>. FileWalker’s wizard will lead you through three dialog boxes.


FileWalker - General settings

To select a folder, either use the <Search> button or enter the path to the folder manually. Next, enter the name under which you wish your application to appear in Intrapact into the “Name” field. It is standard that hidden files and system files are faded out. As soon as you de-activate the check mark in the corresponding box, they too will be displayed in the Intranet. You define the various access methods via the browser with the „Direct Access“ and „Download“ check-boxes. Direct access is only possible inside the company network. If the client computer does not have a direct connection to the selected folder, you can enable reading access to the documents by activating the „Download“ box.By clicking on the <Next> button, you are taken to the next dialog box.


FileWalker - Displayed columns

Use the check boxes to fade in and out the columns (name, path, author, creation date, changes or size) for the view pages (Explorer, search, new). Click on „Next“.


FileWalker - Publication in Intrapact

Publication in Intrapact

All of Intrapact’ main menu items are displayed in “Main Menu”. Select an entry by using the selection list. Inside the selection list “Grouping” you can determine in which application group your connection will appear. The application is shown as a quicklink when the entry “(do not group)” is selected. You can also create a new application group with the <Administration> button. You can establish a new application group in the displayed dialog box. After your selection, please click on the <Next> button, which will take you to the next dialog box.


FileWalker - Using FileWalker in the Intranet

Using FileWalker in the Intranet

As soon as you open the application in the Intranet, all of the corresponding folder’s sub-folders and files are displayed. In addition to the file-name, the author, file-title, date of creation, date of last edit, and file-size are shown. Just click on a file’s name to open it. Now the file can be edited and saved again, providing the user possesses the necessary directory-rights to do so.

The sorting order (ascending or descending) can be adjusted by clicking on the corresponding column name. Generally, the second sorting criterion is the file name. The newly set sorting order will also remain when you click on another folder.

You can download the file by clicking on this symbol. This is useful e.g. when direct access to the Extranet is not possible.

Search

You have three possibilities on the “Search” page:

For a full-text search within your Microsoft Office files, enter the search item into the same-named field, and click on the <Full-text Search> button. All files that contain the search item will be displayed on the result list below.

When searching for files by a certain author, enter the author’s name in the “Search Item” field. All files regarding the author will appear on the result list.

You can also search for a certain type of file. If you only desire an overview, e.g. of all Word documents, enter the file-addition “doc” as your search item. You will receive a list of all Word documents.

New

You now have the possibility of having all new and newly edited files, within a time frame you choose, displayed on top of your selection list. This way you have a quick overview of edited or newly created files.


FileWalker - Access Rights to the application

Access Rights to the application

The standard setting is that all users except for the “Anonymous User” have access to your application. Everyone who logs in to Intrapact without user recognition is considered an anonymous user.

Check the box “Including Anonymous Users” to release the application for anonymous access (without user registration).

After clicking on <Finish>, your FileWalker application will be completed and accessible in the Intranet.

Note: An application will only be shown to an authorized user if he/she has access rights to the main menu item under which the application is published.

De-activate the box “Enable Access Rights for all Users” in the case that only a part of the users is supposed to see the application. Now you can click on the <Edit> button. All users and user groups with access rights will be displayed on the upper half of the dialog box “UserAccess to Object”, all users and user groups without permission in the lower half.

To endow a user or user group with access rights to your FileWalker application, mark them in the lower list (without access) and click on the “up”-arrow. They will be transferred to the upper window and thus receive access rights. To revoke access rights, mark the corresponding user or user group and click on the “down”-arrow.


Installation von Microsoft Windows 95/98/2000/NT

Die Installation von Microsoft Windows 95/98/2000/NT entnehmen Sie der dem Programm beiliegenden Dokumentation. Für die Auswahl der Netzwerkadresse und des Netzwerknamens wenden Sie sich an Ihren Netzwerkadministrator.


Installation of Intrapact Manager

The server must be already installed before you start installing Intrapact Manager.

Place the Intrapact CD in your CD drive. If the program does not start automatically, select START/RUN and type d:setup (where d: is the drive letter of your CD drive).

Install the programs in the specified sequence.

When installing Intrapact Manager you will be prompted to specify the name of Intrapact Server. The default – (local) – can be valid only if Intrapact Manager is being installed on the same computer as Intrapact Server. If that is not the case, you will have to enter the name of the server. If you are not familiar with the server’s name, ask your network administrator. Should you enter the wrong name by mistake, you will have to repeat the installation.


Hauptmenü

Im Hauptmenü befindet sich die generelle Navigation durch Intrapact. Durch ein plausibles und Ihren betrieblichen Bedürfnissen angepasstes Hauptmenü verbessern Sie den Zugriff auf einzelne Anwendungen und erhöhen somit die Akzeptanz und den Nutzwert von Intrapact beim täglichen Einsatz aller Benutzer. Mit der Erstinstallation haben wir die Menüpunkte Home, Mitarbeiter, Organisation, Service, Bibliothek und Test bereits angelegt. Alle angelegten Menüpunkte können von Ihnen gelöscht oder geändert werden. Ebenso können Sie neue Menüpunkte einfügen.

Neuen Menüpunkt anlegen

Um einen neuen Menüpunkt in Ihr Hauptmenü einzufügen, wählen Sie die Schaltfläche <Neu> und tragen die Bezeichnung des neuen Menüpunktes in die Auswahlliste direkt ein. Klicken Sie anschließend auf die Schaltfläche <OK>. Damit ist der neue Menüpunkt in das Hauptmenü von Intrapact eingefügt.

Bestehenden Menüpunkt löschen

Um einen bestehenden Menüpunkt aus Ihrem Hauptmenü zu entfernen, markieren Sie den zu löschenden Menüpunkt und wählen Sie die Schaltfläche <Löschen>. Bestätigen Sie auf Anweisung das Löschen des Menüpunkt. Damit wird der Menüpunkt aus der Liste der Menüpunkte entfernt und erscheint nicht mehr im Hauptmenü von Intrapact.

Startseite eines Menüpunkt ändern

Standardmäßig wird beim Aufruf eines Menüpunkts die Intrapact Standardstartseite des Menüpunkts aufgerufen. Wenn Sie eine andere Seite als Startseite des Menüpunkts einrichten möchten, markieren Sie den ausgewählten Menüpunkt und selektieren Sie die Schaltfläche <Startseite des Menüpunkts bearbeiten>.


Startseite des Menüpunkt

Durch die Einrichtung von individuellen Startseiten für die Menüpunkte im Hauptmenü von Intrapact optimieren Sie den Zugriff auf einzelne Anwendungen und erhöhen somit die Akzeptanz und den Nutzwert von Intrapact beim täglichen Einsatz aller Benutzer. Mit der Erstinstallation haben wir die Menüpunkte Home, Mitarbeiter, Organisation, Service, Bibliothek und Test bereits angelegt. Standardmäßig sind alle angelegten Menüpunkte mit der Standardstartseite eingerichtet. Sie können die Startseite für den zuvor ausgewählten Menüpunkt einrichten:

Alternative Startseite auswählen

Um eine alternative Startseite des Menüpunkts einzurichten, wählen Sie das Optionsfeld <Alternative Startseite> und tragen die URL der gewünschte Startseite in das zugehörige Feld ein. Sie können wahlweise über die Schaltfläche <Liste> einen Dialog öffnen, und eine alternative Startseite aus einer Liste installierter Startseiten auswählen. Eine individuelle Startseite kann für jeden Menüpunkt gewählt werden.

Standardstartseite auswählen

Sollte für den ausgewählten eine alternative Startseite ausgewählt sein, können Sie durch Auswahl des Optionsfelds <Standardstartseite> die Intrapact Startseite als Standardstartseite des Menüpunkts aktivieren.

Klicken Sie abschließend auf die Schaltfläche <OK>. Damit ist die ausgewählte Startseite für den Menüpunkt gespeichert und Sie kehren automatisch in den Dialog "Hauptmenu bearbeiten" zurück.


Introduction

Creating individual start pages for your users

Go to the menu item MAIN MENU under EDIT. In the following window, select a menu item from all main menu items and click on it. This in exchange activates the button "Edit Menu Item's Start Page". There you are given the option between "Intrapact Standard Start Page", and respectively the option of a list of "Alternative Start Pages". [...] This directory will display various files that you can select to be your start page. Amongst them is also the new feature UpPortlets.asp [...].

You can enter an alternative Welcome page for every Menu item in Layout Designer. You can choose from a list which page you wish to offer the users.

You will find three files in the directory that you can select as Welcome Pages:

  • UpAreaMain.asp
  • UpPortal.asp and
  • UpPortal_a.asp

The files have the following properties:

UpAreaMain

The classic Intrapact Welcome Page. Besides for the logo and the welcome text (can be faded out in Layout Designer), this page displays current appointments and news. The news is displayed until the user either reads or manually removes it. Users who are not logged in receive a Login box to do so.

UpPortal

On this page Administrators can determine which appointments from which calendars in their Intrapact system are to be visible to anonymous users on the Welcome page.

Administrators can also determine which links to applications are to be displayed under -Favorites- for such users.

Registered users can add their personal favourites and appointments.

This page also displays a login box for unregistered users which is automatically faded out after a successful login.

News is displayed until it expires.

UpPortal_a

This page is built exactly like UpPortal besides for a login box not being visible. This can be useful for your Internet appearance, for example.

Visit us at www.Intrapact.com. We are going to offer additional Welcome pages here that you can easily tie in.

Portal Title

Here you determine in which font, font size and background color the Portal Page's titles are to be displayed.

These settings are also valid for newsletter applications, the site map and the organizational chart.


Data Picker

With Data Picker you can avoid time-consuming repeated entries of the same data in various applications of your Intrapact systems. Data Picker is an extension of the selection list and list fields.

If you have chosen a selection list or list field in your application, you can use it to display values from other Intrapact applications for selection there. But often you might want to transfer not only one, but many values from a different application immediately.

For example, if you have an application “Customer Data“ and want to take not only the companies name, but also the telephone numbers and the eMail addresses from the customer data into a further application “Projects“.

This data can be automatically taken over after choosing the corresponding company in the text box of your application. It is no longer necessary to do this manually.

To do this, mark the options field “Values from Applications“ and click the “Extension“ button. In the opening dialogue you can now select which text boxes of the current application should be connected with which fields of the foreign application.

To do this mark the text box of the current application and the corresponding field of the foreign application and then click the “Allocate“ button to connect. By clicking the “Delete Allocation“ button you can break the existing connection.

By clicking the “Standard Allocation“ button, fields with the same title will be automatically connected.

The user of the application connected by Data Picker has merely to choose a data record from the original application and all the allocated text boxes of his application will be filled automatically.


View-table - Checkboxes

Changes Intrapact 2003

Here Intrapact also offers you further possibilities for designing view tables: Over the selection list "Amount Lines" you can format the size of the view table. The checkboxes "Whole width" and "Open in one window" give your view table an alternative format. If you check one of the boxes "Display File Export" or "Open in one Window" though, corresponding icons will appear under the view table on the web. On clicking the icon "Display eMail to all", your standard set eMail program with all eMail addresses from the table as recipients will appear in a new window. This helps you e.g. with mailings and exporting eMail addresses from a customer list in Intrapact. You can transfer the data from the view table to a different document by clicking on the "Display File Export" icon.

As you so far were merely able to select one data box which was to be used for the pre-selection, several boxes can now be selected for pre-selection.


Format View-table

Changes Intrapact 2003

With Intrapact 2003 there is a new format dialog. You can format each line in the view table individually by using the <Format> button. To do so, you click on the individual titles under "Selected Boxes", then click on the <Format> button, and then can determine the width and arrangement of the lines as well as length restrictions and line breaks of the texts they contain.


eMail-Service - Permissions

Die Konfiguration des eMail-Servers sollte nur von besonders geschulten Personen durchgeführt oder verändert werden. Daher haben standardmäßig nur der oder die Administratoren die Berechtigung am eMail-Konfigurator.

Benutzer oder Benutzergruppen, die das Recht zum Konfigurieren des eMail-Servers erhalten sollen, müssen als "Benutzer mit Administrationsrecht" aufgeführt werden.

Nur in Ausnahmefällen sollte das Kontrollkästchen "Alle Benutzer sollen den eMail Server konfigurieren können" und vergeben die Rechte im Dialogfenster "Benutzer mit Zugriffsrecht"

Um Rechteänderungen vorzunehmen, selektieren Sie das gewünschte Dialogfenster und klicken die Schaltfläche <Ändern>. Damit gelangen Sie in das Dialogfenster "Benutzerrechte an Objekt", das Ihnen im oberen Teil alle Benutzer und Benutzergruppen mit den Zugriffsrechten und im unteren Teil alle Benutzer und Benutzergruppen ohne Zugriffsrechte auflistet.

Um Benutzer oder Benutzergruppen mit Rechten an einer externen Verbindung auszustatten, markieren Sie diese in der unteren Liste (ohne Zugriffsberechtigung) und klicken die Pfeiltaste nach oben. Die gewählten Benutzer oder Benutzergruppen werden in die obere Liste (mit Zugriffsberechtigung) übertragen. Sie können die Rechtevergabe über die Schaltfläche <OK> abschließen.

Um Benutzer oder Benutzergruppen die Zugriffsrechte an einer externen Anwendung zu entziehen, markieren Sie diese in der oberen Liste (mit Zugriffsberechtigung) und klicken die Pfeiltaste nach unten. Die gewählten Benutzer oder Benutzergruppen werden in die untere Liste (ohne Zugriffsberechtigung) übertragen. Sie können die Rechtevergabe über die Schaltfläche <OK> abschließen.


Export Company / second Property-Sheet

Drücken Sie nun auf Start um den Exportvorgang zu starten

Es werden immer alle Anwendungen mit allen zur Verfügung stehenden Benutzer- und Anwendungsdaten exportiert. Der Vorgang selbst kann einige Minuten dauern.


FileWalker - General

Managing documents is a great challenge for every business. For most businesses it is sufficient to have an overview of the documents in folder "xy" which includes file names, authors etc. In addition, a full-text search should be possible within the documents. Our FileWalker fulfills these exact tasks. Read in your directory structures with FileWalker and it will automatically take over the files properties topic, author, date created, date changed, and file size to Intrapact and illustrate them correspondingly. In addition, you have the possibility of conducting a full-text search within the documents using FileWalker. Now every employee can access documents fast and easily.

In order to conduct a full-text search, the operating software component "Index Service" from Windows 2000 is needed. The index server is not supported under NT 4.0.